<?php

namespace App\Http\Controllers;

use App\Models\OrgAdmin;
use Illuminate\View\View;
use App\Models\Organisation;
use Illuminate\Http\Request;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Facades\Redirect;
use App\Http\Requests\ProfileUpdateRequest;

class AdminProfileController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\OrgAdmin  $orgAdmin
     * @return \Illuminate\Http\Response
     */
    public function show(OrgAdmin $orgAdmin)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\OrgAdmin  $orgAdmin
     * @return \Illuminate\Http\Response|View
     */
    public function edit(Request $request, OrgAdmin $orgAdmin)
    {
        $orgs = Organisation::get(['id', 'name']);

        return view('snit.auth.org_admin_account_settings', [
            'user' => $request->user(),
            'orgs' => $orgs,
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\OrgAdmin  $orgAdmin
     * @return \Illuminate\Http\Response| RedirectResponse
     */
    public function update(ProfileUpdateRequest $request, OrgAdmin $orgAdmin)
    {
        // research user->fill() vs user->update()

        // $request->user()->fill($request->validated()); ??it seems fill does not update,
        // it just assigns new values to the model (in memory) without making the db query
        reqy()->update($request->validated());

        $validatedColl = collect($request->validated());

        // if the related Author info was  (passed through) changed, then update the author details in db
        $validated2 = $validatedColl->except(['name', 'email'])->toArray();
        reqy()->orgAdmin->update($validated2);

        // if the user email was changed, then reset the email verified column
        if (reqy()->isDirty('email')) {
            reqy()->email_verified_at = null;
        }

        // save all changes to user and related models
        reqy()->push();

        return back()->with('success', 'profile-updated');
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\OrgAdmin  $orgAdmin
     * @return \Illuminate\Http\Response
     */
    public function destroy(OrgAdmin $orgAdmin)
    {
        //
    }
}

