<?php

namespace App\Http\Controllers;

use App\Models\Author;
use App\Models\Organisation;
use Illuminate\Contracts\View\View;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Facades\Auth;

class AuthorsIncomeController extends Controller
{


    public function begin()
    {
        $orgs = Organisation::all();
        // dd($orgs);
        return view('snit/auth/dashboard/financials/revenue_authors/begin', compact('orgs'));


    }
    /**
     * Display a listing of the resource.
     */
    public function revenue($slug): View|RedirectResponse
    {

        // dd($slug);

        $table_headers = [
            'photo',
            'Name',
            'Org',
            // "Back cover",
            'Sales|Year',
            'Sales|Month',
            'Sales|Week',
            'Sales|Today',
            // 'Profit|All',
            // 'Profit|Year',
            // 'Profit|Month',
            // 'Profit|Week',
            // 'Profit|Today',
            'Wallet',
            // 'isbn',
            'Total <br> Sales (₦)',
            'Total <br> Profit (₦)',

        ];
        $requestedAuthors = Organisation::where('slug', $slug)->first()->authors;

        return count($requestedAuthors) < 1
            ? back()->with('status', 'No authors registered for this organisation')
            : view('snit.auth.dashboard.financials.revenue_authors.index', compact('requestedAuthors', 'table_headers'));
    }


    public function profit(): View
    {
        $table_headers = [
            'Front <br> cover',
            'Book Title',
            'book price <br> paper | ebook',
            // profit
            'hardcover <br> profit (₦)',
            'Ebook <br> profit (₦)',

            'total <br> profit',
        ];
        // $allBooks = Auth::user()->author->books()->with('doc')->orderBy('id', 'desc')->get();
        $allBooks = Auth::user()->author->books()->has('doc')->orderBy('id', 'desc')->get();
        // dd($allBooks);
        return view('snit.auth.dashboard.financials.income_books.index', compact('allBooks', 'table_headers'));
    }
}
