<?php

namespace App\Http\Controllers;

use App\Models\BankAccount;
use Illuminate\Http\Request;
use Illuminate\Http\RedirectResponse;
use App\Traits\Banks\NigerianBanksTrait;

class BankInfoController extends Controller
{
    use NigerianBanksTrait;
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\BankAccount  $bankInfo
     * @return \Illuminate\Http\Response
     */
    public function show(BankAccount $bankInfo)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\BankAccount  $bankInfo
     * @return \Illuminate\Http\Response
     */
    public function edit(BankAccount $bankInfo)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\BankAccount  $bankInfo
     * @return \Illuminate\Http\Response | RedirectResponse
     */
    public function update(Request $request, BankAccount $bankInfo)
    {
        $this->separateBankNameFromBankCodeInRequest($request);
        $request['user_id'] = auth()->id();
        $data = $request->except('_token');
        // dd($request->all(), 'data', $data);

        $operationSuccessful = BankAccount::updateOrCreate(
            ['user_id' => auth()->id()],
            $data,
        );

        return ($operationSuccessful)
            ? back()->with('success', 'Bank Info Updated')
            : back()->with('error', 'Oops! Try Again, Something went wrong');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\BankAccount  $bankInfo
     * @return \Illuminate\Http\Response
     */
    public function destroy(BankAccount $bankInfo)
    {
        //
    }


    // helpers
    private function separateBankNameFromBankCodeInRequest(Request $request)
    {
        // separate the two
        $bankNameAndCodeArray = explode('__', $request->bank_name_with_code);

        $request['bank_name'] = $bankNameAndCodeArray[0];
        $request['bank_code'] = $bankNameAndCodeArray[1];
    }
}
