<?php

namespace App\Http\Controllers;

use App\Models\Author;
use App\Models\Organisation;
use Illuminate\Http\Request;
use Doctrine\DBAL\Schema\Index;
use Illuminate\Support\Facades\Session;

class CashoutController extends Controller
{
    //

    /**
     * displays the summary of all cashouts for all schools to get 
     */
    public function index()
    {
        // $all_orgs = Organisation::all();
        // return view('snit.auth.dashboard.cashout.index', compact('all_orgs'));
    }


    public function initiate(Request $request)
    {
        // dd(Organisation::whereName($request->org)->first());
        $all_orgs = Organisation::all();
        return view('snit.auth.dashboard.cashout.index', compact('all_orgs'));
    }

    /**
     * select organisation and redirect to initiate cashout with organisation
     */
    public function chooseOrg(Request $request)
    {
        $orgModel = Organisation::whereName($request->org)->first();
        return redirect()->route('cashout.withOrg', ['org' => $orgModel->slug]);
    }


    /**
     * initiate cashout with organisation
     */
    public function withOrg(Request $request, $org)
    {
        $authors = Organisation::whereSlug($org)->firstOrFail()?->authors;

        return view('snit.auth.dashboard.cashout.instructors', compact('org', 'authors'));
    }


    public function process(Request $request)
    {
        $foundAuthor = Author::findOrFail($request->author_id);

        $foundAuthor->update(['is_paid' => true, 'last_paid' => now()]);

        return back()->with('success', ucfirst($foundAuthor->fname) . ' paid successfully');
    }
}
