<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    // store db enums here
    public $all_dept_levels = ['NDI', 'NDII', 'NDIII', 'HNDI', 'HNDII', '100L', '200L', '300L', '400L', '500L', 'IT_1YR', 'IT_6MO', 'EXIT'];

    public $dept_levels = ['NDI', 'NDII', 'NDIII', 'HNDI', 'HNDII', '100L', '200L', '300L', '400L', '500L'];

    public function getTestRexpayHeaders(): array
    {
        return $headersArray = [
            // 'Authorization' => 'Basic YWNjZXNzdHJ1c3RiYW5rMDlnbWFpbGNvbTphZDE1YjZiNTE4ZjM5YzM1ZmZmZDUzMjA5MTg0ZjNiMDUzYjJjMzYxNjQ0MGMwZTM5YTM0M2M2ODJkMGU=',
            'Authorization' => env('TEST_REXPAY_SECRET_KEY_FOR_BASIC_API_AUTH'),
            "Content-Type" => "application/json",
        ];
    }

    public function getLiveRexpayHeaders(): array
    {
        return $headersArray = [
            // 'Authorization' => 'Basic YWNjZXNzdHJ1c3RiYW5rMDlnbWFpbGNvbTphZDE1YjZiNTE4ZjM5YzM1ZmZmZDUzMjA5MTg0ZjNiMDUzYjJjMzYxNjQ0MGMwZTM5YTM0M2M2ODJkMGU=',
            'Authorization' => env('LIVE_REXPAY_SECRET_KEY_FOR_BASIC_API_AUTH'),
            "Content-Type" => "application/json",
        ];
    }
}
