<?php

namespace App\Http\Controllers;

use App\Models\Author;
use App\Enums\UserRoleEnum;
use App\Models\Organisation;
use Illuminate\Http\Request;
use App\Services\SchoolIncomeService;

class FinanceController extends Controller
{
    //for instructors
    public function index(Request $request)
    {
        return view('snit.auth.dashboard.financials.index');
    }

    // for developers
    public function dev(Request $request)
    {
        return view('snit.auth.dashboard.financials.dev');
    }


    // for schools admin
    public function sch(Request $request)
    {
        if (!authy()->role(UserRoleEnum::ORG))
            abort(404, 'Unauthorized');
        $totalIMSAuthorsInOrg = Author::where('org_id', authy()->org_id)->get();

        $totalIMSBooksPublishedInOrg = 0;
        foreach ($totalIMSAuthorsInOrg as $author)
            $totalIMSBooksPublishedInOrg += $author->books->count();

        // get AUTH user sch slug
        $slug = Organisation::find(authy()->org_id)->slug;
        $sis = new SchoolIncomeService($slug);

        /**
         * represents the total number of books sold in an organisation by her authors
         */
        $salesCount = $sis->getCountOfBooksSoldInSchDuring();

        $orgSlug = Organisation::find(authy()->org_id)->slug;
        return view(
            'snit.auth.dashboard.financials.sch',
            compact('totalIMSAuthorsInOrg', 'totalIMSBooksPublishedInOrg', 'salesCount', 'orgSlug', 'sis')
        );
    }
}

// wrong logic for calculating the number of books sold inside a particular school:
/**
 * the total ims registered authors in any given school can have their books bought
 *  elsewhere (eg. in another sch)
 * hence, the school does not get remitted (N100) for those sales
 * 
 * if book is bought using instituion as organisation name, then, sch gets commission, else
 * they don't
 */
// $totalBookSoldByAuthorsInOrg = 0;
// foreach ($totalIMSAuthorsInOrg as $author) {
//     $totalBookSoldByAuthorsInOrg += $author->totalBookSold();
// }
