<?php

namespace App\Http\Controllers;

use App\Models\Book;
use App\Models\Dept;
use App\Models\User;
use App\Models\Order;
use App\Models\Client;
use App\Traits\TinkerTrait;
use App\Mail\OrderFundShareFailed;
use Illuminate\Support\Facades\DB;
use App\Models\Organisation as Org;
use App\Services\RemittanceService;
use Illuminate\Http\Client\Response;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Mail;
use App\PaymentGatewayServices\Rexpay;
use App\PaymentGatewayServices\Flutterwave;
use App\Mail\OrderVerificationFailedWithPGSMail;

class TinkerController extends Controller
{
    use TinkerTrait;


    public function tinker()
    {
        $clients = Client::whereNull('matric_num_fmt')->get();

        foreach ($clients as $client) {
            $client->matric_num_fmt = $client->updateMatNumFmt();
            $client->save();
        }
        dd($clients, Client::all());

        dd(Dept::where('matric_num_fmt', $client->matric_num_fmt)->first()->name);



        // foreach (Order::all() as $order) {
        //     if ($order->status == 'pending') {
        //         $order->delete();
        //     }
        // }

        // handle mat_num_fmt
        // get  mat_num_fmt from sample_mat_num
        // foreach (Client::all() as $client) {
        //     if ($client->orders->count() > 2) {foreach ($client->orders as $order) {

        //         dd('we here', $client, $order->getBasket());
        //     }

        //     }
        // }
        // foreach (Client::all() as $client) {
        //     $generatedFormat = $this->generateMatNumFmtForDSPG($client->mat_num, separator: '/');
        //     $client->matric_num_fmt = $generatedFormat;
        //     $client->save();
        // }


    }



    // this function should be based on the institution
    // every institution should have a custom class built for them
    public function generateMatNumFmtForDSPG($matNum, $separator = '/')
    {
        $matNumAsArray = explode($separator, $matNum);
        // remove the last part
        $studentUniqueMatricId = array_pop($matNumAsArray);
        // re convert to string
        $matNumFormat = implode($separator, $matNumAsArray);

        return $matNumFormat;
    }

    public function misc()
    {
        foreach (Dept::all() as $dept) {
            $dept->slug = slugFrom($dept->name);
            $dept->save();
        }

        dd(author()->presentWallet());
        $allOrders = Order::all();
        $validOrders = Order::successful()->get();
        $validOrdersTotalSum = Order::successful()->sum('total_amount');

        // get valid orders belonging to our boss
        $danmoney6 = User::first()->author;
        $booksSoldByDan = $danmoney6->totalBookSoldAllTime();
        dd($booksSoldByDan);
        dd($validOrdersTotalSum, $allOrders->sum('total_amount'));
    }
    public function assignPGSIds()
    {
        foreach (Order::all() as $order) {
            $order->pgs_id = strstr('pgs_tx_id', 'rexpay') ? 2 : 1;
            $order->save();
        }
    }
    public function computeDevProfit(Order $newPendingOrder)
    {
        $id = $newPendingOrder->id;
        $remita = new RemittanceService;
        $authorRemit = $remita->computeAuthorRemitForOrder($newPendingOrder);
        $schoolRemit = $remita->computeSchRemitForOrder($newPendingOrder);
        $pgsRemit = $remita->computePGSRemitForOrder($newPendingOrder);

        $allOtherRemits = $authorRemit + $schoolRemit + $pgsRemit;

        $devRemit = $newPendingOrder->total_amount - $allOtherRemits;
        $fourPerc = (0.04 * $newPendingOrder->total_amount);

        $fourPercProfit = $devRemit >= $fourPerc ? 'yes' : 'no';

        echo "$id @  $devRemit, compares to $fourPerc as $fourPercProfit developer profits up to 4% <br>";
        echo "[ $authorRemit , $schoolRemit, $pgsRemit] <br><br>";
    }


    public function authenticateRexpayAPI_TEST(): Response
    {
        $rexpayTestUserID = env('TEST_REXPAY_USERNAME');
        $rexpayTestUserEmail = env('TEST_REXPAY_USER_EMAIL');

        $base = env('REXPAY_TEST_API_BASE_URL');
        $tokenUrl = "/api/pgs/clients/v1/get/$rexpayTestUserID/token";
        $additionalParams = "?email=$rexpayTestUserEmail";

        $authRoute = $base . $tokenUrl . $additionalParams;

        // this mother fucker is case sensitive and can only accept json
        $headersArray = [
            'Authorization' => env('TEST_REXPAY_SECRET_KEY_FOR_BASIC_API_AUTH'),
            "Content-Type" => "application/json",
        ];

        return Http::withHeaders($this->getTestRexpayHeaders())->get($authRoute);
    }


    public function authenticateRexpayAPI_LIVE(): Response
    {
        $rexpayliveUserID = env('LIVE_REXPAY_USERNAME');
        $rexpayliveUserEmail = env('LIVE_REXPAY_USER_EMAIL');

        $base = env('REXPAY_LIVE_API_BASE_URL');
        $tokenUrl = "/api/pgs/clients/v1/get/$rexpayliveUserID/token";
        $additionalParams = "?email=$rexpayliveUserEmail";

        $authRoute = $base . $tokenUrl . $additionalParams;

        // this mother fucker is case sensitive and can only accept json
        $headersArray = [
            'Authorization' => env('LIVE_REXPAY_SECRET_KEY_FOR_BASIC_API_AUTH'),
            "Content-Type" => "application/json",
        ];

        return Http::withHeaders($this->getLiveRexpayHeaders())->get($authRoute);
    }

    public function paymentRexpayAPI(): Response
    {
        $base = env('REXPAY_TEST_API_BASE_URL');
        $paymentLink = $base . "/api/pgs/payment/v2/createPayment";
        $trxRef = uniqid('trx_ref_');
        $body = [
            "reference" => $trxRef,
            'amount' => 340,
            "currency" => 'NGN',
            "userId" => 'accesstrustbank09@gmail.com',
            "callbackUrl" => route('rexpay-redirect-url', ['mytx_ref' => $trxRef]),
        ];

        return Http::withHeaders($this->getTestRexpayHeaders())->post($paymentLink, $body);
    }

    public function removeUnsedOrAbandonedShoppingCarts()
    {
        $shoppingCarts = DB::table('shoppingcart')->get();

        foreach ($shoppingCarts as $validCart) {
            $foundOrder = Order::whereIdentifier($validCart->identifier)->first();
            if (!$foundOrder?->id) {
                DB::table('shoppingcart')->whereIdentifier($validCart->identifier)->delete();
            }
        }
    }
    public function remitFunds()
    {

        // dd('djdj');
        str_replace('-', '_', 'kn');
        foreach (Order::successful()->get() as $order) {
            $orderBasket = collect(json_decode($order->content));
            $orderRemit['dev'] = 0.00; //reset for each order

            foreach ($orderBasket as $orderItem) {
                $orderBasket = collect(json_decode($order->content));
                // dd($orderBasket, $orderItem);
                $itemPrice = $orderItem->price;
                $authorRemit = $orderItem->options->original_price;
                $flwRemit = ($itemPrice * Flutterwave::getRate());
                $schRemit = getSchoolVAT();
                $orderRemit['dev'] += ($itemPrice - ($flwRemit + $schRemit + $authorRemit));
            }
            // update db
            $order->dev_remit = $orderRemit['dev'];
            $order->school_remit = $schRemit * $order->items_count;
            $order->save();

        }
    }
    public function toladSub()
    {
        $username = 'danielsmrtns';
        $pwd = 'App.toladbestsub.com=$Misfit123';
        $credentials = "$username:$pwd";
        $apiToken = base64_encode($credentials);
        dd($apiToken);
    }

    public function makeOrgCodes()
    {
        $orgCodes = Org::IMSCodes();
        foreach ($orgCodes as $id => $orgCode) {
            $thisOrg = Org::find($id);
            $thisOrg->ims_code = $orgCode;
            $thisOrg->save();
        }
        dd(Org::pluck('ims_code'));
    }
    public function downloadMultipleImagesFromWeb()
    {
        $images = $this->getUrls(); //get an array of urls to images
        foreach ($images as $key => $image) {
            $name = basename($image);
            // $newfile = $_SERVER['DOCUMENT_ROOT'] . '/imagine_files/' . $name;
            $newfile = public_path('imagine_files/') . $name;

            if (copy($image, $newfile)) {
                echo "$key. Successfully downloaded  $image <br>";
            } else {
                echo "$key. Download failed for  $image";
            }
        }
    }

    public function deletePendingOrders()
    {
        foreach (Order::whereStatus('pending')->get() as $order) {
            $order->delete();
        }
    }

    // methods for order observer
    // pls learn db transactions in laravel

    public function processDownloadLink()
    {
        /**
         * Algo:
         * This site takes your sharing URL, which is a URL that looks something like this:
         * https://drive.google.com/file/d/1LDRlyZaZTF-bxHjBDEiL2obMxYHtf3YT/view?usp=sharing
         * And it extracts the file ID, the part between /d/ and /view, and puts it into a new URL which looks like this:
         * https://drive.google.com/uc?export=download&id=1LDRlyZaZTF-bxHjBDEiL2obMxYHtf3YT
         */
        $shareLInk = 'https://drive.google.com/file/d/1LDRlyZaZTF-bxHjBDEiL2obMxYHtf3YT/view?usp=sharing';

        $googleFileID = $this->extractGoogleFileID($shareLInk);

        //   directlink composition
        $this->generateDownloadLink($googleFileID);
    }

    public function tinker1()
    {
        $theAuthor = author();
        dd(
            $theAuthor->presentHardCoverProfit('this_week'),

            $theAuthor->presentEbookProfit('this_week'),

            $theAuthor->presentTotalProfit('this_month'),

            'dev money this week : ' . dev()->getTotalStakeholderIncome('dev', 'this_week'),

            dev()->getTotalStakeholderIncome('dev', 'this_month'),
        );
    }

    public function tinker2()
    {
        $book = Book::find(4);

        $startOfWeek = now()->startOfWeek();
        $endOfWeek = now()->endOfWeek();

        $startOfMonth = now()->startOfMonth();
        $endOfMonth = now()->endOfMonth();

        $startOfYear = now()->startOfYear();
        $endOfYear = now()->endOfYear();

        dd(
            'start of week',
            $startOfWeek->format('Y-m-d__D H:i'),
            'end of week',
            $endOfWeek->format('Y-m-d__D H:i'),
            'start of Month',
            $startOfMonth->format('Y-m-d__D H:i'),
            'end of Month',
            $endOfMonth->format('Y-m-d __D H:i'),
            'start of Year',
            $startOfYear->format('Y-m-d__D H:i'),
            'end of Year',
            $endOfYear->format('Y-m-d__D H:i'),

            'getCollectionOfTotalBookSoldToday',
            $book->service->getCollectionOfTotalBookSoldToday(),
        );
        // Book::skip(2)->first()->getTotalSalesGenerated(), Book::skip(2)->first()->getTotalNumberSold(),
    }

    public function setupAdmins()
    {
        $adminEmails = ['danmoney6@gmail.com', 'jbstiles100@gmail.com', 'accesstrustbank09@gmail.com'];

        foreach (User::all() as $user) {
            if (in_array($user->email, $adminEmails)) {
                $user->update(['is_admin' => true]);
            }
        }
    }



    public function getRexpayAuthUsingCurl($base, $headersArray)
    {
        $tokenUrl = '/api/pgs/clients/v1/get/accesstrustbank09gmailcom/token';
        $additionalParams = '?email=accesstrustbank09@gmail.com';
        $authRoute = $base . $tokenUrl . $additionalParams;

        // ===============================================================

        $curlAuth = curl_init($authRoute);
        curl_setopt($curlAuth, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curlAuth, CURLOPT_HTTPHEADER, $headersArray);

        $response = curl_exec($curlAuth);
        curl_close($curlAuth);

        echo $response;
    }




    public function sacredCurl()
    {

        // constant definitions
        $base = env('REXPAY_TEST_API_BASE_URL');
        $headersArray = [
            'Authorization: Basic YWNjZXNzdHJ1c3RiYW5rMDlnbWFpbGNvbTphZDE1YjZiNTE4ZjM5YzM1ZmZmZDUzMjA5MTg0ZjNiMDUzYjJjMzYxNjQ0MGMwZTM5YTM0M2M2ODJkMGU=',
            'Content-Type:  application/json',
        ];
        // ===============================================================

        // required data definitions
        $paymentRoute = $base . "/api/pgs/payment/v2/createPayment";
        $paymentData = [
            "reference" => "trxref1001_04",
            'amount' => 240,
            "currency" => 'NGN',
            "userId" => 'accesstrustbank09@gmail.com',
            "callbackUrl" => "",
        ];

        // curl part
        $curlPayment = curl_init($paymentRoute);
        // dd($curl);
        curl_setopt($curlPayment, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curlPayment, CURLOPT_POST, true);
        curl_setopt($curlPayment, CURLOPT_POSTFIELDS, json_encode($paymentData));
        curl_setopt($curlPayment, CURLOPT_HTTPHEADER, $headersArray);

        $responsePayment = curl_exec($curlPayment);
        curl_close($curlPayment);

        dd($responsePayment);
    }


    public function logoView()
    {
        return view('logo_index');
    }


    public function imagineTesting()
    {
        return view('imagine.testing');
    }
}
