<?php

namespace App\Http\Requests;

use Illuminate\Validation\Validator;
use Illuminate\Http\RedirectResponse;
use Illuminate\Foundation\Http\FormRequest;

class UpdateDPRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'new_dp' => ['required']
        ];
    }


    public function withValidator($validator)
    {
        $this->customValidatorResponse($validator);
    }

    /**
     * custorm validator response with longer code
     *
     * @param [type] $validator
     * @return Validator|null
     */
    public function customValidatorResponse_verbose($validator): Validator | null
    {
        // long version using a after hook to the validator
        if ($validator->fails())  return  $validator->after(fn () =>  back()->with('warning', 'Picture not provided'));
        return null;
    }

    /**
     * custom validator response with shorter code implementation
     *
     * @param [type] $validator
     * @return RedirectResponse|null
     */
    public function customValidatorResponse($validator): RedirectResponse|null
    {
        // short version
        if ($validator->fails())  return back()->with('warning', 'Picture not provided');
        return null;
    }
}
