<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use App\Traits\RequestTraits\UserSignup\SignupRules;
use App\Traits\RequestTraits\UserSignup\SignupHelpers;
use App\Traits\RequestTraits\UserSignup\SignupPreValidation;
use App\Traits\RequestTraits\UserSignup\SignupPostValidation;

class UserSignupRequest extends FormRequest
{

    use SignupRules, SignupHelpers;
    use SignupPreValidation, SignupPostValidation;

    protected array $validData = array();

    protected $defaultRules = array();

    public function authorize()
    {
        return true;
    }


    public function rules()
    {
        return $this->ruleGen();
    }


    public function messages()
    {
        return [
            'sch_ims_code.required_if' => 'The IMS code is required',
        ];
    }
}
