<?php

namespace App\Models;

use App\Organisations\DSPG;
use App\Organisations\DSPO;
use App\Organisations\DSPGA;
use App\Organisations\LASUED;
use Illuminate\Support\Facades\Auth;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Client extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    //  relationships
    public function orders()
    {
        return $this->hasMany(Order::class);
    }

    // helpers

    public function getFullName()
    {
        return "$this->fname $this->lname";
    }

    public function getDepartment() : string
    {
        return Dept::where('matric_num_fmt', $this->matric_num_fmt)->first()?->name ?? 'Not registered';
    }

    public function org()
    {
        return $this->belongsTo(Organisation::class, 'org_id', 'id');

    }

    public function bookPurchasedLinkingToAuthor()
    {
        Auth::user()->books;
    }
}
