<?php

namespace App\Observers;

use App\Models\Client;
use App\Organisations\DSPG;
use App\Organisations\DSPO;
use App\Organisations\DSPGA;
use App\Organisations\LASUED;

class ClientObserver
{
    /**
     * Handle the Client "created" event.
     *
     * @param  \App\Models\Client  $client
     * @return void
     */
    public function created(Client $client)
    {
        $this->updateMatNumFmt($client);
    }

    /**
     * Handle the Client "updated" event.
     *
     * @param  \App\Models\Client  $client
     * @return void
     */
    public function updated(Client $client)
    {
        //
    }

    /**
     * Handle the Client "deleted" event.
     *
     * @param  \App\Models\Client  $client
     * @return void
     */
    public function deleted(Client $client)
    {
        //
    }

    /**
     * Handle the Client "restored" event.
     *
     * @param  \App\Models\Client  $client
     * @return void
     */
    public function restored(Client $client)
    {
        //
    }

    /**
     * Handle the Client "force deleted" event.
     *
     * @param  \App\Models\Client  $client
     * @return void
     */
    public function forceDeleted(Client $client)
    {
        //
    }

     /**
     * get ebook profit as attribute
     * @return void
     */
    public function updateMatNumFmt(Client $client)
    {
        // implement for other schools too :: using switch statement
        // {{udo: new integration }}
        $client->matric_num_fmt = match ($client->org_id) {
            DSPG::id() => generateMatNumFmtForDSPG($client->mat_num),
            DSPO::id() => generateMatNumFmtForDSPO($client->mat_num),
            DSPGA::id() => generateMatNumFmtForDSPGA($client->mat_num),
            LASUED::id() => generateMatNumFmtForLASUED($client->mat_num),
        };
        $client->saveQuietly();
    }
}
