<?php

namespace App\Providers;

use App\Models\Book;
use App\Models\Dept;
use App\Models\User;
use App\Models\Order;
use App\Models\Client;
use App\Observers\BookObserver;
use App\Observers\DeptObserver;
use App\Observers\UserObserver;
use App\Observers\OrderObserver;
use App\Observers\ClientObserver;
use Illuminate\Support\Facades\URL;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {

    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {

        User::observe(UserObserver::class);
        Book::observe(BookObserver::class);
        Order::observe(OrderObserver::class);
        Client::observe(ClientObserver::class);
        Dept::observe(DeptObserver::class);

        // i used this for production code
        if (env('APP_ENV') == 'production') {
            Schema::defaultStringLength(191);
            // URL::forceScheme('https');

        }
    }
}
