<?php

namespace App\Services\File;

use Intervention\Image\Facades\Image;
use stdClass;

class FileService
{
    /**
     * This compresses images using Intervention Image Library
     */
    public function compressFile($requestFile)
    {
        // get filepath without extension
        $fileNameWithExtension = now()->timestamp.$requestFile->getClientOriginalName();

        $ext = pathinfo($fileNameWithExtension, PATHINFO_EXTENSION);
        $fileName = basename($fileNameWithExtension, '.'.$ext);  // filename without ext
        $fileName .= '.png'; // save file with the .png extension

        // resize and format as png
        $image = Image::make($requestFile)->fit('100', 100, function ($constraint) {
            $constraint->upsize();
        })->encode('png', 50);

        $compressedFile = new stdClass;
        $compressedFile->name = $fileName;
        $compressedFile->image = $image;

        return $compressedFile;
    }
}
