<?php

namespace App\Services;

class GoogleDriveService
{

    public $defaultGoogleTestFileUrl = 
    'https://drive.google.com/file/d/1G0OwJM0pbsnKX72K92SdMSWBSeXXnQPR/view?usp=sharing';
    public static string $base = 'https://drive.google.com/uc?export=download&id=';

    protected string $googleShareLink;

    protected string $googleFileID;

    public function __construct($book_file_url)
    {
        $this->googleShareLink = $book_file_url;
    }

    public function getDirectLink($googleSharelink = null): string
    {
        $googleShareLInk = $googleSharelink ?? $this->googleShareLink;

        $this->googleFileID = $this->extractGoogleFileID();

        return $this->generateDownloadLink();
    }

    public function extractGoogleFileID($googleShareLink = null): string
    {
        $googleShareLink = $googleShareLink ?? $this->googleShareLink;

        //  get the offset (position) to start with .
        //    ie. position of /d/  in the string
        $startpos = strpos($googleShareLink, '/d/');
        $endpos = strpos($googleShareLink, '/view');
        $length = $endpos - $startpos;

        $subfinalStr = substr($googleShareLink, $startpos, $length);

        return $googleFileID = str_replace('/d/', '', $subfinalStr);
    }

    public function generateDownloadLink(): string
    {
        return $directLink = self::$base.$this->googleFileID;
        // dd($googleFileID, $directLink);
    }
}
