<?php

namespace App\Services;

use App\Models\Book;
use App\Models\Order;
use App\Models\Organisation;
use Illuminate\Support\Collection;

/**
 * all functionalities in this class are pertaining to a specific school
 */
class SchoolIncomeService
{

    /**
     * represents the school slug 
     * We pass the slug in the constructor so that we don't have to specify the school again.
     * all we do is supply the duration for any of the methods and we are good
     *
     * @param string $slug
     */

    public OrderService $orderSrv;
    public function __construct(public string $slug)
    {
        $this->orderSrv = new OrderService;
    }

    public function getCountOfBooksSoldInSchDuring($duration = null): int
    {
        return $this->orderSrv->orderTotal($duration, $this->slug)->sum('items_count');
    }


    /**
     * returns all books sold (from the orders table) in a duration, for a school
     * @param string $duration
     * @return Collection
     */
    public  function getAllBooksSoldInSchDuring($duration = null): Collection
    {
        return  $allSchoolOrdersInDuration = $this->orderSrv->orderTotal($duration, $this->slug);
    }

    public function getProfit($duration = null)
    {
        return $this->getCountOfBooksSoldInSchDuring($duration) * 100;
    }
}
