<?php

namespace App\Traits\ModelTraits\Book;

use App\Models\Dept;
use App\Models\Author;
use App\Models\Document;
use App\Models\Publisher;
use Illuminate\Database\Eloquent\Relations\HasOne;

trait BookRelationships
{

    public function author()
    {
        return $this->belongsTo(Author::class);
    }

    public function doc(): HasOne
    {
        return $this->hasOne(Document::class);
    }

    public function publisher()
    {
        return $this->belongsTo(Publisher::class);
    }

    public function depts()
    {
        return $this->belongsToMany(Dept::class, 'book_dept');
    }
}
