<?php

namespace App\Traits\RequestTraits\UserSignup;

trait SignupPreValidation
{

    public function __construct()
    {
        // $this->var = $var;
        $this->getDefaultRules();
    }

    public function prepareForValidation()
    {
        // this is where you merge form fields to db col names b4 sending data to the validator;
        // don't use validation to expose your db col names 
        // Also, configure your custom validation messages, so that they still reflect 
        // the same field 'names or identifiers' in your views. 

        $this->handleRegistrationsForNewOrganisations();
    }


    protected function handleRegistrationsForNewOrganisations()
    {
        if ($this->organisation == 'new' and $this->organisation_name)
            $this->merge(['sch_ims_code' => createOrgIMSCodeFrom($this->organisation_name)]);
    }

  
}
