<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('orders', function (Blueprint $table) {
            // old implementation
            // $table->longText('content')->default('n/a'); //__order_cart_content

            // swap with
            $table->longText('content')->nullable(); //__order_cart_content
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('orders', function (Blueprint $table) {
            if (Schema::hasColumn('orders', 'content')) {
                Schema::dropColumns('orders', ['content']);
            }
        });
    }
};
