<?php

use App\Enums\UserRoleEnum as Role;
use App\Models\Organisation;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(Organisation::class, 'org_id')->nullable();

            $table->string('name')->unique(); //latest migration will show implementation
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');

            $table->string('role', 10)->default(Role::DEFAULT );
            $table->boolean('is_admin')->default(false);

            $table->rememberToken();

            $table->timestamp('created_at')->default(now());
            $table->timestamp('updated_at')->nullable();
            // foreign id definitions
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
