<?php

use App\Models\Author;
use App\Models\Publisher;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('books', function (Blueprint $table) {
            $table->id();
            $table->boolean('status')->default(true); //for soft deletes

            $table->string('name',200);
            $table->string('slug', 250)->unique()->nullable();

            $table->string('ISBN')->unique(); //made it unique at last minute 13/04/2023 5:24pm
            $table->integer('inventory')->nullable();
            $table->float('price');
            // $table->string('condition', 5)->default('new'); //new old used
            // $table->enum('type', ['ebook', 'hard_copy', 'hybrid'])->default('hybrid');
            $table->smallInteger('pub_year');
            $table->string('message', 200)->nullable();

            // foreign
            $table->foreignIdFor(Publisher::class)->nullable();
            $table->foreignIdFor(Author::class)->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('books');
    }
};
