<?php

use App\Models\Country;
use App\Models\Organisation;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients', function (Blueprint $table) {
            $table->id();

            // persnal data (mandatory)
            $table->string('fname', 50);
            $table->string('lname', 50);
            $table->boolean('is_student')->default(true);

            // contact info (mandatory)
            $table->string('phone', 20); //made it unique at last minute 13/04/2023 5:24pm
            $table->string('email', 50); //made it unique at last minute 13/04/2023 5:24pm

            // student / sch info (optional)
            $table->string('sch', 100)->nullable(); //sch name (where they study)
            $table->string('mat_num', 25)->nullable()->unique();
            $table->string('matric_num_fmt', 20)->nullable();

            // demographic data (optional)
            $table->string('address', 50)->nullable();
            $table->string('state', 25)->nullable();

            // foreign (optional)
            $table->foreignIdFor(Country::class)->nullable(); //nationality
            $table->foreignIdFor(Organisation::class,'org_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('clients');
    }
};
