<?php

use App\Models\Book;
use App\Models\Country;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('publishers', function (Blueprint $table) {
            $table->id();

            $table->string('coy_name'); //name of publication company
            //address of publication company
            $table->string('coy_address')->nullable();

            // answers questions on what data should be included in a book from the publisher
            // users should upload their publication data online and share wit the AIMS
            $table->string('pub_data')->default('https://www.publishmybook.online/publishing-details-book.html');

            // foreign
            $table->foreignIdFor(Country::class)->nullable();
            $table->timestamp('created_at')->default(now());
            $table->timestamp('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('publishers');
    }
};
