<?php

use App\Models\PG;
use App\Models\Client;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('identifier')->unique(); //compulsory
            $table->string('tx_ref')->unique(); //compulsory
            $table->string('pgs_tx_id')->unique()->nullable(); //compulsory

            // foreign
            $table->foreignIdFor(Client::class); //compulsory
            $table->foreignIdFor(PG::class, 'pgs_id'); //new mig
            // school info where purchase was made, this is what guarantees that sch gets remitted
            $table->string('sch_slug')->nullable();
            $table->string('status', 20); //new mig

            // basket info
            $table->longText('content')->nullable(); //__order_cart_content
            $table->tinyInteger('items_count')->default(0);
            $table->float('total_amount')->default(0.00);

            
            
            // remittance info
            $table->float('authors_remit', places: 6)->default(0.00);
            $table->float('school_remit', places: 6)->default(0.00);
            $table->float('pgs_remit', places: 6)->default(0.00); //new mig
            $table->float('dev_remit', places: 6)->default(0.00); //new mig edit:

            // check to see if this could be removed... might be important for sth else, pls check code first.
            // $table->foreign('identifier')->references('identifier')->on('shoppingcart');

            $table->timestamp('created_at')->default(now());
            $table->timestamp('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
};
