<?php

use App\Models\User;
use App\Models\Country;
use App\Models\Organisation;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('org_admins', function (Blueprint $table) {
            $table->id();
            $table->string('fname', 20)->nullable();
            $table->string('lname', 20)->nullable();
            $table->string('info')->nullable(); // masters or PHD info goes here along with their institution data

            // nullable data
            $table->string('phone', 15)->nullable();
            $table->string('address', 100)->nullable();
            $table->string('state', 50)->nullable();
            $table->string('zipcode', 10)->nullable();
            $table->char('gender', 1)->nullable(); // M | F
            $table->string('dp')->nullable(); //new mig

            // foreign key checks
            $table->foreignIdFor(User::class);
            $table->foreignIdFor(Organisation::class, 'org_id')->nullable();
            $table->foreignIdFor(Country::class)->nullable();

            $table->timestamp('created_at')->default(now());
            $table->timestamp('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('org_admins');
    }
};
