<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     * To create a payment gateway pgs stands for Payment Service Gateway
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pgs', function (Blueprint $table) {
            $table->id();
            $table->string('name')->unique();
            $table->string('slug')->unique()->nullable();
            $table->float('rate', places: 6);

            $table->string('parent')->nullable()->default('self');
            $table->boolean('hasAddedFee')->default(false)->nullable();
            $table->integer('additionalFee')->default(0.00)->nullable();
            $table->boolean('status')->default(false)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pgs');
    }
};
