<?php

namespace Database\Seeders;

use App\Models\Continent;
use App\Models\Country;
use Illuminate\Database\Seeder;
use stdClass;

class CountrySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->createNations();
    }

    public function initializeNations(): array
    {
        $nigeria = new stdClass();
        $nigeria->code = '+234';
        $nigeria->name = 'Nigeria';
        $nigeria->abbr = 'NG';
        $nigeria->continent_id = Continent::where('name', 'Africa')->first()->id;

        $ghana = new stdClass();
        $ghana->code = '+233';
        $ghana->name = 'Ghana';
        $ghana->abbr = 'GH';
        $ghana->continent_id = Continent::where('name', 'Africa')->first()->id;

        $south_africa = new stdClass();
        $south_africa->code = '+27';
        $south_africa->name = 'South Africa';
        $south_africa->abbr = 'SA';
        $south_africa->continent_id = Continent::where('name', 'Africa')->first()->id;

        $usa = new stdClass();
        $usa->code = '+1';
        $usa->name = 'United States of America';
        $usa->abbr = 'USA';
        $usa->continent_id = Continent::where('name', 'North America')->first()->id;

        $brazil = new stdClass();
        $brazil->code = '+55';
        $brazil->name = 'Brazil';
        $brazil->abbr = 'BR';
        $brazil->continent_id = Continent::where('name', 'South America')->first()->id;

        $spain = new stdClass();
        $spain->code = '+34';
        $spain->name = 'Spain';
        $spain->abbr = 'ES';
        $spain->continent_id = Continent::where('name', 'Europe')->first()->id;

        $france = new stdClass();
        $france->code = '+33';
        $france->name = 'France';
        $france->abbr = 'FR';
        $france->continent_id = Continent::where('name', 'Europe')->first()->id;

        $germany = new stdClass();
        $germany->code = '+49';
        $germany->name = 'Germany';
        $germany->abbr = 'DE';
        $germany->continent_id = Continent::where('name', 'Europe')->first()->id;

        $portugal = new stdClass();
        $portugal->code = '+351';
        $portugal->name = 'Portugal';
        $portugal->abbr = 'PT';
        $portugal->continent_id = Continent::where('name', 'Europe')->first()->id;

        // $countries = ['ngr' => 'nigeria', 'gh' => 'ghana', 'usa' => 'united states of america', 'br' => 'brazil', 'es' => 'spain', 'fr' => 'france', 'de' => 'germany', 'pt' => 'portugal'];

        return $countries = [$nigeria, $ghana, $south_africa, $usa, $brazil, $spain, $france, $germany, $portugal];
    }

    public function createNations()
    {
        $countries = $this->initializeNations();
        foreach ($countries as $country) {
            Country::create([
                'code' => $country->code,
                'name' => $country->name,
                'abbr' => $country->abbr,
                'continent_id' => $country->continent_id,
            ]);
        }
    }
}
