<?php

namespace Database\Seeders;

use App\Models\Currency;
use Illuminate\Database\Seeder;
use stdClass;

class CurrencySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->createCurrencies();
    }

    private function initializeCurrencies(): array
    {
        $naira = new stdClass;
        $naira->symbol = '₦';
        $naira->code = 'NGN';
        $naira->name = ucfirst('naira');
        $naira->full_name = 'nigerian naira';

        $cedis = new stdClass;
        $cedis->symbol = 'GH₵';
        $cedis->code = 'GHS';
        $cedis->name = ucfirst('cedis');
        $cedis->full_name = 'ghana cedis';

        $usd = new stdClass;
        $usd->symbol = '$';
        $usd->code = 'USD';
        $usd->name = ucfirst('dollars');
        $usd->full_name = 'united states dollars';

        $real = new stdClass;
        $real->symbol = 'R$';
        $real->code = 'BRL';
        $real->name = ucfirst('Real');
        $real->full_name = 'brazilian Real';

        $euro = new stdClass;
        $euro->symbol = '€';
        $euro->code = 'EUR';
        $euro->name = ucfirst('euro');
        $euro->full_name = 'spanish euro';

        $poundSterling = new stdClass;
        $poundSterling->symbol = '£';
        $poundSterling->code = 'GBP';
        $poundSterling->name = ucfirst('Gbp');
        $poundSterling->full_name = 'British Pound Sterling';

        $rand = new stdClass;
        $rand->symbol = 'ZAR';
        $rand->code = 'ZAR';
        $rand->name = ucfirst('Rand');
        $rand->full_name = 'South African rand ';

        $bitcoin = new stdClass;
        $bitcoin->symbol = '฿';
        $bitcoin->code = 'BTC';
        $bitcoin->name = ucfirst('bitcoin');
        $bitcoin->full_name = 'Global bitcoin';

        // $currencies = ['₦' => 'nigerian naira', 'GH₵' => 'ghana cedis', '$' => 'united states of america dollars', 'R$' => 'brazilian Real', '€' => 'spainish euro', '£' => 'pounds', ];

        return $currencies = [$naira, $cedis, $usd, $real, $euro, $poundSterling, $rand, $bitcoin];
    }

    private function createCurrencies()
    {
        $currencies = $this->initializeCurrencies();
        foreach ($currencies as $currency) {
            Currency::create([
                'symbol' => $currency->symbol,
                'code' => $currency->code,
                'name' => $currency->name,
                'full_name' => $currency->full_name,
            ]);
        }
    }
}
