<?php

namespace Database\Seeders;

use App\Models\Country;
use App\Models\Organisation as Org;
use Illuminate\Database\Seeder;

class OrganisationSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $schools = [
            'DSPG' => 'Delta State Polytechnic Ogwashi-Uku, Delta',
            'DSPO' => 'Delta State Polytechnic Ozoro',
            'DSPGA' => 'Delta State Polytechnic Ogara',
            'LASUED' => 'Lagos State University of Education',
        ];
        foreach ($schools as $key => $value) {
            $newOrg = Org::create([
                'name' => $value,
                'slug' => $key,
                'country_id' => Country::whereName('Nigeria')->first()->id,
            ]);
            $newOrg->ims_code = $newOrg->generateIMSCode();
            $newOrg->save();
        }
    }
}
