<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Youtube video</title>
    <link rel="stylesheet" href="styles.css">
    <style>
        @keyframes pulse {
            0% {
                width: 40px;
                height: 40px;
                opacity: 0.7;
            }

            50% {
                width: 80px;
                height: 80px;
                opacity: 0.4;
            }

            100% {
                width: 120px;
                height: 120px;
                opacity: 0;
            }
        }
    </style>
</head>

<body>


    <section
        style="display: flex; justify-content: center; align-items: center; height: 100vh; background-color: #f0f0f0;">
        <div style="position: relative; width: 840px; height: 560px;">
            <!-- Video with poster -->
            <video id="video" src="/pub_resources/randomVid.mp4"
                poster="https://images.pexels.com/photos/4260323/pexels-photo-4260323.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=1"
                style="width: 100%; height: 100%; border-radius:15px;">
                Your browser does not support the video tag.
            </video>

            <!-- Circular border with pulsing ripple effect -->
            <div id="play-button-container"
                style="position: absolute; top: 55%; left: 50%; transform: translate(-50%, -50%); width: 320px; height: 320px; border-radius: 50%; background-color: transparent; overflow:hidden;">
                <div
                    style="position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); width: 240px; height: 240px; border-radius: 50%; background-color: transparent; border: 4px solid #fff; animation: pulse 2s infinite;">
                </div>

                <div id="play-button"
                    style="position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); cursor: pointer;">
                    <img src="/assets/play-button.png" alt="Play Button" style="width: 100px; height: 100px;">

                </div>
            </div>
        </div>
    </section>

    <script>
        // Get references to the video and play button elements
        var video = document.getElementById('video');
        var playButton = document.getElementById('play-button');

        // Add click event listener to the play button
        playButton.addEventListener('click', function() {
            // Play the video
            video.play();

            // Hide the play button and pulse ripple effect container
            document.getElementById('play-button-container').style.display = 'none';
        });
    </script>
</body>

</html>
