<!doctype html>
<html class="no-js" lang="zxx">

<head>
    <meta charset="utf-8">
    <meta name="author" content="John Doe">
    <meta name="description"
        content="Instructor Management System. A simple and free, yet powerful modern tool for eBook retailers">
    <meta name="keywords" content="HTML,CSS,XML,JavaScript">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Automated Instructor Management System | AIMS</title>

    <link rel="apple-touch-icon" href="images/apple-touch-icon.png">
    <link rel="shortcut icon" type="image/ico" href="images/favicon.ico" />


    {{-- tailwind --}}
    {{-- <link rel="stylesheet" href="{{ tailwindcss('css/app.css') }}"> --}}

    {{-- vite  sass will spoil the landing page--}}
    @vite(['resources/scss/app.scss', 'resources/js/app.js'])


    <link rel="stylesheet" href="/static/colid/css/bootstrap.min.css">
    <link rel="stylesheet" href="/static/colid/css/owl.carousel.min.css">
    <link rel="stylesheet" href="/static/colid/css/themify-icons.css">
    <link rel="stylesheet" href="/static/colid/css/magnific-popup.css">
    <link rel="stylesheet" href="/static/colid/css/animate.css">


    <link rel="stylesheet" href="/static/colid/css/normalize.css">
    <link rel="stylesheet" href="/static/colid/style.css">
    <link rel="stylesheet" href="/static/colid/css/responsive.css">
    <script src="/static/colid/js/vendor/modernizr-2.8.3.min.js"></script>
    <!--[if lt IE 9]>
        <script src="//oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="//oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <style>
        .mb-5 {
            margin-bottom: 5em;
        }

        .mb-2 {
            margin-bottom: 2em;
        }

        .mt-2 {
            margin-top: 2em;
        }

        .pt-2 {
            padding-top: 2em;
        }

        .text-white {
            color: white !important;
        }

        .d-block {
            display: block !important;
        }

        .d-inline-block {
            display: inline-block !important;
        }
    </style>

</head>

<body data-spy="scroll" data-target="#primary-menu">
    <div class="preloader">
        <div class="sk-folding-cube">
            <div class="sk-cube1 sk-cube"></div>
            <div class="sk-cube2 sk-cube"></div>
            <div class="sk-cube4 sk-cube"></div>
            <div class="sk-cube3 sk-cube"></div>
        </div>
    </div>

    <div class="mainmenu-area" data-spy="affix" data-offset-top="100">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#primary-menu">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <a href="#" class="navbar-brand logo">
                    <h4 class="d-flex">
                        <span class="d-inline-block">
                            <x-application-logo-snit-svg />
                        </span>

                    </h4>

                </a>
            </div>

            <nav class="collapse navbar-collapse" id="primary-menu">
                <ul class="nav navbar-nav navbar-right">
                    <li class="active"><a href="#home-page">Home</a></li>
                    <li><a href="#service-page">Why Choose Us </a></li>
                    <li><a href="#feature-page">Features</a></li>
                    {{-- <li><a href="#price-page">Pricing</a></li> --}}
                    {{-- <li><a href="#team-page">Team</a></li> --}}
                    <li><a href="#faq-page">FAQ</a></li>
                    {{-- <li><a href="#blog-page">Blog</a></li> --}}
                    <li><a href="#benefit-page">Fringe Benefits</a></li>
                    <li><a href="#contact-page">Contact</a></li>
                </ul>
            </nav>
        </div>
    </div>


    <header class="header-area overlay full-height relative v-center" id="home-page">
        <div class="absolute anlge-bg"></div>
        <div class="container">
            <div class="row v-center">
                <div class="col-xs-12 col-md-7 header-text">
                    <h2>Automated Instructor Management System</h2>
                    <h3>We are all about Promoting your Business</h3>
                    <p>What we need as intellectuals is an effective tool that maximizes our efficiency as
                        professionals in the dispensation of our duties on a daily basis.</p>
                    <a href="{{ route('landingpage.choose') }}" class="button white">Get Started</a>
                </div>
                <div class="hidden-xs hidden-sm col-md-5 text-right">
                    <div class="screen-box screen-slider">
                        <div class="item">
                            <img src="/static/colid/images/screen-1.jpg" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/screen-2.jpg" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/screen-3.jpg" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/screen-4.jpg" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/screen-5.jpg" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>


    <section class="gray-bg section-padding" id="service-page">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/service-icon-1.png" alt="">
                        </div>
                        <h4>EASY TO USE</h4>
                        <p>Our intuitive interface ensures effortless navigation, allowing both novices and experts to
                            achieve remarkable results with minimal effort. </p>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/service-icon-2.png" alt="">
                        </div>
                        <h4>AWESOME DESIGN</h4>
                        <p>At the forefront of innovation, our team of creative masterminds has meticulously crafted a
                            visual masterpiece that transcends the ordinary. </p>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/service-icon-3.png" alt="">
                        </div>
                        <h4>EASY TO CUSTOMIZE</h4>
                        <p>We understand that every individual has unique preferences and requirements, which is why
                            we've made customization a breeze. With just a few clicks you can achieve your goals.</p>
                    </div>
                </div>
            </div>

            <div class="row">

                <div class="text-center">
                    <a href="{{ route('landingpage.choose') }}" class="button blue">
                        Get Started Today
                    </a>
                </div>
            </div>


        </div>
    </section>

    <section class="angle-bg sky-bg section-padding" id="benefit-page">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div id="caption_slide" class="carousel slide caption-slider" data-ride="carousel">
                        <div class="carousel-inner" role="listbox">
                            <div class="item active row">
                                <div class="v-center">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="caption-title" data-animation="animated fadeInUp">
                                            <h2>Effortless Setup</h2>
                                        </div>
                                        <div class="caption-desc" data-animation="animated fadeInUp">
                                            <p>
                                                Gone are the days of lengthy installations and complicated
                                                configurations. IMS's streamlined setup process ensures a hassle-free
                                                experience right from the beginning. With just a few clicks, you'll be
                                                up and running, ready to dive into a world of possibilities.</p>
                                        </div>
                                        {{-- <div class="caption-button" data-animation="animated fadeInUp">
                                            <a href="#" class="button">Read more</a>
                                        </div> --}}
                                    </div>
                                    <div class="col-xs-6 col-md-3">
                                        <div class="caption-photo one" data-animation="animated fadeInRight">
                                            <img src="/static/colid/images/screen-1.jpg" alt="">
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-md-3">
                                        <div class="caption-photo two" data-animation="animated fadeInRight">
                                            <img src="/static/colid/images/screen-2.jpg" alt="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="item row">
                                <div class="v-center">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="caption-title" data-animation="animated fadeInUp">
                                            <h2>Intelligent Automation</h2>
                                        </div>
                                        <div class="caption-desc" data-animation="animated fadeInUp">
                                            <p>
                                                IMS incorporates powerful automation features, eliminating repetitive
                                                tasks and saving you valuable time. Let our software handle the heavy
                                                lifting, while you focus on what matters most. Whether it's data
                                                analysis, generating reports, IMS simplifies your workflow, boosting
                                                productivity like never before.</p>
                                        </div>
                                        {{-- <div class="caption-button" data-animation="animated fadeInUp">
                                            <a href="#" class="button">Read more</a>
                                        </div> --}}
                                    </div>
                                    <div class="col-xs-6 col-md-3">
                                        <div class="caption-photo one" data-animation="animated fadeInRight">
                                            <img src="/static/colid/images/screen-3.jpg" alt="">
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-md-3">
                                        <div class="caption-photo two" data-animation="animated fadeInRight">
                                            <img src="/static/colid/images/screen-4.jpg" alt="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="item row">
                                <div class="v-center">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="caption-title" data-animation="animated fadeInUp">
                                            <h2>Tailored to Your Needs</h2>
                                        </div>
                                        <div class="caption-desc" data-animation="animated fadeInUp">
                                            <p>
                                                We understand that every user is unique, which is why IMS offers a range
                                                of customizable options. Personalize your software experience to match
                                                your preferences and requirements. From selecting color schemes to
                                                defining shortcuts, IMS adapts to your workflow, ensuring a seamless and
                                                personalized experience.
                                            </p>
                                        </div>
                                        {{-- <div class="caption-button" data-animation="animated fadeInUp">
                                            <a href="#" class="button">Read more</a>
                                        </div> --}}
                                    </div>
                                    <div class="col-xs-6 col-md-3">
                                        <div class="caption-photo one" data-animation="animated fadeInRight">
                                            <img src="/static/colid/images/screen-7.jpg" alt="">
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-md-3">
                                        <div class="caption-photo two" data-animation="animated fadeInRight">
                                            <img src="/static/colid/images/screen-2.jpg" alt="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="item row">
                                <div class="v-center">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="caption-title" data-animation="animated fadeInUp">
                                            <h2>Continuous Innovation</h2>
                                        </div>
                                        <div class="caption-desc" data-animation="animated fadeInUp">
                                            <p>
                                                At IMS, we are committed to continuous improvement and innovation. Our
                                                team of experts regularly updates the software, incorporating new
                                                features, enhancements, and performance optimizations. You can trust IMS
                                                to evolve with your needs, keeping you at the forefront of technological
                                                advancements.
                                            </p>
                                        </div>
                                        {{-- <div class="caption-button" data-animation="animated fadeInUp">
                                            <a href="#" class="button">Read more</a>
                                        </div> --}}
                                    </div>
                                    <div class="col-xs-6 col-md-3">
                                        <div class="caption-photo one" data-animation="animated fadeInRight">
                                            <img src="/static/colid/images/screen-3.jpg" alt="">
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-md-3">
                                        <div class="caption-photo two" data-animation="animated fadeInRight">
                                            <img src="/static/colid/images/screen-4.jpg" alt="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <ol class="carousel-indicators caption-indector">
                            <li data-target="#caption_slide" data-slide-to="0" class="active">
                                <strong>Effortless Setup </strong> When you need it.
                            </li>
                            <li data-target="#caption_slide" data-slide-to="1">
                                <strong>Intelligent Automation </strong>With Simplicity.
                            </li>
                            <li data-target="#caption_slide" data-slide-to="2">
                                <strong>Tailored to Your Needs </strong>Just as You like it.
                            </li>
                            <li data-target="#caption_slide" data-slide-to="3">
                                <strong>Continuous Innovation </strong>Why stop when we can do more together?
                            </li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="gray-bg section-padding" id="feature-page">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-sm-offset-3 text-center">
                    <div class="page-title">
                        <h2>SPECIAL FEATURES</h2>
                        <p>IMS is a platform that empowers instructors, intellectuals and authors to sell their books
                            online for free, providing a comprehensive and user-friendly platform. </p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-md-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/portfolio-icon-1.png" alt="">
                        </div>
                        <h3>User-Friendly Listing Management</h3>
                        <p>IMS simplifies the process of creating and managing book listings. Instructors can
                            easily input book details, including title, author, edition, condition, and pricing. With a
                            streamlined interface, instructors can effortlessly add, edit, and update their listings,
                            ensuring accuracy and relevance at all times.
                        </p>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/portfolio-icon-2.png" alt="">
                        </div>
                        <h3>Secure Online Transactions</h3>
                        <p>IMS ensures secure and reliable transactions, protecting both instructors and
                            buyers. Integrated payment gateways provide a safe environment for financial transactions,
                            giving instructors peace of mind while selling their books online.</p>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/portfolio-icon-3.png" alt="">
                        </div>
                        <h3>Inventory Management</h3>
                        <p>Effortlessly keep track of inventory with IMS's intuitive inventory management system.
                            Instructors can monitor stock levels, track sales, and receive alerts when inventory is
                            running low. This feature helps instructors maintain availability and ensure a smooth
                            selling experience.
                        </p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-md-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/portfolio-icon-6.png" alt="">
                        </div>
                        <h3>Seamless Communication</h3>
                        <p>IMS facilitates seamless communication between instructors and buyers. Instructors can
                            respond to inquiries, negotiate prices, and provide additional information to potential
                            buyers through built-in messaging or email integration. Effective communication leads to
                            improved customer satisfaction and increased sales.
                        </p>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/portfolio-icon-4.png" alt="">
                        </div>
                        <h3>Promotional Tools</h3>
                        <p>Promote your books effectively with IMS's marketing tools. Instructors can create
                            eye-catching book descriptions, upload quality images, and utilize built-in SEO optimization
                            to increase visibility and attract potential buyers. By optimizing book listings,
                            instructors can enhance their online presence and boost sales.
                        </p>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-4">
                    <div class="box">
                        <div class="box-icon">
                            <img src="/static/colid/images/portfolio-icon-5.png" alt="">
                        </div>
                        <h3>Analytics and Insights</h3>
                        <p>Gain valuable insights into your sales performance and customer behavior with IMS's analytics
                            and reporting features. Instructors can access data on sales trends, popular book
                            categories, and buyer preferences. This information enables instructors to make data-driven
                            decisions, optimize their selling strategies, and maximize profitability.
                        </p>
                    </div>
                </div>
            </div>

            <div class="row">

                <div class="text-center">
                    <a href="{{ route('landingpage.choose') }}" class="button blue">
                        Get Started Today
                    </a>
                </div>
            </div>
        </div>
        </div>
    </section>
    {{-- <section class="price-area overlay section-padding" id="price-page">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-sm-offset-3 text-center">
                    <div class="page-title">
                        <h2>Afortable Price</h2>
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Velit voluptates, temporibus at,
                            facere harum fugiat!</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 col-sm-4">
                    <div class="price-table">
                        <h3 class="text-uppercase price-title">Basic</h3>
                        <hr>
                        <ul class="list-unstyled">
                            <li><strong class="amount">$ <span class="big">20</span></strong>/Month</li>
                            <li>100 MB Disk Space</li>
                            <li>2 Subdomains</li>
                            <li>5 Email Accounts</li>
                            <li>Webmail Support</li>
                            <li>Customer Support 24/7</li>
                        </ul>
                        <hr>
                        <a href="#" class="button">Purchase</a>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-4">
                    <div class="price-table active">
                        <span class="price-info"><span class="ti-crown"></span></span>
                        <h3 class="text-uppercase price-title">STABDARD</h3>
                        <hr>
                        <ul class="list-unstyled">
                            <li><strong class="amount">$ <span class="big">39</span></strong>/Month</li>
                            <li>100 MB Disk Space</li>
                            <li>2 Subdomains</li>
                            <li>5 Email Accounts</li>
                            <li>Webmail Support</li>
                            <li>Customer Support 24/7</li>
                        </ul>
                        <hr>
                        <a href="#" class="button">Purchase</a>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-4">
                    <div class="price-table">
                        <h3 class="text-uppercase price-title">UNLIMITED</h3>
                        <hr>
                        <ul class="list-unstyled">
                            <li><strong class="amount">$ <span class="big">59</span></strong>/Month</li>
                            <li>100 MB Disk Space</li>
                            <li>2 Subdomains</li>
                            <li>5 Email Accounts</li>
                            <li>Webmail Support</li>
                            <li>Customer Support 24/7</li>
                        </ul>
                        <hr>
                        <a href="#" class="button">Purchase</a>
                    </div>
                </div>
            </div>
        </div>
    </section> --}}
    {{-- <section class="section-padding gray-bg" id="team-page">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-sm-offset-3 text-center">
                    <div class="page-title">
                        <h2>Special team</h2>
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Velit voluptates, temporibus at,
                            facere harum fugiat!</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-md-3">
                    <div class="single-team">
                        <div class="team-photo">
                            <img src="/static/colid/images/team-section-1.png" alt="">
                        </div>
                        <h4>JEMY SEDONCE</h4>
                        <h6>Co. Founder</h6>
                        <ul class="social-menu">
                            <li><a href="#"><i class="ti-facebook"></i></a></li>
                            <li><a href="#"><i class="ti-twitter"></i></a></li>
                            <li><a href="#"><i class="ti-linkedin"></i></a></li>
                            <li><a href="#"><i class="ti-pinterest"></i></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-3">
                    <div class="single-team">
                        <div class="team-photo">
                            <img src="/static/colid/images/team-section-2.png" alt="">
                        </div>
                        <h4>DEBORAH BROWN</h4>
                        <h6>UX Designer</h6>
                        <ul class="social-menu">
                            <li><a href="#"><i class="ti-facebook"></i></a></li>
                            <li><a href="#"><i class="ti-twitter"></i></a></li>
                            <li><a href="#"><i class="ti-linkedin"></i></a></li>
                            <li><a href="#"><i class="ti-pinterest"></i></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-3">
                    <div class="single-team">
                        <div class="team-photo">
                            <img src="/static/colid/images/team-section-3.png" alt="">
                        </div>
                        <h4>HARRY BANKS</h4>
                        <h6>Founder</h6>
                        <ul class="social-menu">
                            <li><a href="#"><i class="ti-facebook"></i></a></li>
                            <li><a href="#"><i class="ti-twitter"></i></a></li>
                            <li><a href="#"><i class="ti-linkedin"></i></a></li>
                            <li><a href="#"><i class="ti-pinterest"></i></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-3">
                    <div class="single-team">
                        <div class="team-photo">
                            <img src="/static/colid/images/team-section-4.png" alt="">
                        </div>
                        <h4>VICTORIA CLARK</h4>
                        <h6>Creative Director</h6>
                        <ul class="social-menu">
                            <li><a href="#"><i class="ti-facebook"></i></a></li>
                            <li><a href="#"><i class="ti-twitter"></i></a></li>
                            <li><a href="#"><i class="ti-linkedin"></i></a></li>
                            <li><a href="#"><i class="ti-pinterest"></i></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section> --}}


    <section class="testimonial-area section-padding gray-bg overlay">
        <div class="container">
            <div class="row my-10">
                <div class="col-xs-12 col-sm-6 col-sm-offset-3 text-center" style="margin-bottom: 5em;">
                    <div class="">
                        <h2>Here is what our Clients have to say</h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 col-sm-10 col-sm-offset-1 col-md-8 col-md-offset-2">
                    <div class="testimonials">
                        <div class="testimonial">
                            <div class="testimonial-photo">
                                <img src="/static/colid/images/avatar-small-1.png" alt="">
                            </div>
                            <h3>AR Rahman</h3>
                            <p> Working with IMS has been a game changer, now I know which books make me more money and
                                I know how to target those specific goods for advert and for more online visibility. The
                                app shows me my profits made on daily, weekly and monthly basis. This means I can now
                                make well informed decisions
                                for the future with income from my books. IMS is indeed a game changer
                            </p>
                            <p class="text-center">★★★★★</p>

                        </div>
                        <div class="testimonial">
                            <div class="testimonial-photo">
                                <img src="/static/colid/images/avatar-small-2.png" alt="">
                            </div>
                            <h3> - Sarah M.</h3>
                            <p>"The IMS app has transformed the way I manage my inventory. It's incredibly intuitive and
                                user-friendly. I can easily track stock levels, receive alerts, and make data-driven
                                decisions to optimize my business operations. Highly recommended!"</p>
                            <p class="text-center">★★★★☆</p>
                        </div>
                        <div class="testimonial">
                            <div class="testimonial-photo">
                                <img src="/static/colid/images/avatar-small-3.png" alt="">
                            </div>
                            <h3>- John W.</h3>
                            <p>"IMS has been a game-changer for my online bookstore. The inventory management feature is
                                a lifesaver. I can effortlessly add and update book listings, monitor stock levels, and
                                receive notifications when it's time to restock. The customer support team is also
                                incredibly responsive and helpful. Great app!"</p>
                            <p class="text-center">★★★★☆</p>

                        </div>
                        <div class="testimonial">
                            <div class="testimonial-photo">
                                <img src="/static/colid/images/avatar-small-4.png" alt="">
                            </div>
                            <h3> - Emily R.</h3>
                            <p>"As an instructor, selling my books online has never been easier thanks to IMS. The
                                platform is easy to navigate, and I appreciate the seamless communication with buyers.
                                The analytics and reporting features provide valuable insights into my sales
                                performance. IMS has definitely boosted my book sales!"</p>
                            <p class="text-center">★★★★★</p>

                        </div>
                        <div class="testimonial">
                            <div class="testimonial-photo">
                                <img src="/static/colid/images/avatar-small-5.png" alt="">
                            </div>
                            <h3>- Mark L.</h3>
                            <p>★★★★☆
                                "IMS has simplified my book-selling process. The listing management feature is
                                straightforward, and I love the promotional tools. Creating attractive book descriptions
                                and optimizing my listings has significantly increased visibility and attracted more
                                buyers. A reliable app for any instructor looking to sell books online!"</p>
                            <p class="text-center">★★★★☆</p>
                        </div>
                        <div class="testimonial">
                            <div class="testimonial-photo">
                                <img src="/static/colid/images/avatar-small-6.png" alt="">
                            </div>
                            <h3>- Jessica T.</h3>
                            <p>"IMS has exceeded my expectations as a comprehensive app for book sellers. The secure
                                payment gateway ensures worry-free transactions, and the rating and review system helps
                                build trust with buyers. The social media integration feature is a bonus, allowing me to
                                reach a wider audience. IMS is a must-have for book sellers!"</p>
                            <p class="text-center">★★★★★</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="gray-bg section-padding" id="faq-page">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-sm-offset-3 text-center">
                    <div class="page-title">
                        <h2>Frequently Asked Questions</h2>
                        <p>Here are some of the popular questions you might have about our products and services!</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 col-sm-10 col-sm-offset-1 col-md-8 col-md-offset-2">
                    <div class="panel-group" id="accordion">
                        <div class="panel">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse1"
                                    aria-expanded="true">Can I sell only books authored by me?</a>
                            </h4>
                            <div id="collapse1" class="panel-collapse collapse in">
                                <p>IMS does not limit your earning potential to only books authored by you. You can sell
                                    books that are written by another author, as long as it is legal in your country.
                                </p>
                            </div>
                        </div>
                        <div class="panel">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse2">Tempor
                                    What happens when someone else is selling my book?</a>
                            </h4>
                            <div id="collapse2" class="panel-collapse collapse">
                                <p>There could be 100 books on a particular subject matter, or multiple books of the
                                    same type, however, all books can be traced back to their vendor (the person who
                                    uploaded the book to the IMS platform)
                                    This is why we advice our vendors to use their real data during registration on IMS,
                                    such as name, email phone number and photo that your clients can easily identify.
                                    In addition, every author has a unique store link, so there can be no mistake of
                                    identities, when combined with the author's bio data eg. photo and surname.
                                    Be rest assured that your clients will always patronize you without ambiguity.
                                </p>
                            </div>
                        </div>
                        <div class="panel">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse3">
                                    How much does it cost to sell on IMS ?</a>
                            </h4>
                            <div id="collapse3" class="panel-collapse collapse">
                                <p> It is totally free to sell on IMS platform. Buying however, is not free. So its
                                    pretty simple. Sellers sell for free and buyers pay for the books bought on the
                                    platform. That's it.</p>
                            </div>
                        </div>
                        <div class="panel">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse4">
                                    How do I receive my earnings on IMS, Will I be able to withdraw my funds?</a>
                            </h4>
                            <div id="collapse4" class="panel-collapse collapse">
                                <p>Of course, all customers will be paid on Monday everyweek, the minimum threshold for
                                    withdrawal is N5,000.00 worth of sales or one month's worth of sales.
                                    This means that if after a month, you were not able to make up to N5,000.00 in
                                    sales, whatever your sales may be, IMS will pay you at the end of the 30 days of
                                    registration.
                                    However, if you are able to hit N5,000.00 withdrawal threshold in a week, then
                                    you'll be paid the following Monday.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">

                <div class="text-center">
                    <a href="{{ route('landingpage.choose') }}" class="button blue">
                        Get Started Today
                    </a>
                </div>
            </div>

        </div>
    </section>



    <section class="section-padding overlay client-area overlay" id="client-page">
        <div class="container">
            <div class="row text-center">
                <div class="col-xs-12">
                    <div class="clients">
                        <div class="item">
                            <img src="/static/colid/images/themeforest.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/coadcanyon.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/graphicriver.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/docean.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/audiojungle.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/actividen.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/photodone.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/videgub.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/themeforest.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/coadcanyon.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/graphicriver.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/docean.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/audiojungle.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/actividen.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/photodone.gif" alt="">
                        </div>
                        <div class="item">
                            <img src="/static/colid/images/videgub.gif" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    {{-- <section class="section-padding gray-bg" id="blog-page">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-4">
                    <div class="single-blog">
                        <div class="blog-photo">
                            <img src="/static/colid/images/small1.jpg" alt="">
                        </div>
                        <div class="blog-content">
                            <h3><a href="#">Beautiful Place for your Great Journey</a></h3>
                            <ul class="blog-meta">
                                <li><span class="ti-user"></span> <a href="#">Admin</a></li>
                                <li><span class="ti-calendar"></span> <a href="#">Feb 01, 2017</a></li>
                            </ul>
                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Odit nemo eaque expedita
                                aliquid dolorem repellat perferendis, facilis aut fugit, impedit.</p>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-4">
                    <div class="single-blog">
                        <div class="blog-photo">
                            <img src="/static/colid/images/small2.jpg" alt="">
                        </div>
                        <div class="blog-content">
                            <h3><a href="#">Beautiful Place for your Great Journey</a></h3>
                            <ul class="blog-meta">
                                <li><span class="ti-user"></span> <a href="#">Admin</a></li>
                                <li><span class="ti-calendar"></span> <a href="#">Feb 01, 2017</a></li>
                            </ul>
                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Odit nemo eaque expedita
                                aliquid dolorem repellat perferendis, facilis aut fugit, impedit.</p>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-4">
                    <div class="single-blog">
                        <div class="blog-photo">
                            <img src="/static/colid/images/small3.jpg" alt="">
                        </div>
                        <div class="blog-content">
                            <h3><a href="#">Beautiful Place for your Great Journey</a></h3>
                            <ul class="blog-meta">
                                <li><span class="ti-user"></span> <a href="#">Admin</a></li>
                                <li><span class="ti-calendar"></span> <a href="#">Feb 01, 2017</a></li>
                            </ul>
                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Odit nemo eaque expedita
                                aliquid dolorem repellat perferendis, facilis aut fugit, impedit.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section> --}}
    <footer class="footer-area relative sky-bg" id="contact-page">
        <div class="absolute footer-bg"></div>
        <div class="footer-top">
            <div class="container">
                <div class="row">
                    <div class="mb-5 col-xs-12 col-sm-6 col-sm-offset-3 text-center">
                        <div class="">
                            <h2 class="mb-2">Contact Us</h2>
                            <p>Need more information about our services and how they could be tailored to best suit your
                                needs?</p>
                            <p>We are just an email or phone call away</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12 col-md-4">
                        <address class="side-icon-boxes">
                            <div class="side-icon-box">
                                <div class="side-icon">
                                    <img src="/static/colid/images/location-arrow.png" alt="">
                                </div>
                                <p><strong>Address: </strong> 44, Ogunlana Dr, Surulere, Lagos <br /></p>
                            </div>
                            <div class="side-icon-box">
                                <div class="side-icon">
                                    <img src="/static/colid/images/phone-arrow.png" alt="">
                                </div>
                                <p><strong>Telephone: </strong>
                                    <a href="callto:8801812726495">+234 704 506 3380</a> <br />
                                </p>
                            </div>
                            <div class="side-icon-box">
                                <div class="side-icon">
                                    <img src="/static/colid/images/mail-arrow.png" alt="">
                                </div>
                                <p><strong>E-mail: </strong>
                                    {{-- <a href="/cdn-cgi/l/email-protection#b6cfd9c3c4d3dbd7dfdaf6d3ced7dbc6dad398d5d9db"><span
                                            class="__cf_email__"
                                            data-cfemail="760f190304131b171f1a36130e171b061a135815191b">[email&#160;protected]</span></a>
                                    <br /> --}}
                                    <a href=""><span> info@aims.marxon.com.ng</span></a>
                                </p>
                            </div>
                        </address>
                    </div>
                    <div class="col-xs-12 col-md-8">
                        <form action="{{ route('contact.developer') }}" method="post">@csrf
                            <div class="form-double">
                                <input type="text" id="form-name" name="form-name" placeholder="Your fullname"
                                    required="required" class="form-control" />

                                <input type="email" id="form-email" name="form-email" class="form-control"
                                    class="form-control" required="required" placeholder="E-mail address">
                            </div>
                            <input type="text" id="form-subject" name="form-subject" class="form-control"
                                placeholder="Subject">
                            <textarea name="message" id="form-message" name="form-message" rows="5" class="form-control"
                                placeholder="Your message" required="required"></textarea>
                            <button type="sibmit" class="button">Submit</button>
                            {{-- <input type="submit"> --}}
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer-middle">
            <div class="container">
                {{-- <div class="row">
                    <div class="col-xs-12 col-sm-6 pull-right">
                        <ul class="social-menu text-right x-left">
                            <li><a href="#"><i class="ti-facebook"></i></a></li>
                            <li><a href="#"><i class="ti-twitter"></i></a></li>
                            <li><a href="#"><i class="ti-google"></i></a></li>
                            <li><a href="#"><i class="ti-linkedin"></i></a></li>
                            <li><a href="#"><i class="ti-github"></i></a></li>
                        </ul>
                    </div>
                    <div class="col-xs-12 col-sm-6">
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Id corrupti architecto
                            consequuntur, laborum quaerat sed nemo temporibus unde, beatae vel.</p>
                    </div>
                </div> --}}
            </div>
        </div>
        <div class="footer-bottom">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12 text-center">
                        {{-- <p>&copy;Copyright 2018 ThemeCTG all right resurved. Designed by Quomodotheme</p> --}}
                        <p>&copy;Copyright {{ date('Y') }} Marxon Inc. All rights reserved.
                            <a href="https://daniels-martins.netlify.app" class="text-white">
                                Developed by Marxon &trade;
                            </a>

                        </p>
                    </div>
                </div>
            </div>
        </div>
    </footer>

    <script data-cfasync="false" src="/cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script>
    <script src="/static/colid/js/vendor/jquery-1.12.4.min.js"></script>
    <script src="/static/colid/js/vendor/bootstrap.min.js"></script>

    <script src="/static/colid/js/owl.carousel.min.js"></script>
    <script src="/static/colid/js/contact-form.js"></script>
    <script src="/static/colid/js/jquery.parallax-1.1.3.js"></script>
    <script src="/static/colid/js/scrollUp.min.js"></script>
    <script src="/static/colid/js/magnific-popup.min.js"></script>
    <script src="/static/colid/js/wow.min.js"></script>

    <script src="/static/colid/js/main.js"></script>
    <script defer src="https://static.cloudflareinsights.com/beacon.min.js/v52afc6f149f6479b8c77fa569edb01181681764108816"
        integrity="sha512-jGCTpDpBAYDGNYR5ztKt4BQPGef1P0giN6ZGVUi835kFF88FOmmn8jBQWNgrNd8g/Yu421NdgWhwQoaOPFflDw=="
        data-cf-beacon='{"rayId":"7c5e7f016f410b32","version":"2023.4.0","b":1,"token":"cd0b4b3a733644fc843ef0b185f98241","si":100}'
        crossorigin="anonymous"></script>
</body>

</html>
