<x-mail::message>
# ORDER VERIFICATION WITH PAYMENT GATEWAY SERVICE (PGS) FAILED

There has been an issue and it's not a transaction status error problem.
This means that the transaction was successful on the PGS' end, however,
one or more of our checks did not pass and so it's wise to review for the following:
1. App fees

2. transaction reference id

3. charged amount

--------------------------------
# ORDER INFO

Order Amount : {{ $relatedOrder->total_amount }}

# ITEM(S) PURCHASED
@foreach ($relatedContent as $cartItem)
{!! " <div class='fw-bold'> Item $loop->iteration : </div> "!!}

Item Name:  {{ $cartItem->name }} 

Item Price: {{ $cartItem->price }}

Qty: {{ $cartItem->qty }}

&NewLine;
@endforeach
-----------------
# Client Data:

Client name: {{ $relatedClient->name }}
Client mat_num: {{ $relatedClient->mat_num }}
Client phone: {{ $relatedClient->phone }}
Client Organisation: {{ $relatedClient->org->name }}


-----------------
# PGS Data
@foreach ($pgsData as $key => $data)
{{ "$key : $data" }}

@endforeach

# Summary

Total Order Amount : {{ $relatedOrder->total_amount }}

Expected Fee: {{ $relatedOrder->total_amount * (1.5/100) }}

Actual Fee : {{ $pgsData['fees'] }}


--------------------------------

<x-mail::button :url="route('guest.search_for_my_order', $relatedOrder->identifier)">
    View Affected Order
</x-mail::button>
Thanks,

{{ config('app.name') }}
</x-mail::message>


<style scoped>
.fw-bold{
font-weight : bold;
color: black;
padding: 1em 0;
}
</style>