@extends('snit.layouts.app')
@section('content')
    <div class="">
        <h4 class="fw-bold py-3 mb-4 m-4"><span class="text-muted fw-light">Books /</span>Update Book</h4>
        <div class="col-md-12 px-4">
            <ul class="nav nav-pills flex-column flex-md-row mb-3 gap-3">
                <li class="nav-item">
                    <a class="nav-link active cursor-default text-sm" href="javascript:void(0);"><i
                            class="bx bx-book me-1"></i> Update Book</a>
                </li>
                <li class='nav-item sm:ms-4'>

                    <div class="btn btn-outline-primary  hover:text-gray-50">
                        <a class=" text-gray-300 hover:text-gray-200" href="{{ route('docs.edit', $book->doc?->id ?? 0) }}">
                            <i class="bx bx-edit-alt"></i>
                            Edit File
                            <i class="bx bx-file"></i>
                        </a>
                    </div>
                </li>
                <li class="flex justify-end  w-100 text-right">
                    <div class="btn btn-outline-primary  hover:text-gray-50">
                        <a class=" text-gray-300 hover:text-gray-200" href="{{ route('books.index') }}">
                            <i class="bx bx-happy-heart-eyes"></i>
                            View All My Books
                            <i class="bx bx-book"></i>
                        </a>
                    </div>
                </li>
            </ul>
        </div>
        <div class="col-xl mx-4">
            <div class="card mb-4 offset-sm-2 col-sm-8">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">Edit this book's information</h5>
                </div>
                <div class="card-body">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <x-input-errors :messages="$errors->all()" />
                        </div>
                    @endif
                    {{-- form begins here --}}
                    <form class="" method="post" action="{{ route('books.update', $book->id) }}">@csrf
                        @method('patch')
                        <div class="col-12 md:flex md:gap-3">
                            <div class="mb-3 col">
                                <label class="my-0" for="book-name">Book Title </label>
                                <input type="text" class="form-control" id="book-name" name="name"
                                    value="{{ old('name') ?? $book->name }}" placeholder="eg. A good day to die hard" />
                                <x-input-single-error name="name" />
                            </div>

                            <div class="mb-3 col">
                                <label class="my-0" for="ISBN"> ISBN</label>
                                <input type="text" class="form-control" id="ISBN" name="ISBN"
                                    value="{{ old('ISBN') ?? $book->ISBN }}" placeholder="038593496594" />
                                <x-input-single-error name="ISBN" />
                            </div>
                            <div class="mb-3 col">
                                <label class="my-0" for="price">Price</label>
                                <input type="text" class="form-control" id="price" name="price"
                                    value="{{ old('price') ?? $book->price }}" placeholder="eg. 3000.00" />
                                <x-input-single-error name="price" />
                            </div>
                        </div>

                        <div class="col-12 md:flex md:gap-3">
                            <div class="mb-3 col">
                                <label class="my-0" for="publisher">Publisher</label>
                                <input class="form-control" id="publisher" name="publisher" list="publishers"
                                    value="{{ old('publisher') ?? $book->publisher->coy_name }}"
                                    placeholder="Enter a new publisher name eg.ACME Inc." />
                                <x-input-single-error name="publisher" />

                                <datalist id='publishers'>
                                    @foreach ($all_publishers as $publisher)
                                        <option value="{{ $publisher->coy_name }}">
                                            {{ $publisher->coy_name }}</option>
                                    @endforeach
                                </datalist>
                            </div>

                            <div class="mb-3 col">
                                <label class="my-0" for="pub_year">Year of Publication</label>
                                <input type="number" class="form-control" id="pub_year" name="pub_year"
                                    value="{{ old('pub_year') ?? $book->pub_year }}" placeholder="eg. 2020" />
                                <x-input-single-error name="pub_year" />
                            </div>

                            <div class="mb-3 col">
                                <label class="my-0" for="pub_year">Qty</label>
                                <input type="number" class="form-control" id="inventory" name="inventory"
                                    value="{{ old('inventory') ?? $book->inventory }}" placeholder="eg. 200" />
                                <x-input-single-error name="inventory" />
                            </div>
                        </div>

                        <div class="col-12  mb-3">
                            <label class="my-0" for="message">
                                Message
                                <span class="text-muted"> (Leave a desciptive message for this book)</span>
                            </label>
                            <textarea id="message" class="form-control" name="message" rows="5"
                                placeholder="eg. This book is for COM111 intended for ND1 students?">{{ old('message') ?? $book->message }}</textarea>
                        </div>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
