@extends('snit.layouts.app')
@section('content')
    <div class="my-16 offset-sm-4 col-sm-4">
        <div class="card">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="my-0">
                    <span class="block mb-2">Cashout </span>
                    <small class="text-xs text-blue-300">Carefully fill this form</small>
                </h5>
            </div>
            <div class="card-body">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <x-input-errors :messages="$errors->all()" />
                    </div>
                @endif
                    @if (session('authors'))
                        {{'aythor is set'}}
                    @endif
                {{-- form begins here --}}
                <form class="" method="post" action="{{ route('cashout.chooseOrg') }}">@csrf

                    <div class="mb-3">
                        <label class="my-0" for="publisher">Organisation</label>

                        <input class="form-control" id="org" name="org" list="organisations"
                            value="{{ old('org') }}" placeholder="Enter a new organisation name eg.ACME Inc." />
                        <x-input-single-error name="org" />

                        <datalist id='organisations'>
                            @foreach ($all_orgs as $org)
                                <option value="{{ $org->name }}">
                                    {{ $org->name }}</option>
                            @endforeach
                        </datalist>
                    </div>

                    <button type="submit" class="btn btn-sm form-control btn-outline-primary">Proceed</button>
                </form>
            </div>
        </div>
    </div>
@endsection
