@extends('snit.layouts.app')
@section('content')
    <div class="my-16 offset-sm-1 col-sm-10">
        <div class="card">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="my-0">
                    <span class="block mb-2">Cashout</span>
                    <small class="uppercase text-xs text-gray-800">{{ $org }}</small>
                    <small class="uppercase text-xs text-gray-800">(instructors) {{ now() }}</small>
                </h5>
            </div>
            <div class="card-body">
                <table>
                    <tr>
                        <th class="p-2">Author</th>
                        <th class="p-2">Bank Name</th>
                        <th class="p-2">Account Holder</th>
                        <th class="p-2">Account Number</th>
                        <th class="p-2">Last Paid</th>
                        <th class="p-2">Action</th>
                    </tr>

                    @foreach ($authors as $author)
                        <tr class="">
                            <td class="p-2">
                                <img src="/storage/{{ $author->dp }}" alt="ddj" class="rounded-full w-12">
                                <br>
                                <span class="capitalize"> {{ $author->fname }}</span>
                            </td>

                            <td class="p-2">
                                <div class="">
                                    {{ $author->getBank()?->bank_name }}
                                </div>
                            </td>

                            <td class="p-2">
                                <div class="">
                                    {{ $author->getBank()?->account_holder }}
                                </div>
                            </td>

                            <td class="p-2">
                                <div class="">
                                    {{ $author->getBank()?->account_number }}
                                </div>
                            </td>
                            

                            <td class="p-2">
                                <div class="">
                                    {{ $author->last_paid ?? 'null' }}
                                </div>
                            </td>

                            <td class="p-2">

                                @if ($author->is_paid)
                                    <span class="text-success fw-bold"> PAID</span>
                                @else
                                    <form action="{{ route('cashout.process') }}" method="post">@csrf
                                        <input type="hidden" name="author_id" value="{{ $author->id }}">
                                        <button class="btn btn-sm btn-primary" type="submit">System Pay</button>
                                        <button class="btn btn-sm btn-info" type="button">Manual Pay </button>
                                    </form>
                                @endif
                            </td>

                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
    </div>
@endsection
