@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->
    @if (count($allRelatedClients) < 1)
        <h4 class="my-5 py-5 text-center fw-light"> You have no Clients for "{{ $requestedBook->name }}"<a class="underline"
                href="{{ route('books.create') }}"> </a>
        </h4>
    @else
        <div class="card mx-4 my-3">
            <div class="d-flex justify-content-between">
                <h5 class="card-header">My Clients for "{{ $requestedBook->name }}"</h5>
                <div class="d-block mx-5">
                    <div class="mt-3">
                        <p class="text-lg">
                            Total Purchases for "{{ $requestedBook->name }}" : {{ count($allRelatedClients) }}
                        </p>
                    </div>
                </div>
            </div>

            <form class="">
                <h5 class="card-header text-primary"><small> Filter Results for "{{ $requestedBook->name }}"</small></h5>
                <div class="d-block mx-4 col-10 col-sm-5">
                    <div class="input-group">
                        <select class="form-select" name="filterby" id="filterby">
                            <option value="mat_num">Mat. Number</option>
                            <option value="phone">Phone</option>
                            <option value="organisation">Organisation</option>
                        </select>
                        <label class="input-group-text" for="searchfor">
                            <input type="text" class="form-control" id="searchfor" name="searchfor"
                                placeholder="Enter Value">
                        </label>
                        <button type="submit" class="btn btn-primary">Go <i class="bx bx-arrow-to-right"></i></button>
                    </div>
                </div>
            </form>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table table-bordered py-5">
                        <thead>
                            <tr>
                                @foreach ($table_headers as $heading)
                                    <th>{!! $heading !!}</th>
                                @endforeach
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($allRelatedClients as $client)
                                <tr>
                                    {{-- client image__ {futures} when we scale our servers to accomodate more space --}}
                                    {{-- <td>
                                        <img src="/storage/{{ $client->doc->front_cover ?? ' ' }}"
                                            alt="{{ $client->doc->front_cover ?? 'No Image' }}" class="src"
                                            width="100" />
                                    </td> --}}

                                    <td>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong class="capitalize">{{ $client->client_model->getFullName() }}</strong>
                                    </td>
                                    <td>{{ $client->client_model->mat_num }}</td>

                                    {{-- book purchased --}}
                                    <td>{{ $client->itemPurchased->name }}</td>

                                    {{-- isbn
                                    <td>{{ $client->client_model->mat_num }}</td> --}}

                                    {{-- amount --}}
                                    <td>{{ $client->itemPurchased->options->original_price }}</td>

                                    <td><span class=" me-1">{{ $client->client_model->phone }}</span>
                                    </td>

                                    <td><span class=" me-1">{{ $client->created_at_key }}</span>
                                    </td>

                                    {{-- edit client --}}
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @endif
    <!--/ Bordered Table -->
@endsection
