@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->
    @if (count($allRelatedClients) >= 1)
        <div class="card mx-4 my-3">
            <div class="d-flex justify-content-between">
                <h5 class="card-header">My Hardcover Clients for
                    "{{ $requestedDept->name }}"
                </h5>
                <div class="d-block mx-5">
                    <div class="mt-3">
                        <p class="text-lg">
                            Total Hard Cover Purchases :
                            {{ count($allRelatedClients) }}
                        </p>
                    </div>
                </div>
            </div>
            <div class="d-flex justify-content-between mx-4">
                <a href="{{ route('book-clients.show-all', $requestedDept->slug) }}"
                    class="link_to_all_purchases btn btn-primary">All
                    Purchases &rArr;</a>
                <a href="{{ route('book-clients.show-ebook', $requestedDept->slug) }}"
                    class="link_to_hard_cover_purchases btn btn-primary"> Ebook
                    Purchases &rArr;</a>
            </div>
            <form class="mt-3">
                <h5 class="mx-4 text-secondary"><small> Filter Results for
                        "{{ $requestedDept->name }}"</small></h5>

                @if ($requestedDept)
                    {{-- {{ dd(request()->all()) }} --}}
                    <h5 class="mx-4 text-secondary">
                        <small> Search Results for "{{ $requestedDept->name }}"</small>
                        <small>
                            <a href="{{ route('book-clients.show-all', $requestedDept->slug) }}">
                                <span class="text-gray-500 underline">Clear Search
                                    Results</span>
                            </a>
                        </small>
                    </h5>
                @endif
                <div class="d-block mx-4 col-10 col-sm-5">
                    <div class="input-group">
                        <select class="form-select" name="filterby" id="filterby">
                            <option value="mat_num">Mat. Number</option>
                            <option value="phone">Phone</option>
                            <option value="organisation">Organisation</option>
                        </select>
                        <label class="input-group-text" for="searchfor">
                            <input type="text" class="form-control" id="searchfor" name="searchfor"
                                placeholder="Enter Value">
                        </label>
                        <button type="submit" class="btn btn-primary">Go <i class="bx bx-arrow-to-right"></i></button>
                    </div>
                </div>
            </form>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table table-bordered py-5">
                        <thead>
                            <tr>
                                @foreach ($table_headers as $heading)
                                    <th>{!! $heading !!}</th>
                                @endforeach
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($allRelatedClients as $client)
                                <tr>
                                    {{-- client image__ {futures} when we scale our servers to accomodate more space --}}
                                    {{-- <td>
                                        <img src="/storage/{{ $client->doc->front_cover ?? ' ' }}"
                                            alt="{{ $client->doc->front_cover ?? 'No Image' }}" class="src"
                                            width="100" />
                                    </td> --}}

                                    <td>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong class="capitalize">{{ $client->client_model->getFullName() }}</strong>
                                    </td>
                                    <td>{{ $client->client_model->mat_num }}</td>

                                    {{-- phone --}}
                                    <td><span class=" me-1">{{ $client->client_model->phone }}</span>
                                    </td>

                                    {{-- purchase date --}}
                                    <td><span class=" me-1">{{ $client->created_at_key }}</span>
                                    </td>

                                    {{-- book purchased --}}
                                    <td>{{ $client->itemPurchased->name }}</td>

                                    {{-- purchase type --}}
                                    <td>{{ $client->itemPurchased->options->type }}</td>
                                    {{-- amount --}}
                                    <td>{{ $client->itemPurchased->options->original_price }}
                                    </td>
                                    {{-- edit client --}}
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @elseif(count($allRelatedClients) < 1 && request('filterby'))
        <h4 class="my-5 py-5 text-center fw-light"> You have no Clients with info :
            <br> <br>
            {{ request('filterby') . ' : ' . request('searchfor') }} <br><br> that
            purchased
            "{{ $requestedDept->name }}"
            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>
        </h4>
    @elseif(count($allRelatedClients) < 1 && !request('filterby'))
        <h4 class="my-5 py-5 text-center fw-light"> You have no Clients for
            "{{ $requestedDept->name }}"

            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>

        </h4>
    @endif
    <!--/ Bordered Table -->
@endsection
