@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-light py-1 mb-1"><span class="text-muted fw-light">Book Store
                /</span> All Books</h4>

        <div class="row  mb-5">
          
            @forelse ($allAuthorbooks as $book)
                <div class="col-md-6 col-lg-4 my-5">
                    <div class="card h-100">
                        <img class="card-img-top" src="/storage/{{ $book->doc?->front_cover }}" alt="Card image cap">
                        <div class="card-body">
                            <p class="my-0 card-title text-sm">Book Title : {{ $book->name }}
                            </p>
                            <p class="my-0">
                                <span>
                                    Hard cover:
                                    N{{ number_format($book->price, 2) }}
                                </span>
                                <span class="my-0">| eBook:
                                    N{{ number_format($book->eBookPrice(), 2) }}</span>
                            </p>

                            <p class="card-text">
                                This book is an introduction to programming for
                                level 1 students_hq
                            </p>
                            {{-- only buyers should see a button to add to cart --}}
                            <a href="{{ route('book-clients.show-all', $book->slug) }}"
                                class="btn btn-sm btn-outline-primary m-1" title="View All Clients"
                                sr-only='View All Clients'>
                                <i class="bx bx-xs bx-see bx-show"></i>
                                All Clients
                                <i class="bx bx-xs bx-group"></i>
                            </a>



                            <a href="{{ route('book-clients.show-ebook', $book->slug) }}"
                                class="btn btn-sm btn-outline-success m-1" title="View all eBook Clients"
                                sr-only='View all eBook Clients'>
                                <i class="bx bx-xs bx-see bx-show"></i>
                                Ebook Clients
                                <i class="bx bx-xs bx-group"></i>
                            </a>
                            <p class="text-center mt-2">

                                <a href="{{ route('book-clients.show-hardcover', $book->slug) }}"
                                    class="btn btn-sm btn-outline-warning m-1" title="View all Hardcover Clients"
                                    sr-only='View all Hardcover Clients'>
                                    <i class="bx bx-xs bx-see bx-show"></i>
                                    Hardcover Clients
                                    <i class="bx bx-xs bx-group"></i>
                                </a>
                            </p>
                            {{-- <x-delete-refresh-v2 resourcename='book' :resource="$book" routename="books.destroy" /> --}}

                            </span>
                        </div>
                    </div>
                </div>

                @empty
                <h4 class="my-5 text-center fw-light"> You have no books <a class="underline"
                    href="{{ route('books.create') }}"> click
                    here </a> to create a new book </h4>
            @endforelse

        </div>
    </div>
    <!-- / Content -->
@endsection
@push('child-scripts')
    <script>
        console.log('the bookstore page for the author boy')
    </script>
@endpush
