@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-light py-1 mb-1"><span class="text-muted fw-light">
                My Registered Departments
        </h4>

        <div class="row  mb-5">
            @forelse ($deptsInOrg as $dept)
                <div class="col-md-6 col-lg-4 my-2">
                    <div class="card h-100 rounded-sm">
                        {{-- <img class="card-img-top" src="/storage/{{ $dept->doc?->front_cover }}" alt="Card image cap"> --}}
                        <div class="card-body pb-0">
                            <p class="mx-1 mb-2 card-title text-sm uppercase">
                                <small class="font-semibold"> {{ $dept->name }}</small>
                            </p>

                            {{-- only buyers should see a button to add to cart --}}
                            <a href="{{ route('dept-clients.show-all', $dept->slug) }}"
                                class="btn btn-sm btn-outline-primary m-1" title="View All Clients"
                                sr-only='View All Clients'>
                                <i class="bx bx-xs bx-see bx-show"></i>
                                view all clients
                                <i class="bx bx-xs bx-group"></i>
                            </a>
                            {{ $dept->getClients()->count() }}
                            </p>
                            {{-- <x-delete-refresh-v2 resourcename='book' :resource="$dept" routename="books.destroy" /> --}}
                            </span>
                        </div>
                    </div>
                </div>
            @empty
                <h4 class="my-5 text-center fw-light"> You have no departments <a class="underline"
                        href="{{ route('depts.create') }}"> click
                        here </a> to create a new department </h4>
            @endforelse
        </div>
    </div>
    <!-- / Content -->
@endsection
@push('child-scripts')
    <script>
        console.log('the bookstore page for the author boy')
    </script>
@endpush
