@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->
    @if (count($allClients) < 1)
        <h4 class="my-5 py-5 text-center fw-light text-gray-400"> You have no Clients yet<a class="underline"
                href="{{ route('books.create') }}"> </a>
        </h4>
    @else
        <div class="card m-4">
            <div class="d-flex justify-content-between">
                <h5 class="card-header">My Clients</h5>
                <div class="d-block m-4">
                    {{-- <a href="{{ route('books.create') }}" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-plus-circle"></i>
                        <div data-i18n="Toasts">Add New </div>
                    </a> --}}
                    <div class="mt-3">
                        Total in View : {{ count($allClients) }}
                    </div>
                </div>
            </div>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table  py-5">

                        <col>
                        <col>
                        <col>
                        <col>
                        <col>
                        <col>
                        {{-- <col class="bg-blue-900 text-white"> --}}
                        <thead>
                            <tr>
                                @foreach ($table_headers as $heading)
                                    <th><small>{!! $heading !!}</small></th>
                                @endforeach
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($allClients as $client)
                                <tr>
                                    {{-- client image__ {futures} when we scale our servers to accomodate more space --}}
                                    {{-- <td>
                                        <img src="/storage/{{ $client->doc->front_cover ?? ' ' }}"
                                            alt="{{ $client->doc->front_cover ?? 'No Image' }}" class="src"
                                            width="100" />
                                    </td> --}}
                                    <td>{{ $client->client_model->org->slug }}</td>

                                    <td>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong class="capitalize">{{ $client->client_model->getFullName() }}</strong>
                                    </td>
                                    <td>{{ $client->client_model->mat_num }}</td>


                                    <td><span class=" me-1">{{ $client->client_model->phone }}</span>
                                    </td>

                                    <td><span class=" me-1">{{ $client->created_at_key }}</span>
                                    </td>
                                    {{-- book purchased --}}
                                    <td>{{ $client->itemPurchased->name }}</td>

                                    {{-- purchase type --}}
                                    <td>{{ $client->itemPurchased->options->type }}</td>

                                    {{-- amount --}}
                                    <td class="text-sm">
                                        {{ '₦' . $client->itemPurchased->options->original_price }}
                                    </td>

                                    {{-- edit client --}}
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @endif
    <!--/ Bordered Table -->
@endsection
