@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->
    @if (count($allClients) < 1)
        <h4 class="my-5 py-5 text-center fw-bold text-gray-400"> You have no Clients <a class="underline"
                href="{{ route('books.create') }}"> </a>
        </h4>
    @else
        <div class="card m-4">
            <div class="d-flex justify-content-between">
                <h5 class="card-header">Clients that purchased {{ strtoupper($book->name) }}</h5>
                <div class="d-block m-4">
                    {{-- <a href="{{ route('books.create') }}" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-plus-circle"></i>
                        <div data-i18n="Toasts">Add New </div>
                    </a> --}}
                    <div class="mt-3">
                        Total Purchases: {{ count($allClients) }}
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table table-bordered py-5">
                        <thead>
                            <tr>
                                @foreach ($table_headers as $heading)
                                    <th>{!! $heading !!}</th>
                                @endforeach
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($allClients as $key => $client)
                                <tr>
                                    {{-- front cover image --}}
                                    <td>
                                        <img src="/storage/{{ $book->doc->front_cover ?? ' ' }}"
                                            alt="{{ $book->doc->front_cover ?? 'No Image' }}" class="src"
                                            width="100" />
                                    </td>
                                    
                                    <td>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong>{{ ucwords("$client->fname $client->lname")}}</strong>
                                    </td>
                                    <td>{{ $client->mat_num ?: 'n/a' }}</td>
                                    <td>{{ $client->email ?: 'n/a' }}</td>
                                    <td>{{ $client->phone ?: 'n/a' }}</td>
                                    <td>{{ $key ?: 'n/a' }}</td>

                                    {{-- edit book --}}
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @endif
    <!--/ Bordered Table -->
@endsection
