@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4">
            <span class="text-muted fw-normal">
                Register Course Departments for the current academic year
            </span>
        </h4>

        <div class="row">
            <div class="col-md-12">

                @include('snit.auth.dashboard.depts.partials.dept_config_mini_nav')

                <div class="card mb-4">
                    <div class="card-body">
                        <form id="formAccountSettings" method="post" action="{{ route('depts.store') }}">
                            @csrf
                            <div class="row">

                                {{-- Institution Type --}}
                                <div class="mb-3 col-md-6">
                                    <label for="institute" class="my-0">Institute Type</label>
                                    <select id="institute" name="institute" class="select2 form-select">
                                        <option value="">--Select Institution Type--</option>
                                        <option value="university">University</option>
                                        <option value="polytechnic">Polytechnic</option>
                                        <option value="college_of_education">College of Education</option>
                                    </select>
                                    @error('institute')
                                        <x-input-single-error name='institute' :message="$message" />
                                    @enderror
                                </div>

                                {{-- Program Type (fulltime or part time) --}}
                                <div class="mb-3 col-md-6">
                                    <label for="program_type" class="my-0"> Program Type </label>
                                    <select id="program_type" name="program_type" class="select2 form-select">
                                        <option value="">--Select Program Type--</option>
                                        <option value="ft">Full Time</option>
                                        <option value="pt">Part Time</option>
                                    </select>
                                    @error('program_type')
                                        <x-input-single-error name='program_type' :message="$message" />
                                    @enderror
                                </div>


                                <div class="col-12 md:flex ">
                                    {{-- Name of Department --}}
                                    <div class=" col-12 col-md-5 ">
                                        <label for="name" class="my-0">Name of Department</label>
                                        <input class="form-control" type="text" name="name" id="name"
                                            placeholder="eg. Computer Science ND2" value="{{ old('name') }}" />
                                        @error('name')
                                            <x-input-single-error name='name' :message="$message" />
                                        @enderror
                                    </div>

                                    {{-- department levels --}}
                                    <div class="col-12 col-md-3 md:px-2">
                                        <label for="dept_level" class="my-0"> Department Level </label>
                                        <select id="dept_level" name="dept_level" class="select2 form-select">
                                            <option value="">--Select Level of Study--</option>
                                            @foreach ($dept_levels as $level)
                                                <option value="{{ $level }}">{{ $level }}</option>
                                            @endforeach
                                        </select>
                                        @error('dept_level')
                                            <x-input-single-error name='dept_level' :message="$message" />
                                        @enderror
                                    </div>

                                    {{-- sample matric num --}}
                                    <div class="col-12 col-md-4 ">
                                        <label for="sample_matric_num" class="my-0">Sample Matric Number</label>
                                        <input type="text" class="form-control" id="sample_matric_num"
                                            name="sample_matric_num" placeholder="sample_matric_num" />
                                        @error('sample_matric_num')
                                            <x-input-single-error name='sample_matric_num' :message="$message" />
                                        @enderror
                                    </div>
                                </div>

                            </div>

                            <div class="row">
                                {{-- my Authored books --}}
                                <div class="my-4 col-md-6">
                                    <label for="attached_books" class="my-0 text-sm">Attach Book(s) to this
                                        department</label>
                                    @error('attached_books')
                                        <x-input-single-error name='attached_books' :message="$message" />
                                    @enderror
                                    @if ($myBooks->count() > 0)
                                        <select multiple id="attached_books" name="attached_books[]"
                                            class="select2 form-select">
                                            <option value="">--Select Book--</option>
                                            @foreach ($myBooks as $myBook)
                                                <option value="{{ $myBook->id }}">{{ $myBook->name }}</option>
                                            @endforeach
                                        </select>
                                    @else
                                        <div class="text-sm">
                                            You have no books <a href="{{ route('books.create') }}"
                                                class="text-info text-sm">
                                                create one now</a>
                                        </div>
                                    @endif

                                </div>
                            </div>
                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2 btn-sm">Proceed</button>
                                <button type="reset" class="btn btn-outline-danger btn-sm">Cancel</button>
                            </div>
                        </form>
                    </div>
                    <!-- /Account -->
                </div>
            </div>
        </div>
    </div>
    <!-- / Content -->
@endsection
