@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-normal">Modify Course Departments for the current academic
                year</span></h4>

        <div class="row">
            <div class="col-md-12">
                <ul class="nav nav-pills flex-column flex-md-row mb-3">
                    <li class="nav-item">
                        <a class="nav-link @if (thisRouteName() == 'depts.edit') active @endif" href="javascript:void(0);">
                            <i class="bx bx-edit me-1"></i>
                            Modify A Department</a>
                    </li>
                    @include('snit.auth.dashboard.depts.partials.dept_config_mini_nav')


                </ul>
                <div class="card mb-4">
                    <div class="card-body">
                        {{-- {{ dd(author()   ) }} --}}
                        <form id="formAccountSettings" method="post" action="{{ route('depts.update', $dept->id) }}">
                            @csrf @method('patch')
                            <div class="row">

                                {{-- Institution Type --}}
                                <div class="mb-3 col-md-6">
                                    <label for="institute" class="form-label">Institute </label>
                                    <select id="institute" name="institute" class=" form-select">
                                        <option value="">--Select Institution Type{{ $dept->institute }}--</option>
                                        <option value="polytechnic"
                                            @if ($dept->institute == 'polytechnic') selected='selected' @endif>
                                            Polytechnic
                                        </option>
                                        <option value="university"
                                            @if ($dept->institute == 'university') selected='selected' @endif>
                                            University
                                        </option>
                                        <option value="college_of_education"
                                            @if ($dept->institute == 'college_of_education') selected='selected' @endif>
                                            College of Education
                                        </option>
                                    </select>
                                </div>

                                {{-- Name of Department --}}
                                <div class="mb-3 col-md-6">
                                    <label for="name" class="form-label">Name of Department</label>
                                    <input class="form-control" type="text" name="name" id="name"
                                        placeholder="eg. Computer Science ND2" value="{{ $dept->name ?: 'Not Set' }}" />
                                </div>

                                {{-- Program Type (fulltime or part time) --}}
                                <div class="mb-3 col-md-6">
                                    <label for="program_type" class="form-label"> Program Type </label>
                                    <select id="program_type" name="program_type" class="select2 form-select">
                                        <option value="">--Select Program Type--</option>
                                        <option value="ft" @if ($dept->program_type == 'ft') selected @endif>
                                            Full Time
                                        </option>
                                        <option value="pt" @if ($dept->program_type == 'pt') selected @endif>Part Time
                                        </option>
                                    </select>
                                </div>

                                {{-- department levels --}}
                                <div class="mb-3 col-md-6">
                                    <label for="dept_level" class="form-label"> Department Level </label>
                                    <select id="dept_level" name="dept_level" class="select2 form-select">
                                        <option value="">--Select Level of Study--</option>
                                        @foreach ($dept_levels as $level)
                                            <option value="{{ $level }}"
                                                @if ($dept->dept_level == $level) selected @endif>{{ $level }}
                                            </option>
                                        @endforeach

                                    </select>
                                </div>


                                <div class="mb-3 col-md-6">
                                    <label for="sample_matric_num" class="form-label">Sample Matric Number</label>
                                    <input type="text" class="form-control" id="sample_matric_num"
                                        name="sample_matric_num" placeholder="sample_matric_num"
                                        value="{{ $dept->sample_matric_num }}" />
                                </div>

                                {{-- my Authored books --}}
                                <div class="mb-3 col-md-6">
                                    <label for="attached_books" class="my-0">Attach Book(s) to this department</label>
                                    <select multiple id="attached_books" name="attached_books[]"
                                        class="select2 form-select">
                                        <option value="">--Select Book--</option>
                                        @foreach ($myBooks as $myBook)
                                            <option @selected($dept->books->contains($myBook->id)) class="my-1" value="{{ $myBook->id }}">
                                                {{ $myBook->name }}</option>
                                        @endforeach
                                    </select>
                                </div>

                            </div>

                            <div class="row">
                                <div class="mb-3 col-md-6">
                                    <label for="attached_books" class="my-0">Book(s) sold to this department</label>
                                    @foreach ($dept->books as $deptBook)
                                        <div class="text-primary text-sm my-2">
                                            {{ "{$loop->iteration} . " . $deptBook->name }}
                                        </div>
                                    @endforeach
                                </div>
                            </div>

                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2">Save changes</button>
                                <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                            </div>
                        </form>
                    </div>
                    <!-- /Account -->
                </div>
            </div>
        </div>
    </div>
    <!-- / Content -->
@endsection
