@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4">
            <span class="text-gray-300 fw-normal">
                View Registered Course Departments for the current academic year
            </span>
        </h4>

        <div class="row">

            <div class="col-md-12">
                @if ($allDepartments->count() == 0)
                    <div class="text-center">
                        <p class="my-3 text-gray-100">You don't have any departments.</p>

                        <a href="{{ route('depts.create') }}">
                            <button class="btn btn-primary">
                                Create a department
                            </button>
                        </a>

                    </div>
                @else
                    @include('snit.auth.dashboard.depts.partials.dept_config_mini_nav')
                    <div class="card mt-10 ">
                        <div class="card-body m-0 p-0">
                            {{-- {{ dd(author()   ) }} --}}
                            <div class="table-responsive text-nowrap">
                                <table class="table pb-10">
                                    <thead class="bg-blue-400 ">
                                        <tr>
                                            @foreach ($table_headers as $heading)
                                                <th class="text-white">
                                                    {!! str_replace('_', ' ', $heading) !!}</th>
                                            @endforeach
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($allDepartments as $dept)
                                            <tr class="">
                                                {{-- front cover image --}}
                                                <td>
                                                    <span class="uppercase text-left">{{ $dept->name }}</span>
                                                </td>
                                                <td>
                                                    <span>{{ strtoupper($dept->presentProgramType()) }}</span>
                                                </td>

                                                <td>
                                                    <span
                                                        class="uppercase">{{ strtoupper($dept->dept_level ?? 'not set') }}</span>
                                                </td>

                                                <td>
                                                    <span
                                                        class="uppercase">{{ strtoupper($dept->sample_matric_num ?? 'not set') }}</span>
                                                </td>

                                                <td>
                                                    <span
                                                        class="uppercase">{{ strtoupper($dept->institute ?? 'not set') }}</span>
                                                </td>

                                                {{-- Generate Report  muted for now --}}
                                                {{-- <td>
                                                    <div class="d-flex">
                                                        <a class="dropdown-item"
                                                            href="{{ route('user.create.dept-report', ['dept' => $dept->id]) }}"><i
                                                                class="bx bx-pencil me-1"></i></a>
                                                    </div>
                                                </td> --}}

                                                {{-- edit dept --}}
                                                <td>
                                                    <div class="d-flex">
                                                        <a class="dropdown-item"
                                                            href="{{ route('depts.edit', $dept->id) }}"><i
                                                                class="bx bx-edit-alt me-1"></i></a>
                                                    </div>
                                                </td>


                                                {{-- delete dept --}}
                                                <td>
                                                    <x-delete-resource-and-refresh resourcename='dept' :resource="$dept"
                                                        routename="depts.destroy" />
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- /Account -->
                    </div>
                @endif

            </div>
        </div>
    </div>
    <!-- / Content -->
@endsection
