@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4">
            <span class=" fw-normal">
                Sales Report for <b class="text-black">[{{ $dept->name . ' ' . $dept->dept_level }}]</b> in the Current
                Academic Year
            </span>
        </h4>

        <div class="row">
            <div class="col-md-12">
                <ul class="nav nav-pills flex-column flex-md-row mb-3">
                    <li class="nav-item">
                        <a class="nav-link active" href="#"><i class="bx bx-table me-1"></i>
                            Reports for [{{ $dept->name . ' ' . $dept->dept_level }}]</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('depts.create') }}"><i class="bx bx-plus me-1"></i> Register
                            A
                            Department</a>
                    </li>

                    {{-- to be implemented later --}}
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('depts.index') }}"><i class="bx bx-table me-1"></i>
                            View all Departments</a>
                    </li>


                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('user.create.dept-report') }}"><i class="bx bx-dollar me-1"></i>
                            Generate Report for Department</a>
                    </li>
                </ul>
                <div class="card mb-4">
                    <div class="card-body">
                        <div class="h4">
                            Total Clients in {{ $dept->name . ' department : ' . count($allClients) }}
                        </div>
                        {{-- {{ dd(author()   ) }} --}}
                        <div class="table-responsive text-nowrap">
                            <table class="table table-bordered py-5">
                                <thead>
                                    <tr>
                                        @foreach ($table_headers as $heading)
                                            <th>{!! str_replace('_', ' ', $heading) !!}</th>
                                        @endforeach
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($allClients as $client)
                                        <tr class="">
                                            {{-- client name --}}

                                            <td>
                                                <span>{{ $client->client_model->getFullName() }}</span>
                                            </td>

                                            {{-- dept level --}}
                                            <td>
                                                <span
                                                    class="uppercase">{{ strtoupper($dept->dept_level ?? 'not set') }}</span>
                                            </td>

                                            {{-- Matric Num --}}
                                            <td>
                                                <span
                                                    class="uppercase">{{ strtoupper($client->client_model->mat_num ?? 'not set') }}</span>
                                            </td>


                                            {{-- item or book purchased --}}
                                            <td>
                                                <span
                                                    class="uppercase">{{ strtoupper($client->itemPurchased->name) }}</span>
                                            </td>

                                            {{-- Sample Matric Num (from $dept) --}}
                                            <td>
                                                <span
                                                    class="uppercase">{{ strtoupper($dept->sample_matric_num ?? 'not set') }}</span>
                                            </td>

                                            {{-- dept name --}}
                                            <td>
                                                <span>{{ strtoupper($dept->name) }}</span>
                                            </td>

                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- /Account -->
                </div>
            </div>
        </div>
    </div>
    <!-- / Content -->
@endsection
