@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->

    <div class="card m-4">
        <div class="">
            <div class="card-header text-center">
                <h6 class="uppercase">
                    App Financial Report</h1>
            </div>
            <div class="mx-4">
                <p class="text-primary text-sm my-0 bg-gray-300">
                    Total Registered Authors : {{ dev()->getRegisteredAuthors() }}
                </p>

                <p class="text-primary text-sm my-0">
                    Total Books Published (all authors): {{ dev()->getAllBooksPublished() }}
                </p>

                <p class="text-primary text-sm my-0 bg-gray-300">
                    Total Books Sold (all authors): {{ dev()->countOfBookSold() }}
                </p>


                <p class="text-primary text-sm my-0">
                    <span>Total Sales Revenue Generated (all authors): </span>
                    <span class="currency">₦</span>

                    {{ money(dev()->getTotalSalesGeneratedForAuthors()) }}
                </p>

                <p class="text-primary text-sm my-0 bg-gray-300">
                    Total Profit margin (all authors):
                    <span class="currency">₦</span>
                    {{ money(dev()->getTotalProfitGeneratedForAuthors()) }}
                </p>


                <p class="text-primary text-sm my-0 bg-gray-300">
                    Total Income (PGS):
                    <span class="currency">₦</span>
                    {{ money(dev()->getTotalStakeholderIncome('pgs')) }}
                </p>

                <p class="text-primary text-sm my-0">
                    Total Income (dev):
                    <span class="currency">₦</span>
                    {{ money(dev()->getTotalStakeholderIncome('dev')) }}
                </p>

            </div>
        </div>



        {{-- daily review  --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>daily METRIC(authors only, all schools)</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="   text-black">
                            {{-- total number of books sold (yesterday) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (yesterday)
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold('yesterday') }}
                                </span>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    {{ money(author()->totalSalesFromBooks('yesterday')) }}
                                </span>
                            </td>
                        </tr>

                        <tr class="   text-black">
                            {{-- total number of books sold (today) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (today)
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold('today') }}
                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    {{ money(author()->totalSalesFromBooks('today')) }}
                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        {{-- weekly review --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5 bg-green-200">
                    <thead>
                        <tr>
                            <th> weekly METRIC(authors only, all schools)</th>
                            <th>QUANTITY </th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="text-black">

                            {{-- payment due information --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    LAST WEEK EARNINGS (paid on monday) <small class="text-green-600"></small>
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold('last_week') }}
                                </span>
                            </td>

                            <td>
                                <span class="currency text-green-600 text-sm">₦</span>
                                <span class="me-1 text-green-600 text-sm">
                                    {{ money(author()->totalSalesFromBooks('last_week')) }}
                                </span>
                            </td>

                        </tr>

                        <tr class=" bg-green-300">
                            {{-- payment due info --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    this week's earnings: Payout Due (next monday)
                                    <small class="text-green-900">ongoing</small>
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold('this_week') }}
                                </span>
                            </td>

                            <td>
                                <span class="currency text-green-600 text-sm">₦</span>
                                <span class="me-1 text-green-900 text-sm">
                                    {{ money(author()->totalSalesFromBooks('this_week')) }}
                                </span>
                            </td>

                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        {{-- monthly review --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>monthly METRIC(authors only, all schools)</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class=" text-black">
                            {{-- total number of books sold (last month) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (last month)
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold('last_month') }}
                                </span>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">

                                    {{ money(author()->totalSalesFromBooks('last_month')) }}

                                </span>
                            </td>
                        </tr>


                        <tr class="   text-black">
                            {{-- total number of books sold (this month) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (this month)
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold('this_month') }}
                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">

                                    {{ money(author()->totalSalesFromBooks('this_month')) }}

                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>



        {{-- yearly review --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>YEARLY METRIC(authors only, all schools)</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class="   text-black">
                            {{-- total no of books sold (all time) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total no of books sold (all time)
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold() }}
                                </span>
                            </td>


                            <td>
                                <span class="currency">₦</span>

                                <span class="me-1">
                                    {{ money(author()->totalSalesFromBooks()) }}
                                </span>
                            </td>
                        </tr>

                        <tr class="   text-black">
                            {{-- total number of books sold (last year) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (last year)
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold('last_year') }}
                                </span>
                            </td>
                            </td>


                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    {{ money(author()->totalSalesFromBooks('last_year')) }}
                                </span>
                            </td>
                        </tr>

                        <tr class=" text-black">
                            {{-- total number of books sold (this year) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (this year)
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold('this_year') }}
                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">

                                    {{ money(author()->totalSalesFromBooks('this_year')) }}

                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>




        {{-- all time review --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>all time METRIC(authors only, all schools)</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class="   text-black">
                            {{-- total no of books sold (all time) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total no of books sold (all time)
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    {{ author()->totalBookSold() }}
                                </span>
                            </td>


                            <td>
                                <span class="currency">₦</span>

                                <span class="me-1">
                                    {{ money(author()->totalSalesFromBooks()) }}
                                </span>
                            </td>
                        </tr>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!--/ Bordered Table -->
@endsection
