@extends('snit.layouts.app')

@section('content')
    <h5 class="mt-4 mx-5 uppercase text-white">
        Time Based Financial Income Report
    </h5>
    <!-- Bordered Table Header stats -->
    <div class="mx-10 ms-4 flex gap-3 my-3  center">
        <x-timely-metric name="Books Published" :value="author()->books()->count()" />
        <x-timely-metric name="Sales Generated" :value="author()->totalSalesFromBooks()" :isMoney="true" />
        <x-timely-metric name="Profit Generated" :value="author()->presentTotalProfit()" :isMoney="true" />
    </div>

    <section class="daily-metric">
        <h3 class="mx-4 mt-10 mb-2 text-gray-50">Daily Metric</h3>
        {{-- sales --}}
        <div class="mx-10 ms-4 flex gap-3 my-2 center">
            <x-timely-metric name="sales" :isMoney="true" duration="today" :value="author()->totalSalesFromBooks('today')" />
            <x-timely-metric name="sales" :isMoney="true" duration="yesterday" :value="author()->totalSalesFromBooks('yesterday')" />
            <x-timely-metric name="change in sales" :isMoney="true" :value="author()->changeInSales('today', 'yesterday')" />
        </div>

        {{-- profits --}}
        <div class="mx-10 ms-4 flex gap-3 my-2 center">
            <x-timely-metric name="profit" :isMoney="true" duration="today" :value="author()->presentTotalProfit('today')" />
            <x-timely-metric name="profit" :isMoney="true" duration="yesterday" :value="author()->presentTotalProfit('yesterday')" />
            <x-timely-metric name="change in profits" :isMoney="true" :value="author()->changeInProfits('today', 'yesterday')" />
        </div>
    </section>

    <section class="weekly-metric">
        <h3 class="mx-4 mt-10 mb-2 text-gray-50">Weekly Metric</h3>
        {{-- sales --}}
        <div class="mx-10 ms-4 flex gap-3 my-2 center">
            <x-timely-metric name="sales" duration="this_week" :isMoney="true" :value="author()->totalSalesFromBooks('this_week')" />
            <x-timely-metric name="sales" duration="last_week" :isMoney="true" :value="author()->totalSalesFromBooks('last_week')" />
            <x-timely-metric name="change in sales" :isMoney="true" :value="author()->changeInSales('this_week', 'last_week')" />
        </div>

        {{-- profits --}}
        <div class="mx-10 ms-4 flex gap-3 my-2 center">
            <x-timely-metric name="profit" :isMoney="true" duration="this_week" :value="author()->presentTotalProfit('this_week')" />
            <x-timely-metric name="profit" :isMoney="true" duration="last_week" :value="author()->presentTotalProfit('last_week')" />
            <x-timely-metric name="change in profits" :isMoney="true" :value="author()->changeInProfits('this_week', 'last_week')" />
        </div>
    </section>

    <section class="monthly-metric">
        <h3 class="mx-4 mt-10 mb-2 text-gray-50">Monthly Metric</h3>
        {{-- sales --}}
        <div class="mx-10 ms-4 flex gap-3 my-2 center">
            <x-timely-metric name="sales" :isMoney="true" duration="this_month" :value="author()->totalSalesFromBooks('this_month')" />
            <x-timely-metric name="sales" :isMoney="true" duration="last_month" :value="author()->totalSalesFromBooks('last_month')" />
            <x-timely-metric name="change in sales" :isMoney="true" :value="author()->changeInSales('this_month', 'last_month')" />
        </div>

        {{-- profits --}}
        <div class="mx-10 ms-4 flex gap-3 my-2 center">
            <x-timely-metric name="profit" :isMoney="true" duration="this_month" :value="author()->presentTotalProfit('this_month')" />
            <x-timely-metric name="profit" :isMoney="true" duration="last_month" :value="author()->presentTotalProfit('last_month')" />
            <x-timely-metric name="change in profits" :isMoney="true" :value="author()->changeInProfits('this_month', 'last_month')" />
        </div>
    </section>

    <div class="yearly-metric">
        <h3 class="mx-4 mt-10 mb-2 text-gray-50">Yearly Metric</h3>

        {{-- sales --}}
        <div class="mx-10 ms-4 flex gap-3 my-2 center">
            <x-timely-metric name="sales" :isMoney="true" duration="this_year" :value="author()->totalSalesFromBooks('this_year')" />
            <x-timely-metric name="sales" :isMoney="true" duration="last_year" :value="author()->totalSalesFromBooks('last_year')" />
            <x-timely-metric name="change in sales" :isMoney="true" :value="author()->changeInSales('this_year', 'last_year')" />
        </div>

        {{-- profits --}}
        <div class="mx-10 ms-4 flex gap-3 my-2 center">
            <x-timely-metric name="profit" :isMoney="true" duration="this_year" :value="author()->presentTotalProfit('this_year')" />
            <x-timely-metric name="profit" :isMoney="true" duration="last_year" :isMoney="true" :value="author()->presentTotalProfit('last_year')" />
            <x-timely-metric name="change in profits" :isMoney="true" :value="author()->changeInProfits('this_year', 'last_year')" />
        </div>
    </div>


 {{-- @include('snit.partials.old_financial_summary') --}}
    <!--/ Bordered Table -->
@endsection
