@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->

    <div class="card m-4">
        <div class="">
            <div class="card-header text-center">
                <h1 class="h3 uppercase">
                    {{ $orgSlug }} Financial income Report</h1>
            </div>
            <div class="mx-4">
                <p class="text-primary text-sm my-1">
                    Total Registered Authors :
                    {{ $totalIMSAuthorsInOrg->count() }}
                </p>

                <p class="text-primary text-sm my-1">
                    Total Books Published (all authors):
                    {{ $totalIMSBooksPublishedInOrg }}
                </p>

                <p class="text-primary text-sm my-1">
                    Total Books Sold (all authors):
                    {{-- {{ $totalBookSoldByAuthorsInOrg }} --}}
                    {{ $salesCount }}
                </p>


                <p class="text-primary text-sm my-1">
                    Total Income Generated For School : ₦
                    {{ $sis->getProfit()  }}
                </p>

            </div>
        </div>



        {{-- daily review  --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>daily METRIC</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="   text-black">
                            {{-- total number of books sold (yesterday) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (yesterday)
                                </span>
                            </td>

                            <td>

                                <span class="me-1">
                                    {{-- (new SIS($orgSlug))->getCountOfBooksSoldInSchDuring() --}}
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('yesterday')) }}
                                </span>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getProfit('yesterday')) }}
                                </span>
                            </td>
                        </tr>

                        <tr class="   text-black">
                            {{-- total number of books sold (today) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (today)
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('today')) }}
                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getProfit('today')) }}
                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        {{-- weekly review --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5 bg-green-200">
                    <thead>
                        <tr>
                            <th> weekly METRIC</th>
                            <th>QUANTITY </th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class="   text-black">
                            {{-- payment due information --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    LAST WEEK EARNINGS (paid on monday) <small
                                        class="text-green-600"></small>
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('last_week')) }}
                                </span>
                            </td>
                            </td>


                            <td>
                                <span
                                    class="currency text-green-600 text-lg">₦</span>
                                <span class="me-1 text-green-600 text-lg">
                                    {{ number_format(sis($orgSlug)->getProfit('last_week')) }}
                                </span>
                            </td>
                        </tr>

                        <tr class=" bg-green-300 ">
                            {{-- payment due info --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    this week's earnings: Payout Due (next monday)
                                    <small class="text-green-900">ongoing</small>
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('this_week')) }}
                                </span>
                            </td>
                            </td>


                            <td>
                                <span
                                    class="currency text-green-600 text-lg">₦</span>
                                <span class="me-1 text-green-900 text-lg">
                                    {{ number_format(sis($orgSlug)->getProfit('this_week')) }}
                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        {{-- monthly review --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>monthly METRIC</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class="   text-black">
                            {{-- total number of books sold (last month) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (last month)
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('last_month')) }}
                                </span>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">

                                    {{ number_format(sis($orgSlug)->getProfit('last_month')) }}

                                </span>
                            </td>
                        </tr>


                        <tr class="   text-black">
                            {{-- total number of books sold (this month) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (this month)
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('this_month')) }}
                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getProfit('this_month')) }}
                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>



        {{-- yearly review --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>YEARLY METRIC</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>


                        <tr class="   text-black">
                            {{-- total number of books sold (last year) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (last year)
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('last_year')) }}
                                </span>
                            </td>
                            </td>


                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getProfit('last_year')) }}
                                </span>
                            </td>
                        </tr>

                        <tr class=" text-black">
                            {{-- total number of books sold (this year) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (this year)
                                </span>

                            <td>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('this_year')) }}
                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">

                                    {{ number_format(sis($orgSlug)->getProfit('this_year')) }}

                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>




        {{-- all time review --}}
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>all time METRIC</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class="   text-black">
                            {{-- total no of books sold (all time) --}}
                            <td>
                                <span class=" me-1 uppercase">
                                    total no of books sold (all time)
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring()) }}
                                </span>
                            </td>


                            <td>
                                <span class="currency">₦</span>

                                <span class="me-1">
                                    {{ number_format(sis($orgSlug)->getProfit()) }}
                                </span>
                            </td>
                        </tr>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!--/ Bordered Table -->
@endsection
