<?php use App\Enums\UserRoleEnum; ?>
@if (!authy()->role(UserRoleEnum::ORG))
    <ul class="menu-inner py-1">
        <!-- Dashboard -->
        <li @class(['menu-item', 'active' => isMyRoute('dashboard')])>
            <a href="{{ route('dashboard') }}" class="menu-link">
                <i class="menu-icon tf-icons bx bx-home-circle"></i>
                <div data-i18n="Analytics">Dashboard</div>
            </a>
        </li>
        {{-- placeholder: insert additional menu items here --}}

        <li @class([
            'menu-item',
            'active' => in_array(thisRouteName(), getAllConfigRoutes()),
        ])>
            <a href="{{ route('user.config') }}" class="menu-link">
                <i class="menu-icon tf-icons bx bx-cog text-info"></i>
                <div data-i18n="Basic">Configuration</div>
            </a>
        </li>

        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Books</span></li>
        <li @class([
            'menu-item',
            'w-100',
            'active' => in_array(thisRouteName(), getAllBookRoutes()),
        ])>

            {{-- class="menu-item {{ in_array(thisRouteName(), ['books.index', 'books.create']) ? ' active' : '' }} "> --}}
            <a class="menu-link menu-toggle cursor-pointer">
                <i class="menu-icon tf-icons bx bx-box"></i>
                <div data-i18n="User interface">Manage Books</div>
            </a>
            <ul class="menu-sub">

                <li @class(['menu-item', 'active' => isMyRoute('books.index')])>
                    <a href="{{ route('books.index') }}" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-list-ul"></i>
                        <div data-i18n="Tooltips & Popovers">View All
                        </div>
                    </a>
                </li>

                <li @class(['menu-item', 'active' => isMyRoute('books.create')])>
                    <a href="{{ route('books.create') }}" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-plus-circle"></i>
                        <div data-i18n="Toasts">Add New </div>
                    </a>
                </li>

                <li @class(['menu-item', 'active' => isMyRoute('books.analysis')])>
                    <a href="{{ route('books.analysis') }}" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-grid"></i>
                        <div data-i18n="Tooltips & Popovers">Analysis
                        </div>
                    </a>
                </li>
            </ul>
        </li>

        <!-- Misc -->
        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Clients</span></li>

        <li
            class="menu-item {{ in_array(thisRouteName(), ['clients.index', 'book-clients.index', 'dept-clients.index', 'dept-clients.show-all']) ? ' active' : '' }} w-100">
            <a class="menu-link menu-toggle cursor-pointer">
                <i class="menu-icon tf-icons bx bx-group"></i>
                <div data-i18n="User interface">
                    <span class="capitalize">manage clients</span>
                </div>
            </a>
            <ul class="menu-sub">
                <li @class(['menu-item', 'active' => isMyRoute('clients.index')])>
                    <a href="{{ route('clients.index') }}" class="menu-link">
                        <div data-i18n="Tooltips & Popovers">All Clients
                        </div>
                    </a>
                </li>
                {{-- <li @class(['menu-item', 'active' => isMyRoute('book-clients.index')])>
                    <a href="{{ route('book-clients.index') }}" class="menu-link">
                        <div data-i18n="Tooltips & Popovers">Clients By
                            Book
                        </div>
                    </a>
                </li> --}}
                <li @class(['menu-item', 'active' => isMyRoute('dept-clients.index')])>
                    <a href="{{ route('dept-clients.index') }}" class="menu-link">
                        {{-- <i class="menu-icon tf-icons bx bx-list-ul"></i> --}}
                        <div data-i18n="Tooltips & Popovers">
                            <spaan class="capitalize">group Clients By department</spaan>
                        </div>
                    </a>
                </li>
            </ul>
        </li>

        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Financials</span></li>

        <li
            class="menu-item {{ in_array(thisRouteName(), ['books-profit.index', 'books-revenue.index', 'financials.index']) ? ' active' : '' }} w-100">
            <a class="menu-link menu-toggle cursor-pointer">
                <i class="menu-icon tf-icons bx bx-dollar"></i>
                <div data-i18n="User interface">Finance Repo</div>
            </a>
            <ul class="menu-sub">
                <li @class(['menu-item', 'active' => isMyRoute('books-revenue.index')])>
                    <a href="{{ route('books-revenue.index') }}" class="menu-link">
                        <div data-i18n="Basic">$ Revenue (Sales) </div>
                    </a>
                </li>
                <li @class(['menu-item', 'active' => isMyRoute('books-profit.index')])>
                    <a class="menu-link" href="{{ route('books-profit.index') }}">
                        <div data-i18n="User interface">$ Income (Profit)</div>
                    </a>
                </li>

                <li @class(['menu-item', 'active' => isMyRoute('financials.index')])>
                    <a class="menu-link" href="{{ route('financials.index') }}">
                        <div data-i18n="User interface">Timely Reports</div>
                    </a>
                </li>
            </ul>
        </li>



        @if (auth()->user()->is_admin)
            <li class="menu-item {{ in_array(thisRouteName(), ['authors-revenue.begin']) ? ' active' : '' }} w-100">
                <a class="menu-link menu-toggle cursor-pointer">
                    <i class="menu-icon tf-icons bx bx-dollar"></i>
                    <div data-i18n="User interface">Monitor Finance</div>
                </a>
                <ul class="menu-sub">

                    <li @class(['menu-item', 'active' => isMyRoute('authors-revenue.begin')])>
                        <a href="{{ route('authors-revenue.begin') }}" class="menu-link">
                            <div data-i18n="Basic">$ Author (Sales) </div>
                        </a>
                    </li>
                    <li @class(['menu-item', 'active' => isMyRoute('authors-revenue.begin')])>
                        <a class="menu-link" href="{{ route('authors-revenue.begin') }}">
                            <div data-i18n="User interface">$ Author (Profit)</div>
                        </a>
                    </li>

                    <li @class(['menu-item', 'active' => isMyRoute('authors-revenue.begin')])>
                        <a class="menu-link" href="{{ route('authors-revenue.begin') }}">
                            <div data-i18n="User interface">Timely Reports</div>
                        </a>
                    </li>
                </ul>
            </li>

            <li class="menu-item {{ isMyRoute('dev_financials.index') ? ' active' : '' }} ">
                <a href="{{ route('dev_financials.index') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-wallet"></i>
                    <div data-i18n="Basic"> $ Dev Income </div>
                </a>
            </li>

            <li class="menu-item {{ isMyRoute('cashout.initiate') ? ' active' : '' }} ">
                <a href="{{ route('cashout.initiate') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-wallet"></i>
                    <div data-i18n="Basic">$ Cashout </div>
                </a>
            </li>
        @endif

        <!-- Misc -->
        <li class="menu-header small text-uppercase border-top border-secondary" style="margin-top:6rem;"><span
                class="menu-header-text text-danger">Exit</span></li>


        <li class="menu-item ">
            <x-logout />
        </li>
    </ul>
@endif
