@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-light py-1 mb-1"><span class="text-muted fw-light">Book Store /</span> All Books</h4>

        <div class="row  mb-5">
         @if (count($allbooks) < 1)
            <h4 class="my-5 text-center fw-light"> You have no books <a class="underline" href="{{ route('books.create') }}"> click here </a> to create a new book </h4>
         @endif
            @foreach ($allbooks as $book)
                <div class="col-md-6 col-lg-4 my-5">
                    <div class="card h-100">
                        <img class="card-img-top" src="/storage/{{ $book->doc?->front_cover }}" alt="Card image cap" height="300">
                        <div class="card-body">
                            <h5 class="card-title">Book Title : {{ $book->name }}</h5>
                            <h5 class="card-title">Hard cover: N{{ number_format($book->price, 2) }}</h5>
                            <h5 class="card-title">eBook: N{{ number_format($book->eBookPrice(), 2) }}</h5>
                            <p class="card-text">
                              This book is an introduction to programming for level 1 students_hq
                            </p>
                            {{-- only buyers should see a button to add to cart --}}
                            <a href="{{ route('books.edit', $book->id) }}" class="btn btn-sm btn-outline-primary m-1"
                                title="edit book" sr-only='Edit Book'>
                                <i class="bx bx-xs bx-edit"></i>
                                <i class="bx bx-xs bx-book"></i>
                            </a>
                            <a href="{{ route('docs.edit', $book->doc?->id ?? 0 ) }}" class="btn btn-sm btn-outline-info m-1"
                                title=" Edit Files" sr-only=" Edit Files">
                                <i class="bx bx-xs bx-edit-alt"></i>
                                <i class="bx bx-xs bx-file"></i>
                            </a>

                            {{-- <a href="{{ route('books.designated_delete', $book->id ?? 0 ) }}" class="btn btn-sm btn-danger m-1"
                                title=" Delete Book" sr-only=" Edit Files">
                                <i class="bx bx-xs bx-trash-alt"></i>
                            </a> --}}
                            <span>


                                {{-- <x-delete-refresh-v2 resourcename='book' :resource="$book" routename="books.destroy" /> --}}

                            </span>
                        </div>
                    </div>
                </div>
            @endforeach

        </div>
    </div>
    <!-- / Content -->
@endsection
@push('child-scripts')
<script>
    console.log('the bookstore page for the author boy')
</script>
@endpush