@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="d-flex justify-between">
            <h4 class="fw-bold py-1 mb-1"><span class="text-muted fw-light">Book Store
                    /</span>All Books By <span class="capitalize">
                    {{ $author->fname }}</span></h4>
            <a class="py-1 mb-1 text-black" href="{{ route('guest.cart') }}">
                <span
                    class="p-1 bg-yellow-500 rounded"><small>{{ Cart::content()->count() }}</small>
                </span>
                <i class="bx bx-cart" style="font-size: 2em;"></i>
                {{-- <span class="rounded-circle bg-yellow-200 px-2 py-1">{{ Cart::content()->count() }}</span> --}}
            </a>
        </div>
        <div class="row  mb-5">
            @foreach ($allbooks as $book)
                {{-- {{ dd(in_array($book->id, array_keys($cartItemsIDs)) and (float) $book->ebookPrice() == (float) getCartItemByID($book->id)->price) }} --}}
                {{-- {{ dd(in_array($book->id, array_keys($cartItemsIDs)), (float) $book->ebookPrice(),  getCartItemByID($book->id), (float) getCartItemByID($book->id)?->price) }} --}}

                <div class="col-md-6 col-lg-4 my-5">
                    <div class="card h-100">
                        <img class="card-img-top"
                            src="/storage/{{ $book->doc->front_cover }}"
                            alt="Card image cap" height="300">
                        <div class="card-body">
                            <h5 class="card-title">Book Title: {{ $book->name }}
                            </h5>

                            {{-- hardcover version of the form --}}
                            <div
                                class="book_types_container grid grid-cols-3 sm:flex gap-2">
                                @include('snit.guest.search.partials.hardCopyVersion')
                                @include('snit.guest.search.partials.ebookVersion')
                            </div>
                            <p class="card-text my-2">
                                This book is an introduction to programming for
                                level 1 students
                                {{-- <br> Book ID: {{ $book->id }} --}}
                            </p>

                            <a href="{{ route('guest.cart') }}"
                                class="btn btn-outline-primary " title="View Cart"
                                sr-only=" View Cart">
                                View Cart<i class="bx bx-cart"></i>
                            </a>

                        </div>
                    </div>
                </div>
            @endforeach

        </div>
    </div>
    <!-- / Content -->
@endsection

@push('child-scripts')
    <script>
        // alert('bado')
    </script>
@endpush
