@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->
    @if (count($pendingWithdrawals) < 1)
        <h4 class="my-5 py-5 text-center fw-light"> You have no Withdrawals yet <a class="underline" href="#">
                click here ?? </a> to make a new withdrawal </h4>
    @else
        <div class="card m-4">
            <div class="d-flex justify-content-between">
                <h5 class="card-header">My Pending Withdrawals</h5>
                <div class="d-block m-4">
                    <a href="{{ route('books.create') }}" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-plus-circle"></i>
                        <div data-i18n="Toasts">Add New </div>
                    </a>
                    <div class="mt-3">
                        Total : {{ count($allBooks) }}
                    </div>
                </div>
            </div>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table table-bordered py-5">
                        <thead>
                            <tr>
                                @foreach ($table_headers as $heading)
                                    <th>{!! $heading !!}</th>
                                @endforeach
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($allBooks as $book)
                                <tr class="@empty($book->doc) bg-red-500  text-white @endempty">
                                    {{-- front cover image --}}
                                    <td>
                                        <img src="/storage/{{ $book->doc->front_cover ?? ' ' }}"
                                            alt="{{ $book->doc->front_cover ?? 'No Image' }}" class="src"
                                            width="100" />
                                    </td>

                                    {{-- back cover image --}}
                                    {{-- <td>
                                        <img src="/storage/{{ $book->doc->back_cover ?? ' ' }}"
                                            alt="{{ 'n/a' }}" class="src"
                                            width="100" />
                                    </td> --}}

                                    {{-- file --}}
                                    <td>
                                        {!! (Storage::disk('public')->exists($book->doc?->book_file) or $book->doc?->book_file)
                                            ? ' <i class="bx bx-check-circle text-green-500"></i>'
                                            : '<i class="bx bx-x text-red-500"></i>' !!}
                                    </td>
                                    <td>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong>{{ $book->name }}</strong>
                                    </td>
                                    <td>{{ $book->ISBN }}</td>

                                    {{-- recent buyers --}}

                                    <td>
                                        <x-delete-refresh resourcename='book' :resource="$book" routename="books.destroy" />
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @endif
    <!--/ Bordered Table -->
@endsection
