@extends('snit.layouts.auth')
@section('content')
    <h4 class="text-center mx-auto mb-3">Welcome to IMS! 👋</h4>
    <p class="mb-4 text-sm">Please sign-in to your account and begin your adventure</p>

    <form id="formAuthentication" class="mb-3" action="{{ route('login') }}" method="POST">
        @csrf
        <div class="mb-3">
            <label for="email" class="my-1 text-sm">Email</label>
            <input required type="email" class="form-control" id="email" name="email" placeholder="Enter your email"
                autofocus />
            <x-input-single-error name="email" />
        </div>
        <div class="mb-3 form-password-toggle">
            <div class="d-flex justify-content-between">
                <label class="my-1 text-sm" for="password">Password</label>
                <a href="{{ route('password.request') }}">
                    <span>Forgot Password?</span>
                </a>
            </div>
            <div class="input-group input-group-merge">
                <input required type="password" id="password" class="form-control" name="password"
                    placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"
                    aria-describedby="password" />
                <span class="input-group-text cursor-pointer"><i class="bx bx-hide"></i></span>
            </div>
            <x-input-single-error name="password" />

        </div>
        <div class="mb-3">
            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="remember-me" />
                <label class="form-check-label" for="remember-me"> Remember Me </label>
            </div>
        </div>
        <div class="mb-3">
            <button class="btn btn-primary d-grid w-100" type="submit">Sign in</button>
        </div>
    </form>

    <p class="text-center text-sm mt-5">
        <span>New on our platform?</span>
        <a href="{{ route('register') }}">
            <span>Create an account</span>
        </a>
    </p>
@endsection
