@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Account Settings /</span> Account</h4>

        <div class="row">
            <div class="col-md-12">
                <ul class="nav nav-pills flex-column flex-md-row mb-3">
                    <li class="nav-item">
                        <a class="nav-link active" href="javascript:void(0);"><i class="bx bx-user me-1"></i> Account</a>
                    </li>

                    {{-- to be implemented later --}}
                    {{-- <li class="nav-item">
                        <a class="nav-link" href="pages-account-settings-notifications.html"><i class="bx bx-bell me-1"></i>
                            Notifications</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="pages-account-settings-connections.html"><i
                                class="bx bx-link-alt me-1"></i> Connections</a>
                    </li> --}}
                </ul>
                <div class="card mb-4">
                    <h5 class="card-header">Profile Details</h5>
                    <!-- Account -->
                    <div class="card-body">
                        <div class="d-flex align-items-start align-items-sm-center gap-4">
                            <img src="/storage/{{ authy()->orgAdmin->dp }}" alt="user-avatar" class="d-block rounded"
                                height="100" width="100" id="uploadedAvatar" />


                            <div class="button-wrapper">

                                <form id="orgAdminDPForm" method="post" action="{{ route('author-dp.update') }}"
                                    enctype="multipart/form-data">@csrf
                                    <label for="upload" class="btn btn-primary me-2 mb-4" tabindex="0">
                                        <span class="d-none d-sm-block">Upload new photo</span>
                                        <i class="bx bx-upload d-block d-sm-none"></i>
                                        <input type="file" id="upload" class="account-file-input" hidden
                                            name="new_dp" accept="image/png, image/jpeg" />
                                    </label>

                                    <button type="submit" class="btn btn-success mb-4">
                                        <span class="d-none d-sm-inline">Go
                                            <i class="bx bx-arrow-to-right"></i>
                                        </span>
                                    </button>
                                </form>
                                <p class="text-muted mb-0">Allowed JPG, GIF or PNG. Max size of 800K</p>
                            </div>
                        </div>
                    </div>
                    <hr class="my-0" />
                    <div class="card-body">
                        {{-- {{ dd(authy()->orgAdmin()   ) }} --}}
                        <form id="formAccountSettings" method="post" action="{{ route('admin.profile.update') }}">
                            @method('patch') @csrf
                            <div class="row">
                                <div class="mb-3 col-md-6">
                                    <label for="firstName" class="">First Name</label>
                                    <input class="form-control" type="text" id="firstName" name="firstName"
                                        value="{{ authy()->orgAdmin->fname ?? 'Not Set' }}" autofocus />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="lastName" class="">Last Name</label>
                                    <input class="form-control" type="text" name="lastName" id="lastName"
                                        value="{{ authy()->orgAdmin->lname ?: 'Not Set' }}" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="username" class="">Username</label>
                                    <input class="form-control" type="text" id="username" name="username"
                                        value="{{ auth()->user()->name }}" autofocus />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="email" class="">E-mail</label>
                                    <input class="form-control" type="text" id="email" name="email"
                                        value="{{ auth()->user()->email ?? 'Not Set' }}"
                                        placeholder="john.doe@example.com" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="organization" class="">Organization</label>
                                    {{-- <input type="text" class="form-control" id="organization" name="organisation"
                                        value="{{ authy()->orgAdmin->getOrg() ?:'Not Set' }}" />
                                    <select id="organization" name="organisation" class="select2 form-select">
                                        <option value="">Select Organisation</option>
                                        @foreach ($orgs as $org)
                                            <option value="{{ $org->id }}">{{ $org->name }}</option>
                                        @endforeach
                                    </select> --}}
                                    {{-- {{ dd(authy()->orgAdmin->org()->get()) }} --}}
                                    <input class="form-control" id="organisation" name="organisation" list="organisations"
                                        value="{{ old('organisation') ?? auth()->user()->org?->name }}"
                                        placeholder="Enter a new organisation name eg.ACME Inc." />
                                    {{-- <x-input-single-error name="organisation" /> --}}

                                    <datalist id='organisations'>
                                        @foreach ($orgs as $organisation)
                                            <option value="{{ $organisation->name }}">
                                                {{ $organisation->name }}</option>
                                        @endforeach
                                    </datalist>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label class="" for="phoneNumber">Phone Number</label>
                                    <div class="input-group input-group-merge">
                                        {{-- <span class="input-group-text">US (+1)</span> --}}
                                        <input type="tel" id="phoneNumber" name="phoneNumber" class="form-control"
                                            value="{{ authy()->orgAdmin->phone ?: 'Not Set' }}" />
                                    </div>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="address" class="">Address</label>
                                    <input type="text" class="form-control" id="address" name="address"
                                        placeholder="Address" value="{{ authy()->orgAdmin->address ?: 'Not Set' }}" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="state" class="">State</label>
                                    <input class="form-control" type="text" id="state" name="state"
                                        placeholder="California" value="{{ authy()->orgAdmin->state ?: 'Not Set' }}" />
                                </div>
                                {{-- <div class="mb-3 col-md-6">
                                    <label for="zipCode" class="">Zip Code</label>
                                    <input type="text" class="form-control" id="zipCode" name="zipCode"
                                        placeholder="231465" maxlength="6"
                                        value="{{ authy()->orgAdmin->zipcode ?: 'Not Set' }}" />
                                </div> --}}
                                {{-- <div class="mb-3 col-md-6">
                                    <label class="" for="country">Country</label>
                                    <select id="country" name="country"  class="select2 form-select">
                                        <option value="">Select</option>
                                        <option value="Nigeria" selected>Nigeria</option>
                                        <option value="Australia">Australia</option>
                                        <option value="Bangladesh">Bangladesh</option>
                                        <option value="Belarus">Belarus</option>
                                        <option value="Brazil">Brazil</option>
                                        <option value="Canada">Canada</option>
                                        <option value="China">China</option>
                                        <option value="France">France</option>
                                        <option value="Germany">Germany</option>
                                        <option value="India">India</option>
                                        <option value="Indonesia">Indonesia</option>
                                        <option value="Israel">Israel</option>
                                        <option value="Italy">Italy</option>
                                        <option value="Japan">Japan</option>
                                        <option value="Korea">Korea, Republic of</option>
                                        <option value="Mexico">Mexico</option>
                                        <option value="Philippines">Philippines</option>
                                        <option value="Russia">Russian Federation</option>
                                        <option value="South Africa">South Africa</option>
                                        <option value="Thailand">Thailand</option>
                                        <option value="Turkey">Turkey</option>
                                        <option value="Ukraine">Ukraine</option>
                                        <option value="United Arab Emirates">United Arab Emirates</option>
                                        <option value="United Kingdom">United Kingdom</option>
                                        <option value="United States">United States</option>
                                    </select>
                                </div> --}}
                                {{-- <div class="mb-3 col-md-6">
                                    <label for="currency" class="">Currency</label>
                                    <select id="currency"  name="currency"   class="select2 form-select">
                                        <option value="">Select Currency</option>
                                        <option value="usd">USD</option>
                                        <option value="euro">Euro</option>
                                        <option value="pound">Pound</option>
                                        <option value="bitcoin">Bitcoin</option>
                                    </select>
                                </div> --}}
                            </div>
                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2">Save changes</button>
                                <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                            </div>
                        </form>

                        {{-- password update form --}}
                        <form id="PasswordUpdate" method="post" action="{{ route('password.update') }}"
                            class="mt-5">
                            @method('put') @csrf

                            <h5>Update Password</h5>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="mb-3 col-md-6">
                                        <label for="current_password" class="">Current Password</label>
                                        <input class="form-control" type="password" id="current_password"
                                            name="current_password" />
                                        @error('current_password')
                                            <p class="error">
                                                {{ $message }}
                                            </p>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="mb-3 col-md-6">
                                        <label for="password" class="">New Password</label>
                                        <input class="form-control" type="password" id="password" name="password" />
                                        @error('password')
                                            <p class="error">
                                                {{ $message }}
                                            </p>
                                        @enderror
                                    </div>
                                </div>


                                <div class="col-md-12">
                                    <div class="mb-3 col-md-6">
                                        <label for="password_confirmation" class="">New
                                            Password_confirmation</label>
                                        <input class="form-control" type="password" id="password_confirmation"
                                            name="password_confirmation" />
                                        @error('password')
                                            <p class="error">
                                                {{ $message }}
                                            </p>
                                        @enderror
                                    </div>
                                </div>


                            </div>



                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2">Save Changes</button>
                                <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                            </div>
                        </form>


                    </div>
                    <!-- /Account -->
                </div>
                {{-- <div class="card">
                   <h5 class="card-header">Delete Account</h5>
                   <div class="card-body">
                        <div class="mb-3 col-12 mb-0">
                            <div class="alert alert-warning">
                                <h6 class="alert-heading fw-bold mb-1">Are you sure you want to delete your account?</h6>
                                <p class="mb-0">Once you delete your account, there is no going back. Please be certain.
                                </p>
                            </div>
                        </div>
                        <form id="formAccountDeactivation" onsubmit="return false">
                            <div class="form-check mb-3">
                                <input class="form-check-input" type="checkbox" name="accountActivation"
                                    id="accountActivation" />
                                <label class="form-check-label" for="accountActivation">I confirm my account
                                    deactivation</label>
                            </div>
                            <button type="submit" class="btn btn-danger deactivate-account">Deactivate Account</button>
                        </form>
                    </div>
                </div> --}}
            </div>
        </div>
    </div>
    <!-- / Content -->
@endsection
