@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->
    @if (count($allOrderedItems) >= 1)
        <div class="card mx-8 my-3">
            <div class="d-flex justify-content-between my-0">
                <h6 class="card-header"> Client with Matric Number :
                    <span class="uppercase">"{{ $searchfor }}"</span>
                </h6>
                <div class="mt-3 md:mx-10">
                    <p class="text-sm">
                        Total Purchases : {{ count($allOrderedItems) }}
                    </p>
                </div>
            </div>
            <form class="my-0">
                {{-- <h5 class="mx-4 text-secondary"><small> Filter Results for
                        "{{ $searchfor }}"</small></h5> --}}

                @if ($searchfor)
                    <h5 class="mx-4 text-secondary mt-0">
                        <small> Search Results for "{{ $searchfor }}"</small>
                        <small class="block mt-2">
                            <a href="{{ route('guest.bookstore') }}">
                                <span class="text-gray-500 underline">Search again</span>
                            </a>
                        </small>
                    </h5>
                @endif
                <div class="mx-4 col-10 col-sm-5">
                    {{-- <div class="input-group">
                        <select class="form-select" name="filterby" id="filterby">
                            <option value="mat_num">Mat. Number</option>
                            <option value="phone">Phone</option>
                            <option value="organisation">Organisation</option>
                        </select>
                        <label class="input-group-text" for="searchfor">
                            <input type="text" class="form-control" id="searchfor" name="searchfor"
                                placeholder="Enter Value">
                        </label>
                        <button type="submit" class="btn btn-primary">Go <i class="bx bx-arrow-to-right"></i></button>
                    </div> --}}
                </div>
            </form>

            <div class="card-body">
                <div class="table-responsive text-nowrap ">
                    <table class="table">
                        <thead>
                            <tr class="bg-blue-600">
                                @foreach ($table_headers as $heading)
                                    <th> <small class="text-white fw-normal"> {!! $heading !!}</small></th>
                                @endforeach
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($allOrderedItems as $itemOrdered)
                                <tr>
                                    <td>{{ $foundClient->fname }}</td>
                                    <td>{{ $foundClient->mat_num }}</td>
                                    <td>{{ $foundClient->phone }}</td>
                                    <td>{{ $itemOrdered['name'] }}</td>
                                    <td>{{ $itemOrdered['price'] }}</td>
                                    <td>{{ $itemOrdered['type'] }}</td>
                                    <td>{{ $itemOrdered['model']->author->fname }}</td>
                                    <td>{{ $itemOrdered['datePurchased'] }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @elseif(count($allOrderedItems) < 1 && request('searchfor'))
        <h4 class="my-5 py-5 text-center fw-light"> There are no Clients with info :
            "{{ $searchfor }}"
            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>
        </h4>
    @elseif(count($allOrderedItems) < 1 && !request('filterby'))
        <h4 class="my-5 py-5 text-center fw-light"> There are no Clients for
            "{{ $searchfor }}"

            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>

        </h4>
    @endif
    <!--/ Bordered Table -->
@endsection
