@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="d-flex justify-between">
            <h4 class="fw-bold py-1 mb-1"><span class="text-muted fw-light">Search Results /</span> All </h4>
            <div class="">
                <a class="py-1 mb-1 text-black" href="{{ route('guest.cart') }}">
                    <span class="p-1 bg-yellow-500 rounded"><small>{{ Cart::content()->count() }}</small> </span>
                    <i class="bx bx-cart" style="font-size: 2em;"></i>
                    {{-- <span class="rounded-circle bg-yellow-200 px-2 py-1">{{ Cart::content()->count() }}</span> --}}
                </a>
            </div>
        </div>
        <div class="row">

            <h6 class="text-gray-400">Items ordered with Order ID: "{{ $searchfor }}"</h6>

            <div class="">
                @if ($ordered_content_models)
                    @foreach ($ordered_content_models as $item_model)
                        <div class="my-4 @if (count($ordered_content_models) > 2) col-sm-3 px-4 @endif ">
                            <img src="/storage/{{ $item_model->doc->front_cover }}" alt="" width=150>
                            <div class="my-2">
                                <p class="text-white">
                                    {{ strtoupper($item_model->name) }} <br>Uploaded
                                    by {{ ucfirst($item_model->author->fname) }}
                                </p>
                                <a target='_blank' href="{{ $item_model->doc->getDirectLink() }}" class="btn btn-dark">
                                    Download <i class="mx-0 bx bx-download"></i>
                                </a>
                            </div>
                        </div>
                    @endforeach
                @endif

            </div>
        </div>
    </div>
    <!-- / Content -->
@endsection
