 <h6 class="hard_cover_version border-y-0 border-l-0 border-r-4 border-dashed border-green-800 sm:pr-10 sm:mr-5">
     {{-- invisible forms for adding and removing an item from cart --}}
     <form id="add_to_cart_form_{{ $book->id }}"
         action="{{ route('guest.cart.store', ['product' => $book->id, 'author' => $book->author->id]) }}" method="post">
         @csrf
     </form>
     <form id="remove_from_cart_form_{{ $book->id }}"
         action="{{ route('guest.cart-destroy', ['item_id' => $book->id, 'author' => $book->author->id]) }}"
         method="post">@csrf
         @method('delete')
     </form>

     <div class="priceview">
         <div class="block pb-1">
             <small>HardCover</small>
         </div>
         <small class="block pb-1">@
             ₦{{ number_format($book->presentPrice()) }}
         </small>
     </div>

     @if (in_array($book->id, array_keys($cartItemsIDs)) and $book->presentPrice() == getCartItemByID($book->id)?->price)
         <button form="remove_from_cart_form_{{ $book->id }}" type='submit'
             class="block btn btn-outline-danger btn-xs rounded-lg" title="Remove from Cart"
             sr-only="Remove Item from Cart">
             <i class="bi bi-cart-x-fill text-3xl"></i>
         </button>
     @else
         <button {{ ($book->inventory and !in_array($book->id, array_keys($cartItemsIDs))) ?: 'disabled' }}
             form="add_to_cart_form_{{ $book->id }}" type='submit' id="add_to_cart_form_{{ $book->id }}"
             class="block btn btn-outline-success btn-xs rounded-lg" title="Add to Cart" sr-only=" Add to Cart">
             <i class="bi bi-cart-plus-fill text-3xl"></i>
         </button>
     @endif

     {{-- inventory notifier for hardcopy version --}}
     <small class="text-xs fw-light text-black inline-block mt-1 ">
         <span id="inventory-count-{{ $book->id }}">
             {{ (in_array($book->id, array_keys($cartItemsIDs)) and
             getCartItemByID($book->id)?->options->type == 'hardcover')
                 ? --$book->inventory
                 : ($book->inventory ?:
                     '') }}
         </span>
         <span class="inventory-count-description w-full"> {{ $book->inventory ? 'items left' : 'Out of stock' }} </span>
     </small>
 </h6>
