@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="row">
            <div class="col-lg-8 mb-4 order-0">
                <div class="card">
                    <div class="d-flex align-items-end row">
                        <div class="col-sm-7">
                            <div class="card-body">
                                <h5 class="card-title text-primary"> <span class="text-xl"> Congratulations</span>
                                    <span class="call-username">
                                        {{ Auth::user()->author->fname ?? Auth::user()->name }}</span>
                                    ! 🎉
                                </h5>
                                <p class="mb-4 text-sm">
                                    You have done
                                    <span class="fw-bold num-sales">
                                        {{ author()->totalBookSold('today') }}
                                    </span> more sales today.
                                </p>
                                <a href="{{ route('clients.index') }}" class="btn btn-sm btn-outline-primary">View
                                    Recent Sales</a>
                                {{-- @include('snit.partials.hidden.item2') --}}

                            </div>

                        </div>
                        <div class="col-sm-5 text-center text-sm-left">
                            <div class="card-body pb-0 px-0 px-md-4">
                                <img src="/static/assets/img/illustrations/man-with-laptop-light.png" height="140"
                                    alt="View Badge User" data-app-dark-img="illustrations/man-with-laptop-dark.png"
                                    data-app-light-img="illustrations/man-with-laptop-light.png" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-4 order-1">
                <div class="row">

                    <!--Total Revenue -->
                    <div class="col-12 mb-4">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-between flex-sm-row flex-column gap-3">
                                    <div class="d-flex flex-sm-column flex-row align-items-start justify-content-between">
                                        <div class="card-title flex">
                                            <div class="avatar flex-shrink-0">
                                                <img src="/static/assets/img/icons/unicons/wallet.png" alt="Credit Card"
                                                    class="rounded" />
                                            </div>
                                            <span class="badge text-primary mt-sm-auto text-sm">Week
                                                {{ now()->weekOfYear }}
                                            </span>
                                            <span class="badge text-success mt-sm-auto text-sm">
                                                {{ date('Y') }}
                                            </span>

                                        </div>
                                        <div class="mt-sm-auto">
                                            <small class="text-success text-nowrap fw-semibold text-sm">
                                                <i class="bx bx-chevron-up"></i>
                                                Available Balance</small>
                                            <h3 class="my-1 font-light text-black">
                                                ₦{{ author()->presentWallet() }}
                                            </h3>
                                        </div>
                                    </div>
                                    <div id="profileReportChart"></div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Animated Gif container -->
            <div class="col-12 col-lg-8 order-2 order-md-3 order-lg-2 mb-4">
                <div class="card">
                    {{-- @include('snit.auth.dashboard.partials.total_revenue_section') --}}
                    <div class="row row-bordered g-0 round-lg p-1">
                        <img src="/animated_gifs/gifs/dancing-happy.gif" alt="winner gif">
                    </div>
                </div>
            </div>

            <div class="col-12 col-md-8 col-lg-4 order-3 order-md-2">
                <div class="row">


                    <!-- Sales Container -->
                    <div class=" col-md-12 col-6 mb-4">
                        <div class="card">
                            <div class="card-body py-2">
                                <small class=" d-block mb-1 text-xs">Total Sales</small>
                                <h6 class="card-title mb-2 font-extralight text-3xl">
                                    ₦{{ money(author()->totalSalesFromBooks()) }}
                                </h6>
                                <small class="text-primary fw-semibold text-xs" title='ebook sales'>
                                    {{-- <i class="bx bx-up-arrow-alt"></i> --}}
                                    {{-- +{{ money(author()->presentEbookProfit()) }} --}}
                                </small>

                                {{-- <small class="text-success fw-semibold"><i class="bx bx-up-arrow-alt"></i></small> --}}
                            </div>
                        </div>
                    </div>

                    <!-- Profit container -->
                    <div class=" col-md-12 col-6 mb-4">
                        <div class="card">
                            <div class="card-body py-2">
                                {{-- profits are calculated as all ebook sales plus 50% of hardcopy sales --}}
                                <p class=" d-block mb-1 text-xs overflow-hidden max-w-fit rounded-lg">Total
                                    Profits</p>
                                <h6 class="card-title my-2 font-thin text-3xl">
                                    ₦{{ money(author()->presentTotalProfit()) }}
                                </h6>
                                <small class="text-primary text-xs" title='ebook profits'>
                                    {{-- <i class="bx bx-up-arrow-alt"></i> --}}
                                    {{-- +{{ money(author()->presentEbookProfit()) }} --}}
                                </small>

                            </div>
                        </div>
                    </div>



                    <!-- Books sold count Container -->
                    <div class=" col-md-12 col-6 mb-4">
                        <div class="card">
                            <div class="card-body py-2">
                                {{-- <div class="card-title d-flex align-items-start justify-content-between">
                                    <div class="avatar flex-shrink-0">
                                        <img src="/static/assets/img/icons/unicons/cc-primary.png" alt="Credit Card"
                                            class="rounded" />
                                    </div>
                                    <div class="dropdown">
                                        <button class="btn p-0" type="button" id="cardOpt1" data-bs-toggle="dropdown"
                                            aria-haspopup="true" aria-expanded="false">
                                            <i class="bx bx-dots-vertical-rounded"></i>
                                            <span>This Month</span>
                                            <i class="bx bx-dots-vertical-rounded"></i>
                                        </button>
                                        <div class="dropdown-menu" aria-labelledby="cardOpt1">
                                            <a class="dropdown-item" href="javascript:void(0);">View
                                                More</a>
                                            <a class="dropdown-item" href="javascript:void(0);">Delete</a>
                                        </div>
                                    </div>
                                </div> --}}
                                <span class=" d-block mb-1 text-sm">
                                    Total Books Sold</span>
                                <h5 class="card-title mb-2 font-thin text-3xl">
                                    {{ author()->totalBookSold() }}
                                </h5>
                                {{-- <small class="text-success fw-semibold"><i class="bx bx-up-arrow-alt"></i>
                                    +28.14%</small> --}}
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
        {{-- @include('snit.partials.hidden.item1') --}}
    </div>
    <!-- / Content -->
@endsection
