{{-- this is the main layout for the auth pages, eg. login, forgot password, login etc. --}}

<!DOCTYPE html>
<html lang="en" class="light-style customizer-hide" dir="ltr" data-theme="theme-default"
    data-assets-path="/static/assets/" data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

    <title>{{ ucfirst(thisRouteName()) . ' | ' . env('APP_NAME') }}</title>

    <meta name="description" content="" />

    <!-- Favicon -->
    <link rel="icon" type="image/x-icon" href="/static/assets/img/favicon/favicon.ico" />

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
        href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
        rel="stylesheet" />

    <!-- Icons. Uncomment required icon fonts -->
    <link rel="stylesheet" href="/static/assets/vendor/fonts/boxicons.css" />

    <!-- Core CSS -->
    <link rel="stylesheet" href="/static/assets/vendor/css/core.css" class="template-customizer-core-css" />
    <link rel="stylesheet" href="/static/assets/vendor/css/theme-default.css" class="template-customizer-theme-css" />
    <link rel="stylesheet" href="/static/assets/css/demo.css" />

    <!-- Vendors CSS -->
    <link rel="stylesheet" href="/static/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />

    <!-- Page CSS -->
    <!-- Page -->
    <link rel="stylesheet" href="/static/assets/vendor/css/pages/page-auth.css" />
    <!-- Helpers -->
    <script src="/static/assets/vendor/js/helpers.js"></script>

    <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
    <!--? Config1:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
    <script src="/static/assets/js/config.js"></script>


    {{-- sweet alerts --}}
    <link rel="stylesheet" href="/static/vendor/swal_dist/swal.min.css" />
    <script src="/static/vendor/swal_dist/swal.min.js"></script>

    {{-- tailwindcss --}}
    {{-- <link rel="stylesheet" href="{{ tailwindcss('css/app.css') }}"> --}}

    {{-- vite --}}
    @vite(getViteFiles())
    @yield('page_css')
</head>

<body class="overflow-x-hidden">
    <!-- preloader -->
    <x-app-preloader />
    <!-- Content -->
    <div class="hidden box-content container-xxl ">
        <div class="authentication-wrapper authentication-basic container-p-y lg:min-w-[50vw] ">
            <div class="authentication-inner lg:min-w-[35vw]">
                <x-alert-box />
                <!-- Register -->
                <div class="card">
                    <div class="card-body">
                        <!-- Logo -->
                        <div class="app-brand justify-content-center">
                            <x-application-logo-snit-blue-svg />
                        </div>
                        <!-- /Logo -->
                        @yield('content')
                    </div>
                </div>
                <!-- Register Card -->
            </div>
        </div>
    </div>

    <!-- / Content -->

    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="/static/assets/vendor/libs/jquery/jquery.js"></script>
    <script src="/static/assets/vendor/libs/popper/popper.js"></script>
    <script src="/static/assets/vendor/js/bootstrap.js"></script>
    <script src="/static/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="/static/assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="/static/assets/js/main.js"></script>

    <!-- Page JS -->

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>

    <script src="/pub_resources/js/loader.js"></script>
    @stack('page_scripts')
</body>

</html>
