@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="row">
            <div class="col-lg-8 mb-4 order-0">
                <div class="card">
                    <div class="d-flex align-items-end row">
                        <div class="col-sm-7">
                            <div class="card-body">
                                <h5 class="card-title text-primary">
                                    <span class="text-xl">
                                        Hello, <span class="capitalize">{{ authy()->name }}</span>
                                        at {{ $orgSlug }}
                                    </span>! 🎉
                                </h5>
                                <p class="mb-4">
                                    {{ $orgSlug }} has done
                                    <span class="fw-bold num-sales">
                                        {{ sis($orgSlug)->getCountOfBooksSoldInSchDuring('today') }}
                                    </span> more sales today.
                                </p>
                                <a href="{{ route('sch_financials.index') }}" class="btn btn-sm btn-outline-primary">View
                                    Sales Report</a>
                                {{-- @include('snit.partials.hidden.item2') --}}

                            </div>

                        </div>
                        <div class="col-sm-5 text-center text-sm-left">
                            <div class="card-body pb-0 px-0 px-md-4">
                                <img src="/static/assets/img/illustrations/man-with-laptop-light.png" height="140"
                                    alt="View Badge User" data-app-dark-img="illustrations/man-with-laptop-dark.png"
                                    data-app-light-img="illustrations/man-with-laptop-light.png" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-4 order-1">
                <div class="row">
                    <div class="col-lg-6 col-md-12 col-6 mb-4">
                        <div class="card">
                            <div class="card-body">
                                <div class="card-title d-flex align-items-start justify-content-between">
                                    <div class="avatar flex-shrink-0">
                                        <img src="/static/assets/img/icons/unicons/wallet.png" alt="chart success"
                                            class="rounded" />
                                    </div>
                                </div>
                                {{-- profits are calculated as all ebook sales plus 50% of hardcopy sales --}}
                                <span class="fw-semibold d-block mb-1">Profits
                                    (Today)</span>
                                <h6 class="card-title mb-2">
                                    ₦{{ number_format(sis($orgSlug)->getProfit('today')) }}
                                </h6>

                            </div>
                        </div>
                    </div>

                    <div class="col-lg-6 col-md-12 col-6 mb-4">
                        <div class="card">
                            <div class="card-body">
                                <div class="card-title d-flex align-items-start justify-content-between">
                                    <div class="avatar flex-shrink-0">
                                        <img src="/static/assets/img/icons/unicons/wallet-info.png" alt="Credit Card"
                                            class="rounded" />
                                    </div>
                                </div>
                                <span class="fw-semibold d-block mb-1">Profits
                                    (All)</span>
                                <h6 class="card-title mb-2">
                                    ₦{{ number_format(sis($orgSlug)->getProfit()) }}
                                </h6>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Total Revenue -->
            <div class="col-12 col-lg-8 order-2 order-md-3 order-lg-2 mb-4">
                <div class="card">
                    {{-- @include('snit.auth.dashboard.partials.total_revenue_section') --}}
                    <div class="row row-bordered g-0 round-lg p-1">
                        <img src="/animated_gifs/gifs/dancing-happy.gif" alt="winner gif">
                    </div>
                </div>
            </div>
            <!--/ Total Revenue -->
            <div class="col-12 col-md-8 col-lg-4 order-3 order-md-2">
                <div class="row">
                    <div class="col-6 mb-4">
                        <div class="card">
                            <div class="card-body" title="All books sold today in {{ __($orgSlug) }}">
                                <div class="card-title d-flex align-items-start justify-content-between">
                                    <div class="avatar flex-shrink-0">
                                        <img src="/static/assets/img/icons/unicons/wallet.png" alt="Credit Card"
                                            class="rounded" />
                                    </div>
                                </div>
                                {{-- this refers to total withdrawals made to author --}}
                                <div class="">
                                    <span class="d-block mb-1">Books Sold
                                        (Today)</span>
                                    <h5 class="card-title text-nowrap mb-2">
                                        {{ sis($orgSlug)->getCountOfBooksSoldInSchDuring('today') }}
                                    </h5>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-6 mb-4">
                        <div class="card">
                            <div class="card-body" title="All books sold in {{ __($orgSlug) }}">

                                <div class="card-title d-flex align-items-start justify-content-between">
                                    <div class="avatar flex-shrink-0">
                                        <img src="/static/assets/img/icons/unicons/wallet.png" alt="Credit Card"
                                            class="rounded" />
                                    </div>
                                    <div class="dropdown">
                                        <button class="btn p-0" type="button" id="cardOpt1" data-bs-toggle="dropdown"
                                            aria-haspopup="true" aria-expanded="false">
                                            <i class="bx bx-dots-vertical-rounded"></i>
                                        </button>
                                        <div class="dropdown-menu" aria-labelledby="cardOpt1">
                                            <a class="dropdown-item" href="javascript:void(0);">View
                                                More</a>
                                            <a class="dropdown-item" href="javascript:void(0);">Delete</a>
                                        </div>
                                    </div>
                                </div>
                                <span class="fw-semibold d-block mb-1">Books Sold (All)</span>
                                <h5 class="card-title mb-2">
                                    {{ sis($orgSlug)->getCountOfBooksSoldInSchDuring() }}
                                </h5>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 mb-4">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-between flex-sm-row flex-column gap-3">
                                    <div class="d-flex flex-sm-column flex-row align-items-start justify-content-between">
                                        <div class="card-title">
                                            <div class="avatar flex-shrink-0">
                                                <img src="/static/assets/img/icons/unicons/cc-primary.png" alt="Credit Card"
                                                    class="rounded" />
                                            </div>
                                            <h5 class="text-nowrap mb-2">Institution Wallet</h5>
                                            <span class="badge bg-label-primary rounded-pill">Week
                                                {{ now()->weekOfYear }}
                                            </span>
                                            <span class="badge bg-label-warning rounded-pill">Year
                                                {{ date('Y') }}
                                            </span>

                                        </div>
                                        <div class="mt-sm-auto">
                                            <span class="text-green-400 text-sm text-nowrap fw-light capitalize"><i
                                                    class="bx bx-chevron-up"></i>
                                                Available Balance</span>
                                            <h3 class="mb-0">
                                                ₦{{ number_format(sis($orgSlug)->getProfit('this_week'), 2) }}
                                            </h3>
                                        </div>
                                    </div>
                                    <div id="profileReportChart"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {{-- @include('snit.partials.hidden.item1') --}}
    </div>
    <!-- / Content -->
@endsection
