<!DOCTYPE html>

<html lang="en" class="light-style" dir="ltr" data-theme="theme-default" data-assets-path="/static/assets/"
    data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

    <title>Order Error | Order Failed</title>

    <meta name="description" content="" />

    <!-- Favicon -->
    <link rel="icon" type="image/x-icon" href="/static/assets/img/favicon/favicon.ico" />

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
        href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
        rel="stylesheet" />

    <!-- Icons. Uncomment required icon fonts -->
    <link rel="stylesheet" href="/static/assets/vendor/fonts/boxicons.css" />

    <!-- Core CSS -->
    <link rel="stylesheet" href="/static/assets/vendor/css/core.css" class="template-customizer-core-css" />
    <link rel="stylesheet" href="/static/assets/vendor/css/theme-default.css" class="template-customizer-theme-css" />
    <link rel="stylesheet" href="/static/assets/css/demo.css" />

    <!-- Vendors CSS -->
    <link rel="stylesheet" href="/static/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />

    <!-- Page CSS -->
    <!-- Page -->
    <link rel="stylesheet" href="/static/assets/vendor/css/pages/page-misc.css" />
    <!-- Helpers -->
    <script src="/static/assets/vendor/js/helpers.js"></script>

    <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
    <!--? Config:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
    <script src="/static/assets/js/config.js"></script>
</head>

<body>
    <!-- Content -->

    <!-- Successful order -->
    <div class="container-xxl container-p-y">
        <div class="misc-wrapper">
            <h5 class="mb-2 mx-2"> Oops! Your order could not be completed</h5>
            {{-- <h4 class="mb-2 mx-2"> Reason : The transaction {{ $status }}</h4> --}}
            <p class="mb-4 mx-2 h6">
                <span> order ID : </span> <br>
                <span class="font-extralight h4">{{ $order_id ?? 'N/A' }}</span>
            </p>
            {{-- @isset($order_id)
                <p class="mb-4 mx-2">Keep this code safe, it helps keep track of your payment </p>
            @endisset --}}
            @isset($status)
                <p class="mb-0 mx-2 h6">Transaction Status : <span class="text-danger"> {{ $status }}</span></p>
            @endisset
            <div class="my-5">
                <img src="/static/assets/img/illustrations/man-with-laptop-light.png" alt="page-misc-error-light"
                    width="300" class="img-fluid" data-app-dark-img="illustrations/man-with-laptop-dark.png"
                    data-app-light-img="illustrations/man-with-laptop-light.png" />
            </div>
            @if ($status == 'cancelled')
                <a href="/store" class="btn btn-primary">
                    Continue shopping
                </a>
            @else
                <div class="mt-3 h6">
                    <a href="{{ route('guest.cart') }}" class="btn btn-primary">Try again 👆</a>
                </div>
                <div class="mt-3 h6">Do you need support with this transaction? </div>
                <a href="/#contact-page" class="btn btn-info">Contact Support 🎧</a>
            @endif
        </div>
    </div>
    <!-- /Failed order -->

    <!-- / Content -->
    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="/static/assets/vendor/libs/jquery/jquery.js"></script>
    <script src="/static/assets/vendor/libs/popper/popper.js"></script>
    <script src="/static/assets/vendor/js/bootstrap.js"></script>
    <script src="/static/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="/static/assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="/static/assets/js/main.js"></script>

    <!-- Page JS -->

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>
</body>

</html>
