<!DOCTYPE html>

<html lang="en" class="light-style" dir="ltr" data-theme="theme-default" data-assets-path="/static/assets/"
    data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

    <title>Thank you | Order Successful</title>

    <meta name="description" content="" />

    <!-- Favicon -->
    <link rel="icon" type="image/x-icon" href="/static/assets/img/favicon/favicon.ico" />

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
        href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
        rel="stylesheet" />

    <!-- Icons. Uncomment required icon fonts -->
    <link rel="stylesheet" href="/static/assets/vendor/fonts/boxicons.css" />

    <!-- Core CSS -->
    <link rel="stylesheet" href="/static/assets/vendor/css/core.css" class="template-customizer-core-css" />
    <link rel="stylesheet" href="/static/assets/vendor/css/theme-default.css" class="template-customizer-theme-css" />
    <link rel="stylesheet" href="/static/assets/css/demo.css" />

    <!-- Vendors CSS -->
    <link rel="stylesheet" href="/static/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />

    <!-- Page CSS -->
    <!-- Page -->
    <link rel="stylesheet" href="/static/assets/vendor/css/pages/page-misc.css" />
    <!-- Helpers -->
    <script src="/static/assets/vendor/js/helpers.js"></script>

    <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
    <!--? Config:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
    <script src="/static/assets/js/config.js"></script>
    @vite(['resources/js/app.js', 'resources/css/app.css'])

</head>

<body>
    <!-- Content -->

    <!-- Successful order -->
    <div class="container-xxl container-p-y">
        <div class="misc-wrapper">
            <p class="mb-2 mx-2 text-thin text-xl"> Your order was successful</p>
            <p class="mb-4 mx-2 text-success text-3xl text-thin"> Order ID : </p>
            <p class="font-thin text-6xl"> {{ $order_id ?? '' }}</p>
            <p class="mb-4 mx-2 text-lg">
                Keep this code safe, it helps keep track of your payment
            </p>
            <div class="row gap">
                @foreach ($ordered_content_models as $item_model)
                    <div class="my-4 @if (count($ordered_content_models) > 2) col-sm-3 px-4 @endif
                    ">
                        <img src="/storage/{{ $item_model->doc->front_cover }}" alt="" width=200>
                        <div class="my-2">
                            <p class="text-primary">
                                {{ strtoupper($item_model->name) }} <br>Uploaded
                                by {{ ucfirst($item_model->author->fname) }}
                            </p>
                            <a target='_blank' href="{{ $item_model->doc->getDirectLink() }}" class="btn btn-dark">
                                Download <i class="mx-0 bx bx-download"></i>
                            </a>
                        </div>
                    </div>
                @endforeach
                <div class="my-5">
                    <a target='_blank' href="{{ route('guest.bookstore') }}" class="btn btn-primary">
                        <i class="bx bx-arrow-back"></i> Go Back
                    </a>
                </div>
            </div>

        </div>
    </div>
    <!-- /Successful order -->

    <!-- / Content -->
    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="/static/assets/vendor/libs/jquery/jquery.js"></script>
    <script src="/static/assets/vendor/libs/popper/popper.js"></script>
    <script src="/static/assets/vendor/js/bootstrap.js"></script>
    <script src="/static/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="/static/assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="/static/assets/js/main.js"></script>

    <!-- Page JS -->

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>
</body>

</html>
