<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>{{ env('APP_NAME', 'IMS') }}</title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />

    <!-- Styles -->
    <style src="/page_css/welcome_students.css"></style>

    {{-- <link rel="stylesheet" href="{{ tailwindcss('css/app.css') }}"> --}}
    {{-- vite --}}
    @vite(getViteFiles())


</head>

<body class="antialiased h-[100vh] overflow-hidden m-0">
    <div class="top-links dark:bg-gray-900 pt-10 flex justify-end gap-3 px-5">
        {{-- <a href="{{ route('guest.search_for_my_order', ) }}" class="text-gray-400 capitalize hover:text-gray-100">track order</a> --}}
        {{-- <a href="{{ route('guest.bookstore') }}" class="text-gray-400 hover:text-gray-100">View all purchases</a> --}}
    </div>
    <div
        class="relative sm:flex sm:justify-center sm:items-center min-h-screen bg-dots-darker bg-center bg-gray-100 dark:bg-dots-lighter dark:bg-gray-900 selection:bg-red-500 selection:text-white">
        <div class="max-w-7xl mx-auto p-6 lg:p-8">
            <div class="flex justify-center">
                <div>
                    <div class="mx-auto text-center my-5">
                        <x-application-logo-snit />
                    </div>

                    <h2 class=" text-center mt-1 text-xl font-semibold text-gray-900 dark:text-white">AIMS Search Engine
                    </h2>


                    <h4 class="mt-1 text-xl font-light text-gray-900 dark:text-white">Learn Today so You can Earn
                        Tomorrow</h4>
                    {{-- <h4 class="mt-1 text-xl font-semibold text-gray-900 dark:text-white">What is the price of Knowlege?</h4> --}}


                </div>
            </div>

            <div class="mt-16">
                <div class="grid grid-cols-1 gap-1 lg:gap-8">
                    <div class=" d-flex align-items-center" id="">
                        <!-- Search -->
                        <div class="align-items-center">
                            <form class="my-2" action="{{ route('guest.search_results') }}" id="search_form">@csrf
                                <div class="">
                                    <input required type="text" class="form-control border-0 shadow-none w-full p-5  rounded-3xl"
                                        placeholder="Search for authors and books... " aria-label="Search..."
                                        name="searchfor" size="80" />
                                    <br> <br>
                                    <div class="text-center">
                                        <button type="submit text-center"
                                            class=" bg-transparent cursor-pointer border-0 bg-blue-500 text-white p-3 rounded-lg w-50">
                                            Go
                                        </button>
                                    </div>
                                </div>
                            </form>

                            <div class="my-5 visit-store text-center  text-lg text-white uppercase"><span href=""
                                    class="text-black dark:text-white">or
                                </span></div>
                            <div class="mx-auto w-36 visit-store text-center text-lg rounded-lg bg-blue-500 text-white">
                                <a href="{{ route('guest.bookstore') }}" class="text-white">Visit Store</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>
