<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\BookController;
use App\Http\Controllers\DocumentController;
use App\Http\Controllers\BookStoreController;
use App\Http\Controllers\BookIncomeController;
use App\Http\Controllers\AuthorsIncomeController;

/*
|--------------------------------------------------------------------------
| Book Routes Pertaining to Logged In author {should have it's own route file}
|--------------------------------------------------------------------------
*/

// bookstore routes
Route::get('book-store', [BookStoreController::class, 'index'])->name('bookstore.index');

// book routes for auth()
Route::resource('books', BookController::class);
Route::get('/books/analysis/all', [BookController::class, 'analysis'])->name('books.analysis');
Route::get('/books/{book}/designated_delete', [BookController::class, 'designated_delete'])
    ->name('books.designated_delete');
// book income report
Route::get('/revenue/books', [BookIncomeController::class, 'revenue'])->name('books-revenue.index');
Route::get('/profit/books', [BookIncomeController::class, 'profit'])->name('books-profit.index');

// media routes for book
Route::get('/docs/create', [DocumentController::class, 'create'])->name('docs.create');
Route::post('/docs/', [DocumentController::class, 'store'])->name('docs.store');
Route::get('/docs/{doc}/edit', [DocumentController::class, 'edit'])->name('docs.edit');
Route::patch('/docs/{doc}', [DocumentController::class, 'update'])->name('docs.update');


// preview google file route
Route::view('preview_file', 'snit.auth.preview-google-file')->name('google-file.preview');


// book routes for developer analytics

// authors revenue
Route::get('/revenue/authors/begin', [AuthorsIncomeController::class, 'begin'])->name('authors-revenue.begin');

Route::get('/revenue/authors/{slug}', [AuthorsIncomeController::class, 'revenue'])->name('authors-revenue.index');
