<?php

use App\Models\Dept;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DPController;
use App\Http\Controllers\DeptController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\ConfigController;
use App\Http\Controllers\ProfileController;

/*
|--------------------------------------------------------------------------
| Config Routes Pertaining to Logged In author
|--------------------------------------------------------------------------
*/

Route::get('/config/index', [ConfigController::class, 'config'])->name('user.config');

// course department routes : {udo } refactor to route::resource
Route::resource('depts', DeptController::class);


// =========================grouping clients based on departments=========================
// index
Route::get('depts/all/with-client-links', [ClientController::class, 'departmentalClients_index'])
    ->name('dept-clients.index');

// show
Route::get('depts/{deptSlug}/clients', [DeptController::class, 'clients_show'])
    ->name('dept-clients.show-all');

    
// Profile Routes
Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');

// route to change author dp
Route::post('/update_dp', [DPController::class, 'update'])->name('author-dp.update');