<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\FinanceController;
use App\Http\Controllers\WithdrawalController;


/*
|--------------------------------------------------------------------------
| Client/Customer Routes Pertaining to Authenticated / Logged In author
|--------------------------------------------------------------------------
| Here is where you can register client route for authors 
| who want to view their customers on the webapp.
|
*/


// show all clients for a particular author {futures}
Route::get('/clients', [ClientController::class, 'index'])
    ->name('clients.index');

// show specific client information (profile data) for a particular(auth()) author {futures}
Route::get('/clients/show/{client}', [ClientController::class, 'show'])
    ->name('clients.show');

//list all the books for an author with unique links to route('book-clients.show-all')  
// (should be sortable). this implies a list of books with each of them containing links
//  to their respective clients
Route::get('books/all/with-client-links', [ClientController::class, 'book_clients_index'])
    ->name('book-clients.index');

// show all the clients for a particular book (should be sortable)
// this is how you get all customers or clients that have purchased a specific book
Route::get('books/{bookSlug}/clients', [ClientController::class, 'book_clients_show'])
    ->name('book-clients.show-all');

// might be replaced with optional parameters in the base url ↑↑↑
Route::get('books/{bookSlug}/clients/hardcover', [ClientController::class, 'book_clients_hardcover_show'])
    ->name('book-clients.show-hardcover');

// might be replaced with optional parameters in the base url ↑↑↑
Route::get('books/{bookSlug}/clients/ebook', [ClientController::class, 'book_clients_ebook_show'])
    ->name('book-clients.show-ebook');



// withdrawals route for authors
Route::get('withdrawals/success', [WithdrawalController::class, 'success'])
    ->name('withdrawals.success');

Route::get('withdrawals/pending', [WithdrawalController::class, 'pending'])
    ->name('withdrawals.pending');

Route::get('withdrawals/failed', [WithdrawalController::class, 'failed'])
    ->name('withdrawals.failed');


// financial summary / finance routes for instructors
Route::get('financial_summary', [FinanceController::class, 'index'])
    ->name('financials.index');