<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DPController;
use App\Http\Controllers\FinanceController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\AdminProfileController;

/*
|--------------------------------------------------------------------------
| SCHOOL Routes Pertaining to Logged In SCHOOL ADMIN
|--------------------------------------------------------------------------
*/

Route::group(['middleware' => ['auth', 'sch'], 'prefix' => 'org'], function () {
    Route::get('/dashboard', [DashboardController::class, 'schDashboard'])->name('sch.dashboard');

    Route::get('financial_summary', [FinanceController::class, 'sch'])->name('sch_financials.index');

    // config routes
    Route::get('admin/profile', [AdminProfileController::class, 'edit'])->name('admin.profile.edit');
    Route::patch('admin/profile', [AdminProfileController::class, 'update'])->name('admin.profile.update');

    // route to change author dp
    Route::post('update_dp', [DPController::class, 'updateForAdmin'])->name('org_admin_dp.update');
});
