<?php

use App\Models\PG;
use App\Models\Document;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Storage;
use App\Http\Controllers\TinkerController;
use App\Http\Controllers\ArtisanController;
use App\Http\Controllers\CashoutController;
use App\Http\Controllers\FinanceController;
use App\Http\Controllers\ScriptureController;

/*
|--------------------------------------------------------------------------
| Developer Routes for CLI, dev operations and db or app manipulation
|--------------------------------------------------------------------------
*/

Route::group(['middleware' => ['auth', 'dev']], function () {

    Route::get('dev', fn() => 'dev route here');

    Route::get('empty_public_storage', function () {
        $allFiles = Storage::allFiles('public');
        // dd($allFiles);
        if (Storage::delete($allFiles) && Document::truncate()) {
            dd('storage cleared successfully and db cleaned up');
        } else {
            dd('error in clearing storage');
        }
    });

    // dev financials
    Route::get('financial_summary/dev', [FinanceController::class, 'dev'])->name('dev_financials.index');

    // cashout routes
    // Route::get('cashout', [CashoutController::class, 'index'])->name('cashout.index');
    Route::get('cashout/initiate', [CashoutController::class, 'initiate'])->name('cashout.initiate');

    // displays cashout table for an organisation
    Route::post('cashout/initiate', [CashoutController::class, 'chooseOrg'])->name('cashout.chooseOrg');

    Route::get('cashout/initiate/{org}', [CashoutController::class, 'withOrg'])->name('cashout.withOrg');

    Route::post('cashout/process', [CashoutController::class, 'process'])->name('cashout.process');


    // tinker routes
});

Route::get('tinker', [TinkerController::class, 'tinker'])->name('tinker');

Route::get('tinker1', [TinkerController::class, 'tinker1'])->name('tinker1');

Route::get('logo', [TinkerController::class, 'logoView'])->name('logo.index');



// testing a ui
Route::get('imagine/testing', [TinkerController::class, 'imagineTesting']);

Route::get('scripture', [ScriptureController::class, 'index']);

Route::get('test-network', function () {
    
    return internetConnection();

});

// artisan & shell cmd
Route::get('cmd/{command}', ArtisanController::class)
    ->name('cmd');