<?php

use App\Http\Controllers\CheckoutController;
use App\Http\Controllers\FlutterWaveController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\ThankyouController;
use App\PaymentGatewayServices\Flutterwave;
use App\PaymentGatewayServices\Rexpay;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
|  guest client routes related to checkout
|--------------------------------------------------------------------------
|
*/
// checkout routes
Route::get('guest/checkout', [CheckoutController::class, 'index'])
    ->name('guest.checkout');

// Route for choosing a client type: new or old
Route::get('guest/client/choose', [CheckoutController::class, 'chooseClient'])
    ->name('guest.choose-client');

// select payment gateway 
Route::get('payment-gateway/select', [PaymentController::class, 'index'])
    ->name('payment-gateway.index');

Route::post('guest/checkout/prepare', [CheckoutController::class, 'prepareForPayment'])
    ->name('guest.checkout.prepare');
Route::post('guest/checkout', [CheckoutController::class, 'store'])
    ->name('guest.checkout.store');

// remove this later 
// Route::any('flw-payment-confirmation', [PaymentController::class, 'flwConfirm'])
//     ->name('flw.confirm');

Route::any('flw-payment-confirmation', [Flutterwave::class, 'postPaymentConfirmation'])
    ->name('flw.confirm');

Route::get('payment-confirmation-rexpay', [Rexpay::class, 'rexpayPostPaymentConfirmation'])
    ->name('rexpay-redirect-url');

// thankyou route
Route::get('thankyou', [ThankyouController::class, 'index'])->name('order.thankyou');
Route::get('order-error', [ThankyouController::class, 'error'])->name('order.error');