<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\GuestController;
use App\Http\Controllers\ClientController;

// public user routes
/*
|--------------------------------------------------------------------------
| Pulic Routes for Client
|--------------------------------------------------------------------------
|
*/
// routes related to authors
Route::group(
    ['prefix' => 'vendors'],
    function () {
        // general guest user routes
        Route::get('{author}/store', [GuestController::class, 'viewstore'])
            ->name('guest.view-store');
        Route::get('{author}', [GuestController::class, 'viewvendor'])
            ->name('guest.view-vendor');
    }
);

// store : the general bookstore for all authors
Route::get('store', [GuestController::class, 'bookstore'])
    ->name('guest.bookstore');

// routes related to search

Route::group(['prefix' => 'searchfor'], function () {
    Route::get('/', [GuestController::class, 'searchResults'])
        ->name('guest.search_results');

    Route::get('/order/{order_id}', [GuestController::class, 'findMyOrder'])
        ->name('guest.search_for_my_order');

    Route::post('/clients', [GuestController::class, 'showAllClientOrders'])
        ->name('clients.show-all-purchases');
    // mas/hnd/23/24/00043
});

// contact us route
Route::post('/contact', [GuestController::class, 'contact_developer'])
    ->name('contact.developer');
