<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Account Settings /</span> Account</h4>

        <div class="row">
            <div class="col-md-12">
                <ul class="nav nav-pills flex-column flex-md-row mb-3">
                    <li class="nav-item">
                        <a class="nav-link active" href="javascript:void(0);"><i class="bx bx-user me-1"></i> Account</a>
                    </li>

                    
                    
                </ul>
                <div class="card mb-4">
                    <h5 class="card-header">Profile Details</h5>
                    <!-- Account -->
                    <div class="card-body">
                        <div class="d-flex align-items-start align-items-sm-center gap-4">
                            <img src="/storage/<?php echo e(authy()->orgAdmin->dp); ?>" alt="user-avatar" class="d-block rounded"
                                height="100" width="100" id="uploadedAvatar" />


                            <div class="button-wrapper">

                                <form id="orgAdminDPForm" method="post" action="<?php echo e(route('author-dp.update')); ?>"
                                    enctype="multipart/form-data"><?php echo csrf_field(); ?>
                                    <label for="upload" class="btn btn-primary me-2 mb-4" tabindex="0">
                                        <span class="d-none d-sm-block">Upload new photo</span>
                                        <i class="bx bx-upload d-block d-sm-none"></i>
                                        <input type="file" id="upload" class="account-file-input" hidden
                                            name="new_dp" accept="image/png, image/jpeg" />
                                    </label>

                                    <button type="submit" class="btn btn-success mb-4">
                                        <span class="d-none d-sm-inline">Go
                                            <i class="bx bx-arrow-to-right"></i>
                                        </span>
                                    </button>
                                </form>
                                <p class="text-muted mb-0">Allowed JPG, GIF or PNG. Max size of 800K</p>
                            </div>
                        </div>
                    </div>
                    <hr class="my-0" />
                    <div class="card-body">
                        
                        <form id="formAccountSettings" method="post" action="<?php echo e(route('admin.profile.update')); ?>">
                            <?php echo method_field('patch'); ?> <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="mb-3 col-md-6">
                                    <label for="firstName" class="">First Name</label>
                                    <input class="form-control" type="text" id="firstName" name="firstName"
                                        value="<?php echo e(authy()->orgAdmin->fname ?? 'Not Set'); ?>" autofocus />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="lastName" class="">Last Name</label>
                                    <input class="form-control" type="text" name="lastName" id="lastName"
                                        value="<?php echo e(authy()->orgAdmin->lname ?: 'Not Set'); ?>" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="username" class="">Username</label>
                                    <input class="form-control" type="text" id="username" name="username"
                                        value="<?php echo e(auth()->user()->name); ?>" autofocus />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="email" class="">E-mail</label>
                                    <input class="form-control" type="text" id="email" name="email"
                                        value="<?php echo e(auth()->user()->email ?? 'Not Set'); ?>"
                                        placeholder="john.doe@example.com" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="organization" class="">Organization</label>
                                    
                                    
                                    <input class="form-control" id="organisation" name="organisation" list="organisations"
                                        value="<?php echo e(old('organisation') ?? auth()->user()->org?->name); ?>"
                                        placeholder="Enter a new organisation name eg.ACME Inc." />
                                    

                                    <datalist id='organisations'>
                                        <?php $__currentLoopData = $orgs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $organisation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($organisation->name); ?>">
                                                <?php echo e($organisation->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </datalist>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label class="" for="phoneNumber">Phone Number</label>
                                    <div class="input-group input-group-merge">
                                        
                                        <input type="tel" id="phoneNumber" name="phoneNumber" class="form-control"
                                            value="<?php echo e(authy()->orgAdmin->phone ?: 'Not Set'); ?>" />
                                    </div>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="address" class="">Address</label>
                                    <input type="text" class="form-control" id="address" name="address"
                                        placeholder="Address" value="<?php echo e(authy()->orgAdmin->address ?: 'Not Set'); ?>" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="state" class="">State</label>
                                    <input class="form-control" type="text" id="state" name="state"
                                        placeholder="California" value="<?php echo e(authy()->orgAdmin->state ?: 'Not Set'); ?>" />
                                </div>
                                
                                
                                
                            </div>
                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2">Save changes</button>
                                <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                            </div>
                        </form>

                        
                        <form id="PasswordUpdate" method="post" action="<?php echo e(route('password.update')); ?>"
                            class="mt-5">
                            <?php echo method_field('put'); ?> <?php echo csrf_field(); ?>

                            <h5>Update Password</h5>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="mb-3 col-md-6">
                                        <label for="current_password" class="">Current Password</label>
                                        <input class="form-control" type="password" id="current_password"
                                            name="current_password" />
                                        <?php $__errorArgs = ['current_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <p class="error">
                                                <?php echo e($message); ?>

                                            </p>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="mb-3 col-md-6">
                                        <label for="password" class="">New Password</label>
                                        <input class="form-control" type="password" id="password" name="password" />
                                        <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <p class="error">
                                                <?php echo e($message); ?>

                                            </p>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>


                                <div class="col-md-12">
                                    <div class="mb-3 col-md-6">
                                        <label for="password_confirmation" class="">New
                                            Password_confirmation</label>
                                        <input class="form-control" type="password" id="password_confirmation"
                                            name="password_confirmation" />
                                        <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <p class="error">
                                                <?php echo e($message); ?>

                                            </p>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>


                            </div>



                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2">Save Changes</button>
                                <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                            </div>
                        </form>


                    </div>
                    <!-- /Account -->
                </div>
                
            </div>
        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/org_admin_account_settings.blade.php ENDPATH**/ ?>