<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->
    <?php if(isset($allRelatedClients) and count($allRelatedClients) >= 1): ?>
        <div class="card mx-4 my-2">
            <h5 class="mx-4 mt-3 text-secondary"><small> Filter Results for
                "<?php echo e($requestedDept->name); ?> <?php echo e($requestedDept->dept_level); ?>"</small></h5>

            <div class="d-flex justify-content-between mt-0">
                <h5 class="mx-4">Showing My Clients for "<?php echo e($requestedDept->name); ?> <?php echo e($requestedDept->dept_level); ?>"
                </h5>
                <div class="d-block mx-5">
                    <div class="mt-0">
                        <p class="text-lg">
                            Total Purchases : <?php echo e(count($allRelatedClients)); ?>

                        </p>
                    </div>
                </div>
            </div>

            <div class="">
                <?php if(isset($searchfor)): ?>
                    
                    <h5 class="mx-4 text-secondary">
                        <span> Search Results for "<?php echo e($searchfor); ?>"</span>
                        <span>
                            <a href="<?php echo e(route('book-clients.show-all', $requestedDept->slug)); ?>">
                                <span class="text-gray-500 underline">Clear Search
                                    Results</span>
                            </a>
                        </span>
                    </h5>
                <?php endif; ?>
            </div>

            <div class="mx-4 mb-3 text-sm">
                <a href="<?php echo e(route('dept-clients.index')); ?>" class="text-blue-500">
                    &lArr; back to departments

                </a>
            </div>
            <form class="">
                <div class="flex mx-4 col-10 col-sm-8 gap-x-3 justify-between">
                    <div class="book-title w-full">
                        <label for="" class="ms-1">Book Title</label>

                        <div class="input-group">
                            <select class="form-select" name="bookSlug" id="bookSlug">
                                <?php $__currentLoopData = $booksSoldInDept; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if(request('bookSlug') == $book->slug): echo 'selected'; endif; ?> value="<?php echo e($book->slug); ?>"><?php echo e($book->name); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            
                        </div>
                    </div>

                    <div class="w-full">
                        <label for="" class="ms-1">Purchase Type</label>

                        <div class="input-group">
                            <select class="form-select" name="purchaseType" id="purchaseType">
                                <?php $__currentLoopData = ['all', 'ebook', 'hardcover']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $purchaseType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if(request('purchaseType') == $purchaseType): echo 'selected'; endif; ?>
                                        value="<?php echo e($purchaseType == 'all' ? null : $purchaseType); ?>">
                                        <?php echo e($purchaseType); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <button type="submit" class="btn btn-primary btn-sm">Go <i
                                    class="bx bx-arrow-to-right"></i></button>
                        </div>
                    </div>

                    <div class="w-full mt-4 mx-6 flex">
                        <?php if(request('purchaseType') or request('bookSlug')): ?>
                            <a class="btn btn-sm btn-outline-primary"
                                href="<?php echo e(route('dept-clients.show-all', $requestedDept->slug)); ?> ">
                                View all
                            </a>
                        <?php endif; ?>
                    </div>

                </div>
            </form>

            <div class="card-body mt-10">
                <div class="table-responsive text-nowrap">
                    <table class="table  py-5">
                        <thead>
                            <tr class="bg-blue-800">
                                <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(in_array($heading, $hideFromPrint)): ?>
                                        <th class="text-white m-0 p-0 print:hidden"><small><?php echo $heading; ?></small>
                                        </th>
                                    <?php else: ?>
                                        <th class="text-white m-0 p-0"><small><?php echo $heading; ?></small></th>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $allRelatedClients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td class="m-0 px-0 py-2  print:hidden">
                                        <i class="fab fa-angular fa-lg text-danger mx-0"></i>
                                        <span class="capitalize"
                                            title="<?php echo e($client->client_model->org->name); ?>"><?php echo e($client->client_model->org->slug); ?></span>
                                    </td>

                                    <td class="m-0 px-0 py-2">
                                        
                                        <span class="capitalize">
                                            <?php echo e($client->client_model->getFullName()); ?>

                                            <br>
                                            <span class="hidden print:block"><?php echo e($client->client_model->mat_num); ?></spanc>
                                            </span>
                                    </td>
                                    <td class="uppercase m-0 px-0 py-2 print:hidden">
                                        <span><?php echo e($client->client_model->mat_num); ?></span>
                                    </td>

                                    
                                    <td class=" my-2 px-0 py-2 print:hidden">
                                        <span><?php echo e($client->client_model->phone); ?></span>
                                    </td>

                                    
                                    <td class="my-2 px-0 py-2"><span class="mx-0"><?php echo e($client->created_at_key); ?></span>
                                    </td>

                                    
                                    <td class="my-2 px-0 py-2 print:hidden">
                                        <span class="uppercase"><?php echo e($client->itemPurchased->name); ?></span>
                                    </td>

                                    
                                    <td class="my-2 px-0 py-2 font-semibold">
                                        <span><?php echo e($client->itemPurchased->options->type); ?></span>
                                    </td>

                                    
                                    <td class=" my-2 px-0 py-2 print:hidden">
                                        <span><?php echo e($client->itemPurchased->options->original_price); ?></span>
                                    </td>

                                    
                                    <td class="m-0 p-1">
                                        <span class="font-semibold">
                                            <?php echo e($client->itemPurchased->options->type == 'ebook' ? 'PDF ✅' : ''); ?>

                                        </span>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php elseif(isset($allRelatedClients) and count($allRelatedClients) < 1 && request('purchaseType')): ?>
        <div class="my-5 py-5 text-center fw-light text-white text-sm">
            <p>You have no <?php echo e(request('purchaseType')); ?> Clients in
                <span class="uppercase block"> <?php echo e($requestedDept->name); ?></span>
                <span>that purchased</span>
                <span class="uppercase block"> "<?php echo e(getBookNameFromSlug(request('bookSlug'))); ?>"</span>
            </p>
            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>
        </div>
    <?php elseif(isset($allRelatedClients) and count($allRelatedClients) < 1 && !request('purchaseType')): ?>
        <div class="my-5 text-center fw-light text-sm text-white">
            <span>You have no Clients in</span>
            <span class="uppercase block"><?php echo e($requestedDept->name); ?></span>
            <span>that purchased</span>
            <span class="uppercase"> "<?php echo e(getBookNameFromSlug(request('bookSlug'))); ?>"</span>


            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>

        </div>
    <?php endif; ?>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/clients/clients_by_dept/show_all.blade.php ENDPATH**/ ?>