<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->
    <?php if(count($allBooks) < 1): ?>
        <h4 class="my-5 py-5 text-center fw-light"> You have no books <a class="underline" href="<?php echo e(route('books.create')); ?>">
                click here </a> to create a new book </h4>
    <?php else: ?>
        <div class="card m-4">
            <div class="">
                <div class="card-header text-center">
                    <h1 class="h6 my-0 uppercase">
                        Revenue (Sales) Report</h1>
                </div>
                <div class="mx-4 text-right my-0 text-xs">
                    <p class="text-black my-0">Total Books Published: <?php echo e(count($allBooks)); ?></p>
                    <p class="text-primary my-0">
                        Total Sales Generated: ₦ <?php echo e(number_format(author()->totalSalesFromBooks())); ?>

                    </p>

                    <p class="text-success">
                        Total Profit Generated: ₦ <?php echo e(number_format(author()->presentTotalProfit())); ?>

                    </p>

                </div>
            </div>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table">
                        <thead>
                            <tr class="bg-primary">
                                <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th><small><small class="text-white"><?php echo $heading; ?></small></small></th>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $allBooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <a href="#" style='pointer:cursor;'>
                                    <tr class="<?php if(empty($book->doc)): ?> bg-red-500  text-white <?php endif; ?>">

                                        
                                        <td>
                                            <img src="/storage/<?php echo e($book->doc->front_cover ?? ' '); ?>"
                                                alt="<?php echo e($book->doc->front_cover ?? 'No Image'); ?>" class="src"
                                                width="50" />
                                        </td>


                                        <td>
                                            <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                            <strong><?php echo e($book->name); ?></strong>
                                        </td>

                                        
                                        <td>
                                            <span class="badge text-black me-1 text-xs">
                                                ₦<?php echo e(money($book->price)); ?> | <span class="text-violet-600">
                                                    ₦<?php echo e(money($book->eBookPrice())); ?></span>
                                            </span>
                                        </td>

                                        

                                        <td>
                                            <span
                                                class="badge text-black text-xs fw-light me-1"><?php echo e(money($book->service->totalHardcoverOrders()->count())); ?></span>
                                        </td>

                                        
                                        <td><span
                                                class="badge text-black text-xs fw-light me-1"><?php echo e(money($book->service->totalEbookOrders()->count())); ?></span>
                                        </td>

                                        
                                        <td><span
                                                class="badge text-black text-xs fw-light me-1"><?php echo e(money($book->service->getTotalNumberSold())); ?></span>
                                        </td>
                                        
                                        <td><span class="text-sm me-1">
                                                <?php echo e('₦' . money($book->presentTotalSalesGenerated())); ?></span>
                                        </td>
                                    </tr>
                                </a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/financials/revenue_books/index.blade.php ENDPATH**/ ?>