<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->
    <?php if(count($allBooks) < 1): ?>
        <p class="my-5 py-5 text-sm text-center text-white fw-light">
            Oops! You have no books <br><br>
            <a class="underline text-sm text-blue-400" href="<?php echo e(route('books.create')); ?>">
                &rArr; Add Your First Book
            </a>
        </p>
    <?php else: ?>
        <div class="card m-4">
            <div class="">
                <div class="card-header text-center">
                    <h1 class="h6 my-0 uppercase">
                        Income (Profit) Report</h1>
                </div>
                <div class="mx-4 text-right my-0 text-xs">
                    <p class="text-black my-0">Total Books Published: <?php echo e(count($allBooks)); ?></p>
                    <p class="text-primary my-0">
                        Total Sales Generated: ₦ <?php echo e(money(author()->totalSalesFromBooks())); ?>

                    </p>

                    <p class="text-success">
                        Total Profit Generated: ₦ <?php echo e(money(author()->presentTotalProfit())); ?>

                    </p>
                </div>
            </div>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table py-5">
                        
                        <thead>
                            <tr class="bg-primary">
                                <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th class='max-w-fit text-xs ps-1 '>
                                        <small class="text-white"><?php echo $heading; ?></small>
                                    </th>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $allBooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr
                                    class="<?php if(empty($book->doc)): ?> bg-red-500  text-white <?php else: ?>
                                        hover:bg-blue-50 hover:text-black hover:transition-all cursor-pointer
                                     <?php endif; ?>
                                    ">

                                    
                                    <td class='px-0 '>
                                        <img src="/storage/<?php echo e($book->doc->front_cover ?? ' '); ?>" width=40
                                            alt="<?php echo e($book->doc->front_cover ?? 'No Image'); ?>" class="src" />
                                    </td>


                                    
                                    <td class='px-0'>
                                        <span class="text-xs"><?php echo e($book->name); ?></span>
                                    </td>

                                    
                                    <td class='px-0'>
                                        <span class="badge bg-label-primary me-1 text-xs">
                                            ₦<?php echo e(number_format($book->price, 2)); ?> | <span class="text-red-500">
                                                ₦<?php echo e(number_format($book->eBookPrice(), 2)); ?></span>
                                        </span>
                                    </td>

                                    
                                    <td class='px-0'>
                                        <?php echo $__env->make('snit.auth.dashboard.books.partials.profitMarginHardCover', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </td>

                                    
                                    <td class='px-0'>
                                        <?php echo $__env->make('snit.auth.dashboard.books.partials.profitMarginEbook', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </td>

                                    

                                    <td class='px-0'>
                                        <?php echo $__env->make('snit.auth.dashboard.books.partials.profitMarginTotal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/financials/income_books/index.blade.php ENDPATH**/ ?>