<?php
    use Gloudemans\Shoppingcart\Facades\Cart;
?>


<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->
    <div class="card m-4">
        <div class="d-flex justify-content-between">
            <p class="card-header">My Cart</p>
            <div class="d-block m-4">
                <div class="mt-3">
                    Total : <?php echo e(Cart::content()->count()); ?>

                </div>

                <form class="mt-3" action="<?php echo e(route('guest.cart-destroy')); ?>" method="post"><?php echo method_field('delete'); ?> <?php echo csrf_field(); ?>
                    <button type="submit" class="btn-danger">Empty cart</button>
                </form>
            </div>
        </div>

        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <?php if(Cart::content()->count() > 0): ?>
                    <table class="table py-5">
                        <thead>
                            <tr class="">
                                <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th class="mx-0 px-0 text-left"> <small><?php echo $heading; ?></small></th>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = Cart::content(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cartItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr class="<?php if(empty($cartItem->name)): ?> bg-red-500  text-white <?php endif; ?>">
                                    
                                    <td class="px-0 mx-0 text-left">
                                        <img src="/storage/<?php echo e($cartItem->model->doc->front_cover ?? ' '); ?>"
                                            alt="<?php echo e($cartItem->model->doc->front_cover ?? 'No Image'); ?>" class="src"
                                            width="50" />
                                    </td>

                                    
                                    <td class="mx-0 px-0 text-left w-min">
                                        <i class="fab fa-angular fa-lg text-danger"></i>
                                        <strong class="text-xs"><?php echo e($cartItem->name); ?></strong>
                                    </td>

                                    
                                    <td class="mx-0 px-0 text-left w-min">
                                        <i class="fab fa-angular fa-lg text-danger"></i>
                                        <strong
                                            class="text-xs"><?php echo e($cartItem->options->book_author->presentFullName()); ?></strong>
                                    </td>

                                    <td class="mx-0 px-0 text-left w-min">
                                        <i class="fab fa-angular fa-lg text-danger"></i>
                                        <strong
                                            class="text-xs"><?php echo e($cartItem->options->book_author->getOrg('slug')); ?></strong>
                                    </td>


                                    
                                    <td class="mx-0 px-0 text-left w-min"><span class="text-xs"><?php echo e($cartItem->qty); ?></span>
                                    </td>

                                    
                                    <td class="mx-0 px-0 text-left w-min"><span
                                            class="badge text-xs bg-label-primary"><?php echo e($cartItem->options->type); ?></span>
                                    </td>


                                    
                                    <td class="mx-0 px-0 text-left ">
                                        
                                        <span class="d-none"><?php echo e($cartItem->price); ?></span>
                                        
                                        <span class="me-1 text-xs"><?php echo e(money($cartItem->price)); ?></span>

                                    </td>

                                    
                                    <td>
                                        <form id="remove_from_cart_form_<?php echo e($cartItem->id); ?>"
                                            action="<?php echo e(route('guest.cart-destroy', ['item_id' => $cartItem->id])); ?>"
                                            method="post"><?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                            <button type="submit"
                                                class='bx bx-trash text-danger border-none bg-transparent'>

                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>

                    <div class=" bg-blue-200 w-min p-3 mt-2 rounded">
                        <div class="flex sub-total-col gap-3 mt-1 ml-1 p-2  w-min border-bottom border-2">
                            <div class="key">
                                SubTotal
                            </div>
                            <div class="val">
                                ₦ <?php echo e(Cart::subTotal()); ?>

                            </div>

                        </div>

                        <div class="flex sub-total-col gap-3 ml-1 p-2  w-min  border-2">
                            <div class="key">
                                Tax
                            </div>
                            <div class="val">
                                ₦ <?php echo e(Cart::tax()); ?>

                            </div>
                        </div>

                        <div class="flex sub-total-col gap-3  ml-1 p-2 border-top border-2 w-min ">
                            <div class="key">
                                Total
                            </div>
                            <div class="val">
                                ₦ <?php echo e(Cart::total()); ?>

                            </div>
                        </div>



                        <div class="flex sub-total-col gap-3 mt-1">
                            <a class="inline d-inline btn btn-outline-primary text-xs" title="Proceed to Checkout"
                                sr-only="Proceed to Checkout" href="<?php echo e(route('guest.choose-client')); ?>">
                                Proceed to Checkout
                            </a>
                        </div>
                    </div>
                <?php else: ?>
                    <p class="text-center text-lg fw-light">Cart is empty ...
                        <a href="<?php echo e(route('guest.bookstore')); ?>"> Go Shopping</a>
                    </p>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/guest/cart/index.blade.php ENDPATH**/ ?>