<?php use App\Enums\UserRoleEnum; ?>
<?php if(!authy()->role(UserRoleEnum::ORG)): ?>
    <ul class="menu-inner py-1">
        <!-- Dashboard -->
        <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('dashboard')]) ?>">
            <a href="<?php echo e(route('dashboard')); ?>" class="menu-link">
                <i class="menu-icon tf-icons bx bx-home-circle"></i>
                <div data-i18n="Analytics">Dashboard</div>
            </a>
        </li>
        

        <li class="<?php echo \Illuminate\Support\Arr::toCssClasses([
            'menu-item',
            'active' => in_array(thisRouteName(), getAllConfigRoutes()),
        ]) ?>">
            <a href="<?php echo e(route('user.config')); ?>" class="menu-link">
                <i class="menu-icon tf-icons bx bx-cog text-info"></i>
                <div data-i18n="Basic">Configuration</div>
            </a>
        </li>

        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Books</span></li>
        <li class="<?php echo \Illuminate\Support\Arr::toCssClasses([
            'menu-item',
            'w-100',
            'active' => in_array(thisRouteName(), getAllBookRoutes()),
        ]) ?>">

            
            <a class="menu-link menu-toggle cursor-pointer">
                <i class="menu-icon tf-icons bx bx-box"></i>
                <div data-i18n="User interface">Manage Books</div>
            </a>
            <ul class="menu-sub">

                <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('books.index')]) ?>">
                    <a href="<?php echo e(route('books.index')); ?>" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-list-ul"></i>
                        <div data-i18n="Tooltips & Popovers">View All
                        </div>
                    </a>
                </li>

                <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('books.create')]) ?>">
                    <a href="<?php echo e(route('books.create')); ?>" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-plus-circle"></i>
                        <div data-i18n="Toasts">Add New </div>
                    </a>
                </li>

                <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('books.analysis')]) ?>">
                    <a href="<?php echo e(route('books.analysis')); ?>" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-grid"></i>
                        <div data-i18n="Tooltips & Popovers">Analysis
                        </div>
                    </a>
                </li>
            </ul>
        </li>

        <!-- Misc -->
        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Clients</span></li>

        <li
            class="menu-item <?php echo e(in_array(thisRouteName(), ['clients.index', 'book-clients.index', 'dept-clients.index', 'dept-clients.show-all']) ? ' active' : ''); ?> w-100">
            <a class="menu-link menu-toggle cursor-pointer">
                <i class="menu-icon tf-icons bx bx-group"></i>
                <div data-i18n="User interface">
                    <span class="capitalize">manage clients</span>
                </div>
            </a>
            <ul class="menu-sub">
                <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('clients.index')]) ?>">
                    <a href="<?php echo e(route('clients.index')); ?>" class="menu-link">
                        <div data-i18n="Tooltips & Popovers">All Clients
                        </div>
                    </a>
                </li>
                
                <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('dept-clients.index')]) ?>">
                    <a href="<?php echo e(route('dept-clients.index')); ?>" class="menu-link">
                        
                        <div data-i18n="Tooltips & Popovers">
                            <spaan class="capitalize">group Clients By department</spaan>
                        </div>
                    </a>
                </li>
            </ul>
        </li>

        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Financials</span></li>

        <li
            class="menu-item <?php echo e(in_array(thisRouteName(), ['books-profit.index', 'books-revenue.index', 'financials.index']) ? ' active' : ''); ?> w-100">
            <a class="menu-link menu-toggle cursor-pointer">
                <i class="menu-icon tf-icons bx bx-dollar"></i>
                <div data-i18n="User interface">Finance Repo</div>
            </a>
            <ul class="menu-sub">
                <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('books-revenue.index')]) ?>">
                    <a href="<?php echo e(route('books-revenue.index')); ?>" class="menu-link">
                        <div data-i18n="Basic">$ Revenue (Sales) </div>
                    </a>
                </li>
                <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('books-profit.index')]) ?>">
                    <a class="menu-link" href="<?php echo e(route('books-profit.index')); ?>">
                        <div data-i18n="User interface">$ Income (Profit)</div>
                    </a>
                </li>

                <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('financials.index')]) ?>">
                    <a class="menu-link" href="<?php echo e(route('financials.index')); ?>">
                        <div data-i18n="User interface">Timely Reports</div>
                    </a>
                </li>
            </ul>
        </li>



        <?php if(auth()->user()->is_admin): ?>
            <li class="menu-item <?php echo e(in_array(thisRouteName(), ['authors-revenue.begin']) ? ' active' : ''); ?> w-100">
                <a class="menu-link menu-toggle cursor-pointer">
                    <i class="menu-icon tf-icons bx bx-dollar"></i>
                    <div data-i18n="User interface">Monitor Finance</div>
                </a>
                <ul class="menu-sub">

                    <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('authors-revenue.begin')]) ?>">
                        <a href="<?php echo e(route('authors-revenue.begin')); ?>" class="menu-link">
                            <div data-i18n="Basic">$ Author (Sales) </div>
                        </a>
                    </li>
                    <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('authors-revenue.begin')]) ?>">
                        <a class="menu-link" href="<?php echo e(route('authors-revenue.begin')); ?>">
                            <div data-i18n="User interface">$ Author (Profit)</div>
                        </a>
                    </li>

                    <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['menu-item', 'active' => isMyRoute('authors-revenue.begin')]) ?>">
                        <a class="menu-link" href="<?php echo e(route('authors-revenue.begin')); ?>">
                            <div data-i18n="User interface">Timely Reports</div>
                        </a>
                    </li>
                </ul>
            </li>

            <li class="menu-item <?php echo e(isMyRoute('dev_financials.index') ? ' active' : ''); ?> ">
                <a href="<?php echo e(route('dev_financials.index')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-wallet"></i>
                    <div data-i18n="Basic"> $ Dev Income </div>
                </a>
            </li>

            <li class="menu-item <?php echo e(isMyRoute('cashout.initiate') ? ' active' : ''); ?> ">
                <a href="<?php echo e(route('cashout.initiate')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-wallet"></i>
                    <div data-i18n="Basic">$ Cashout </div>
                </a>
            </li>
        <?php endif; ?>

        <!-- Misc -->
        <li class="menu-header small text-uppercase border-top border-secondary" style="margin-top:6rem;"><span
                class="menu-header-text text-danger">Exit</span></li>


        <li class="menu-item ">
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.logout','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('logout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
        </li>
    </ul>
<?php endif; ?>
<?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/partials/aside_menu_for_auth.blade.php ENDPATH**/ ?>