<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->
    <?php if(count($allBooks) < 1): ?>
        <p class="my-5 py-5 text-sm text-center text-white fw-light"> 
            Oops! You have no books <br><br>
            <a class="underline text-sm text-blue-400" href="<?php echo e(route('books.create')); ?>">
            &rArr;    Add Your First Book
            </a>
        </p>
    <?php else: ?>
        <div class="card mx-4 mt-4">
            <div class="d-flex justify-content-between">
                <h3 class="card-header mx-2 h5">My Books</h3>
                <div class="d-block m-4">
                    <button class="btn btn-sm btn-primary"><a href="<?php echo e(route('bookstore.index')); ?>" class='text-white'>View
                            Store</a></button>
                </div>
            </div>
            <div class="mx-2 my-0">
                <div class="d-block mx-4">
                    <a href="<?php echo e(route('books.create')); ?>" class='text-white'>
                        <button class="btn btn-success btn-sm">
                            <i class="menu-icon tf-icons bx bx-plus-circle"></i>
                            Add New
                        </button>
                    </a>
                    <div class="mt-1 mb-0 text-lg w-fit px-3 py-1 text-white bg-blue-400">
                       <span class="text-xs"> All Books: <?php echo e(count($allBooks)); ?></span>
                    </div>
                </div>

            </div>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table py-5">
                        <col>
                        <col>
                        <col>
                        <col>
                        <col>
                        <col>
                        <col>
                        <col>
                        <col>

                        
                        <thead>
                            <tr class="bg-primary">
                                <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th class='max-w-fit text-xs px-1 '>
                                        <small class="text-white"><?php echo $heading; ?></small>
                                    </th>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $allBooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr
                                    class="<?php if(empty($book->doc)): ?> bg-red-500  text-white <?php else: ?>
                                        hover:bg-green-100 hover:text-black cursor-pointer
                                     <?php endif; ?>
                                    ">

                                    
                                    <td class="px-0 text-center"><?php echo e($loop->iteration); ?></td>
                                    
                                    <td class='ps-2'>
                                        <?php echo (Storage::disk('public')->exists($book->doc?->book_file) or $book->doc?->book_file)
                                            ? ' <i class="bx bx-check-circle text-xs text-green-500"></i>'
                                            : '<i class="bx bx-x text-xs text-red-500"></i>'; ?>

                                    </td>

                                    
                                    <td class='px-0'>
                                        <img src="/storage/<?php echo e($book->doc->front_cover ?? ' '); ?>" width=40
                                            alt="<?php echo e($book->doc->front_cover ?? 'No Image'); ?>" class="src" />
                                    </td>


                                    
                                    <td class='px-0'>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong><?php echo e($book->inventory ?? 0); ?></strong>
                                    </td>


                                    <td class='px-0'>
                                        <strong><?php echo e($book->name); ?></strong>
                                    </td>
                                    
                                    

                                    
                                    

                                    
                                    <td class='px-0'>
                                        <span class="badge bg-label-primary me-1 text-xs">
                                            ₦<?php echo e(number_format($book->price, 2)); ?> | <span class="text-red-500"> ₦<?php echo e(number_format($book->eBookPrice(), 2)); ?></span>
                                        </span>
                                    </td>
                                    

                                    
                                    <td class='px-0'>
                                        <?php echo $__env->make('snit.auth.dashboard.books.partials.profitMarginHardCover', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </td>

                                    
                                    <td class='px-0'>
                                        <?php echo $__env->make('snit.auth.dashboard.books.partials.profitMarginEbook', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </td>

                                    

                                    <td class='px-0'>
                                        <?php echo $__env->make('snit.auth.dashboard.books.partials.profitMarginTotal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </td>
                                    
                                    <td class='px-2'>
                                        <a href="<?php echo e(route('books.edit', $book->id)); ?>">
                                            <i class="bx bx-edit-alt me-1"></i></a>
                                    </td>
                                    
                                    <td class='px-2'>
                                        <?php if($book->doc?->id): ?>
                                            <a class="" href="<?php echo e(route('docs.edit', $book->doc->id)); ?>"><i
                                                    class="bx bx-edit me-1"></i></a>
                                        <?php else: ?>
                                            <a class='px-0 text-center'
                                                href="<?php echo e(route('docs.create', ['uploadfiles' => true, 'book' => $book])); ?>"><i
                                                    class="bx bx-edit-alt me-1"></i>
                                                Add File </a>
                                        <?php endif; ?>
                                    </td>
                                    
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/books/analysis.blade.php ENDPATH**/ ?>