<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->
    <?php if(count($allRelatedClients) >= 1): ?>
        <div class="card mx-4 my-3">
            <div class="d-flex justify-content-between">
                <h5 class="card-header">My Clients for "<?php echo e($requestedBook->name); ?>"
                </h5>
                <div class="d-block mx-5">
                    <div class="mt-3">
                        <p class="text-lg">
                            Total Purchases : <?php echo e(count($allRelatedClients)); ?>

                        </p>
                    </div>
                </div>
            </div>
            <div class="d-flex justify-content-between mx-4">
                <a href="<?php echo e(route('book-clients.show-ebook', $requestedBook->slug)); ?>"
                    class="link_to_hard_cover_purchases btn btn-primary"> Ebook
                    Purchases &rArr;</a>

                <a href="<?php echo e(route('book-clients.show-hardcover', $requestedBook->slug)); ?>"
                    class="link_to_hard_cover_purchases btn btn-primary"> HardCover
                    Purchases &rArr;</a>

            </div>
            <form class="mt-3">
                <h5 class="mx-4 text-secondary"><small> Filter Results for
                        "<?php echo e($requestedBook->name); ?>"</small></h5>

                <?php if($searchfor): ?>
                    
                    <h5 class="mx-4 text-secondary">
                        <small> Search Results for "<?php echo e($searchfor); ?>"</small>
                        <small>
                            <a href="<?php echo e(route('book-clients.show-all', $requestedBook->slug)); ?>">
                                <span class="text-gray-500 underline">Clear Search
                                    Results</span>
                            </a>
                        </small>
                    </h5>
                <?php endif; ?>
                <div class="d-block mx-4 col-10 col-sm-5">
                    <div class="input-group">
                        <select class="form-select" name="filterby" id="filterby">
                            <option value="mat_num">Mat. Number</option>
                            <option value="phone">Phone</option>
                            <option value="organisation">Organisation</option>
                        </select>
                        <label class="input-group-text" for="searchfor">
                            <input type="text" class="form-control" id="searchfor" name="searchfor"
                                placeholder="Enter Value">
                        </label>
                        <button type="submit" class="btn btn-primary">Go <i class="bx bx-arrow-to-right"></i></button>
                    </div>
                </div>
            </form>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table table-bordered py-5">
                        <thead>
                            <tr>
                                <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th><?php echo $heading; ?></th>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $allRelatedClients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    
                                    

                                    <td>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong
                                            class="capitalize"><?php echo e($client->client_model->org->slug); ?></strong>
                                    </td>
                                    <td>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong
                                            class="capitalize"><?php echo e($client->client_model->getFullName()); ?></strong>
                                    </td>
                                    <td><?php echo e($client->client_model->mat_num); ?></td>

                                    
                                    <td><span class=" me-1"><?php echo e($client->client_model->phone); ?></span>
                                    </td>

                                    
                                    <td><span class=" me-1"><?php echo e($client->created_at_key); ?></span>
                                    </td>

                                    
                                    <td><?php echo e($client->itemPurchased->name); ?></td>

                                    
                                    <td><?php echo e($client->itemPurchased->options->type); ?></td>

                                    
                                    <td><?php echo e($client->itemPurchased->options->original_price); ?>

                                    </td>
                                    
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php elseif(count($allRelatedClients) < 1 && request('filterby')): ?>
        <h4 class="my-5 py-5 text-center fw-light"> You have no Clients with info :
            <br> <br>
            <?php echo e(request('filterby') . ' : ' . request('searchfor')); ?> <br><br> that
            purchased
            "<?php echo e($requestedBook->name); ?>"
            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>
        </h4>
    <?php elseif(count($allRelatedClients) < 1 && !request('filterby')): ?>
        <h4 class="my-5 py-5 text-center fw-light"> You have no Clients for
            "<?php echo e($requestedBook->name); ?>"

            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>

        </h4>
    <?php endif; ?>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/clients/clients_by_book/show_all_book_clients.blade.php ENDPATH**/ ?>