<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Account Settings /</span> Account</h4>

        <div class="row">
            <div class="col-md-12">
                <ul class="nav nav-pills flex-column flex-md-row mb-3">
                    <li class="nav-item">
                        <a class="nav-link active" href="javascript:void(0);"><i class="bx bx-user me-1"></i> Account</a>
                    </li>

                    
                    
                </ul>
                <div class="card mb-4">
                    <h5 class="card-header">Profile Details</h5>
                    <!-- Update Profile Image form -->
                    <div class="card-body">
                        <div class="d-flex align-items-start align-items-sm-center gap-4">
                            <img src="/storage/<?php echo e(author()?->dp); ?>" alt="user-avatar" class="d-block rounded" height="100"
                                width="100" id="uploadedAvatar" />


                            <div class="button-wrapper">

                                <form id="authorDPForm" method="post" action="<?php echo e(route('author-dp.update')); ?>"
                                    enctype="multipart/form-data"><?php echo csrf_field(); ?>
                                    <label for="upload" class="btn btn-primary me-2 mb-4" tabindex="0">
                                        <span class="d-none d-sm-block">Upload new photo</span>
                                        <i class="bx bx-upload d-block d-sm-none"></i>
                                        <input type="file" id="upload" class="account-file-input" hidden
                                            name="new_dp" accept="image/png, image/jpeg" />
                                    </label>

                                    <button type="submit" class="btn btn-success mb-4">
                                        <span>
                                            Go <i class="bx bx-arrow-to-right"></i>
                                        </span>
                                    </button>

                                </form>
                                <p class="text-muted mb-0">Allowed JPG, GIF or PNG. Max size of 800K</p>
                            </div>
                        </div>
                    </div>
                    <hr class="my-0" />
                    <div class="card-body">

                        <!-- Update Profile Information form -->
                        <form id="formAccountSettings" method="post" action="<?php echo e(route('profile.update')); ?>">
                            <?php echo method_field('patch'); ?> <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="mb-3 col-md-6">
                                    <label for="firstName" class="">First Name</label>
                                    <input class="form-control" type="text" id="firstName" name="firstName"
                                        value="<?php echo e(author()->fname ?? 'Not Set'); ?>" autofocus />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="lastName" class="">Last Name</label>
                                    <input class="form-control" type="text" name="lastName" id="lastName"
                                        value="<?php echo e(author()->lname ?: 'Not Set'); ?>" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="username" class="">Username</label>
                                    <input class="form-control" type="text" id="username" name="username"
                                        value="<?php echo e(auth()->user()->name); ?>" autofocus />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="email" class="">E-mail</label>
                                    <input class="form-control" type="text" id="email" name="email"
                                        value="<?php echo e(auth()->user()->email ?? 'Not Set'); ?>"
                                        placeholder="john.doe@example.com" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="organization" class="">Organization</label>
                                    
                                    
                                    <input class="form-control" id="organisation" name="organisation" list="organisations"
                                        value="<?php echo e(old('organisation') ?? authy()->org?->name); ?>"
                                        placeholder="Enter a new organisation name eg.ACME Inc." />
                                    

                                    <datalist id='organisations'>
                                        <?php $__currentLoopData = $orgs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $organisation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($organisation->name); ?>">
                                                <?php echo e($organisation->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </datalist>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label class="" for="phoneNumber">Phone Number</label>
                                    <div class="input-group input-group-merge">
                                        
                                        <input type="tel" id="phoneNumber" name="phoneNumber" class="form-control"
                                            value="<?php echo e(author()->phone ?: 'Not Set'); ?>" />
                                    </div>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="address" class="">Address</label>
                                    <input type="text" class="form-control" id="address" name="address"
                                        placeholder="Address" value="<?php echo e(author()->address ?: 'Not Set'); ?>" />
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="state" class="">State</label>
                                    <input class="form-control" type="text" id="state" name="state"
                                        placeholder="California" value="<?php echo e(author()->state ?: 'Not Set'); ?>" />
                                </div>

                            </div>
                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2">Save changes</button>
                                <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                            </div>
                        </form>


                        
                        <div class="row">

                            <form id="PasswordUpdate" method="post" action="<?php echo e(route('password.update')); ?>"
                                class="mt-5 col-lg-6">
                                <?php echo method_field('put'); ?> <?php echo csrf_field(); ?>

                                <h5>Update Password</h5>

                                <div class="">
                                    <div class="col-md-12">
                                        <div class="mb-3">
                                            <label for="current_password" class="">Current Password</label>
                                            <input class="form-control" type="password" id="current_password"
                                                name="current_password" />
                                            <?php $__errorArgs = ['current_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <p class="error">
                                                    <?php echo e($message); ?>

                                                </p>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="mb-3">
                                            <label for="password" class="">New Password</label>
                                            <input class="form-control" type="password" id="password"
                                                name="password" />
                                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <p class="error">
                                                    <?php echo e($message); ?>

                                                </p>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>


                                    <div class="col-md-12">
                                        <div class="mb-3">
                                            <label for="password_confirmation" class="">New
                                                Password_confirmation</label>
                                            <input class="form-control" type="password" id="password_confirmation"
                                                name="password_confirmation" />
                                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <p class="error">
                                                    <?php echo e($message); ?>

                                                </p>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="mt-2">
                                        <button type="submit" class="btn btn-primary me-2">Save Changes</button>
                                        <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                                    </div>
                                </div>
                            </form>

                            
                            <form id="BankInfoUpdate" method="post" action="<?php echo e(route('bankinfo.update')); ?>"
                                class="mt-5 col-lg-6">
                                <?php echo csrf_field(); ?>

                                <h5>Update Bank Info</h5>

                                <div class="">
                                    <div class="col-md-12">
                                        <div class="mb-3">
                                            <label for="current_password" class="">Account Holder</label>
                                            <input class="form-control cursor-not-allowed" type="text"
                                                id="account_holder" readonly name="account_holder"
                                                value="<?php echo e(auth()->user()->bank?->account_holder ?? author()->presentFullName()); ?>" />
                                            <?php $__errorArgs = ['account_holder'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <p class="error text-sm"> <?php echo e($message); ?></p>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="mb-3">
                                            <label for="account_number" class="">Account Number</label>
                                            <input class="form-control" type="tel" pattern="[0-9]+"
                                                id="account_number" name="account_number" maxlength="10"
                                                value="<?php echo e(old('account_number', auth()->user()->bank->account_number)); ?>" />
                                            <?php $__errorArgs = ['account_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <p class="error text-sm"> <?php echo e($message); ?></p>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="mb-3">
                                            <label for="bank_name_with_code" class="">Select Bank</label>
                                            <select name="bank_name_with_code" id="bank_name_with_code"
                                                class="form-control">
                                                <?php $__currentLoopData = $naija_banks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bank): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option class="" <?php if(auth()->user()->bank->bank_name == $bank['name']): echo 'selected'; endif; ?>
                                                        value="<?php echo e($bank['name'] . '__' . $bank['code']); ?>">
                                                        <?php echo e($bank['name']); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php $__errorArgs = ['bank_name_with_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <p class="error text-sm"> <?php echo e($message); ?></p>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="mt-2">
                                        <button type="submit" class="btn btn-primary me-2">Save Changes</button>
                                        <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                                    </div>

                                </div>



                            </form>
                        </div>

                    </div>
                </div>
                
            </div>
        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/account-settings.blade.php ENDPATH**/ ?>