<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->

    <div class="card m-4">
        <div class="">
            <div class="card-header text-center">
                <h1 class="h3 uppercase">
                    <?php echo e($orgSlug); ?> Financial income Report</h1>
            </div>
            <div class="mx-4">
                <p class="text-primary text-sm my-1">
                    Total Registered Authors :
                    <?php echo e($totalIMSAuthorsInOrg->count()); ?>

                </p>

                <p class="text-primary text-sm my-1">
                    Total Books Published (all authors):
                    <?php echo e($totalIMSBooksPublishedInOrg); ?>

                </p>

                <p class="text-primary text-sm my-1">
                    Total Books Sold (all authors):
                    
                    <?php echo e($salesCount); ?>

                </p>


                <p class="text-primary text-sm my-1">
                    Total Income Generated For School : ₦
                    <?php echo e($sis->getProfit()); ?>

                </p>

            </div>
        </div>



        
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>daily METRIC</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="   text-black">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (yesterday)
                                </span>
                            </td>

                            <td>

                                <span class="me-1">
                                    
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('yesterday'))); ?>

                                </span>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getProfit('yesterday'))); ?>

                                </span>
                            </td>
                        </tr>

                        <tr class="   text-black">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (today)
                                </span>

                            <td>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('today'))); ?>

                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getProfit('today'))); ?>

                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5 bg-green-200">
                    <thead>
                        <tr>
                            <th> weekly METRIC</th>
                            <th>QUANTITY </th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class="   text-black">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    LAST WEEK EARNINGS (paid on monday) <small
                                        class="text-green-600"></small>
                                </span>

                            <td>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('last_week'))); ?>

                                </span>
                            </td>
                            </td>


                            <td>
                                <span
                                    class="currency text-green-600 text-lg">₦</span>
                                <span class="me-1 text-green-600 text-lg">
                                    <?php echo e(number_format(sis($orgSlug)->getProfit('last_week'))); ?>

                                </span>
                            </td>
                        </tr>

                        <tr class=" bg-green-300 ">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    this week's earnings: Payout Due (next monday)
                                    <small class="text-green-900">ongoing</small>
                                </span>

                            <td>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('this_week'))); ?>

                                </span>
                            </td>
                            </td>


                            <td>
                                <span
                                    class="currency text-green-600 text-lg">₦</span>
                                <span class="me-1 text-green-900 text-lg">
                                    <?php echo e(number_format(sis($orgSlug)->getProfit('this_week'))); ?>

                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>monthly METRIC</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class="   text-black">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (last month)
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('last_month'))); ?>

                                </span>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">

                                    <?php echo e(number_format(sis($orgSlug)->getProfit('last_month'))); ?>


                                </span>
                            </td>
                        </tr>


                        <tr class="   text-black">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (this month)
                                </span>

                            <td>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('this_month'))); ?>

                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getProfit('this_month'))); ?>

                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>



        
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>YEARLY METRIC</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>


                        <tr class="   text-black">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (last year)
                                </span>

                            <td>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('last_year'))); ?>

                                </span>
                            </td>
                            </td>


                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getProfit('last_year'))); ?>

                                </span>
                            </td>
                        </tr>

                        <tr class=" text-black">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    total number of books sold (this year)
                                </span>

                            <td>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring('this_year'))); ?>

                                </span>
                            </td>
                            </td>

                            <td>
                                <span class="currency">₦</span>
                                <span class="me-1">

                                    <?php echo e(number_format(sis($orgSlug)->getProfit('this_year'))); ?>


                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>




        
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered py-5">
                    <thead>
                        <tr>
                            <th>all time METRIC</th>
                            <th>QUANTITY</th>
                            <th>VALUE (Naira)</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr class="   text-black">
                            
                            <td>
                                <span class=" me-1 uppercase">
                                    total no of books sold (all time)
                                </span>
                            </td>

                            <td>
                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getCountOfBooksSoldInSchDuring())); ?>

                                </span>
                            </td>


                            <td>
                                <span class="currency">₦</span>

                                <span class="me-1">
                                    <?php echo e(number_format(sis($orgSlug)->getProfit())); ?>

                                </span>
                            </td>
                        </tr>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/financials/sch.blade.php ENDPATH**/ ?>